local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

local EJName = EJ_GetEncounterInfo(1438)
do
	local data = {
		version = 11,
		key = "Archimonde",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = EJName,
		icon = "INTERFACE\\ENCOUNTERJOURNAL\\UI-EJ-BOSS-ArchimondeWoD.BLP:35:35",
		triggers = {
			--Doomfire Spirit (92208), Hellfire Deathcaller (92740), Felborne Overfiend (93615)
			--Dreadstalker (93616), Infernal doombringer (94412)
			scan = {91331},
			encounterid = 1799,
			ejid = 1438,
		},
		onactivate = {
			tracing = {
				91331,
				markers1 = {40,70},
			},
			tracerstart = true,
			combatstop = true,
			unittracing = {"boss1","boss2","boss3","boss4","boss5"},
			defeat = 91331,
		},
		windows = {
			proxwindow = true,
		},
		enrage = {

		},
		arrows = {
			--[[NetherBanisharrow = {
				varname = SN[186961],
				unit = "#5#",
				persist = 5,
				action = "AWAY",
				msg = L.alert["MOVE AWAY!"],
				spell = SN[186961],
				range1 = 10,
				range2 = 15,
				range3 = 30,
				desc = 186961,
				icon = ST[186961],
			},	--]]
			ShadowBurstArrow = {
				varname = SN[183634].." - "..L.alert["GO TO HIM!"],
				unit = "&closest|ShadowBurstunits2&",
				persist = 5,
				action = "TOWARD",
				msg = L.alert["GO TO HIM!"],
				spell = SN[183634],
				range1 = 2,
				range2 = 8,
				range3 = 12,
				desc = 183634,
				icon = ST[183634],
			},				
		},		
		raidicons = {
			NetherBanishmark = {
				varname = SN[186961],
				type = "FRIENDLY",
				persist = 20,
				unit = "#5#", 
				icon = 1,
				desc = 186961,
				icon2 = ST[186961],
			},	
			ShackledTormentmark = {
				varname = SN[184964],
				type = "MULTIFRIENDLY",
				persist = 60,
				unit = "#5#", 
				icon = 2,
				total = 7,
				reset = 10,				
				desc = 184964,
				icon2 = ST[184964],
			},				
		},	
		userdata = {
			ShackledTormentunits = {type = "container", wipein = 5},
			ShackledTormentunits2 = {type = "container"},
			DemonicHavocunits = {type = "container", wipein = 3},
			ShadowBurstunits = {type = "container", wipein = 3},
			ShadowBurstunits2 = {type = "container", wipein = 3},
			NetherBanishsay = 6,
			ShackledTormentCount = 0,
			ShackledTormentMaxCount = 0,
			AddsSpawned = 0,
			playern = "",
			chaosCount = 0,
			chaosSource = "",
			chaosTarget = "",

		},
		timers = {
			timerAddsCheck = {
				{
					"expect",{"&unitexist|boss2& <AddsSpawned>","==","0 1"},
					"tracing",{91331},
					"set",{AddsSpawned = 0},
				},			
				{
					"expect",{"&unitexist|boss2& &unitexist|boss3&","==","1 0"},
					"tracing",{91331,"boss2"},
					"set",{AddsSpawned = 1},
				},
				{
					"expect",{"&unitexist|boss3&","==","1"},
					"tracing",{91331,"boss2","boss3"},
					"set",{AddsSpawned = 1},
				},
				{
					"expect",{"&unitexist|boss4& &unitexist|boss5&","==","1 0"},
					"tracing",{91331,"boss2","boss3","boss4"},
					"set",{AddsSpawned = 1},
				},	
				{		
					"expect",{"&unitexist|boss5&","==","1"},
					"tracing",{91331,"boss2","boss3","boss4","boss5"},
					"set",{AddsSpawned = 1},
				},
				{
					"scheduletimer",{"timerAddsCheck",1},
				},
			},
			timerShadowBurst = {
				{
					"message","mShadowBurst",
				},
			},			
			timerShackledTorment = {
				{
					"message","mShackledTorment",
				},
			},
			timerDemonicHavoc = {
				{
					"message","mDemonicHavoc",
				},
			},
			timerNetherBanish = {
				{
					"set",{NetherBanishsay = "DECR|1"},
				},
				{
					"expect",{"<NetherBanishsay>",">","0"},
					"announce","NetherBanishsaycountdown",
					"scheduletimer",{"timerNetherBanish",1},
				},
			},	
			timerShadowBurstRadar = {
				{
					"expect",{"&isranged&","==","true"},
					"message","mShadowBurstRadar",
					"openwindow",{"8",nil,false,183634},
					"scheduletimer",{"timerShadowBurstRadarClose",8},
				},
			},
			timerShadowBurstRadarClose = {
				{
					"expect",{"&isranged&","==","true"},
					"closewindow",{true}
				},
			},			
		},	
		announces = { 
			NetherBanishsay = {
				varname = format(L.alert["%s %s %s!"],SN[186961],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[186961],L.alert["on"],L.alert["Me"]),
				desc = 186961,
				icon = ST[186961],
			},
			NetherBanishsaycountdown = {
				varname = format(L.alert["%s %s 2"],SN[186961],L.alert["in"]),
				type = "SAY",
				msg = format(L.alert["%s %s <EdictOfCondemnationsay>"],SN[186961],L.alert["in"]),
				desc = 186961,
				icon = ST[186961],				
			},	
			DoomfireFixatesay = {
				varname = format(L.alert["%s %s %s!"],SN[182879],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[182879],L.alert["on"],L.alert["Me"]),
				desc = 182879,
				icon = ST[182879],
			},	
			VoidStarFixatesay = {
				varname = format(L.alert["%s %s %s!"],SN[189895],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[189895],L.alert["on"],L.alert["Me"]),
				desc = 189895,
				icon = ST[189895],
			},
			WroughtChaossay = {
				varname = format(L.alert["%s %s %s!"],SN[186123],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[186123],L.alert["on"],L.alert["Me"]),
				desc = 186123,
				icon = ST[186123],
			},
			FocusedChaossay = {
				varname = format(L.alert["%s %s %s!"],SN[185014],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[185014],L.alert["on"],L.alert["Me"]),
				desc = 185014,
				icon = ST[185014],
			},	
			ShackledTormentsay = {
				varname = format(L.alert["%s (2) %s %s!"],SN[187553],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s (<isShackledTorment>) %s %s!"],SN[187553],L.alert["on"],L.alert["Me"]),
				desc = 184964,
				icon = ST[184964],
				flashcolor = "RED",
				flashscreen = true,
				sound = "ALERT15",
			},
			--[[ShackledTormentsayFirst = {
				varname = format(L.alert["%s %s!"],L.alert["Break"],L.alert["First"]),
				type = "SAY",
				msg = format(L.alert["%s %s!"],L.alert["Break"],L.alert["First"]),
				desc = 184964,
				icon = ST[184964],
				flashcolor = "RED",
				flashscreen = true,
				sound = "ALERT15",
			},
			ShackledTormentsaySecond = {
				varname = format(L.alert["%s %s!"],L.alert["Break"],L.alert["Second"]),
				type = "SAY",
				msg = format(L.alert["%s %s!"],L.alert["Break"],L.alert["Second"]),
				desc = 184964,
				icon = ST[184964],
				flashcolor = "RED",
				flashscreen = true,
				sound = "ALERT15",
			},
			ShackledTormentsayThird = {
				varname = format(L.alert["%s %s!"],L.alert["Break"],L.alert["Third"]),
				type = "SAY",
				msg = format(L.alert["%s %s!"],L.alert["Break"],L.alert["Third"]),
				desc = 184964,
				icon = ST[184964],
				flashcolor = "RED",
				flashscreen = true,
				sound = "ALERT15",
			},--]]
			--[[ShackledTormentsayFourth = {
				varname = format(L.alert["%s: %s %s!"],SN[184964],L.alert["Break"],L.alert["Fourth"]),
				type = "SAY",
				msg = format(L.alert["%s: %s %s!"],SN[184964],L.alert["Break"],L.alert["Fourth"]),
				desc = 184964,
				icon = ST[184964],
				flashcolor = "RED",
				flashscreen = true,
				sound = "ALERT15",
			},
			ShackledTormentsayFifth = {
				varname = format(L.alert["%s: %s %s!"],SN[184964],L.alert["Break"],L.alert["Fifth"]),
				type = "SAY",
				msg = format(L.alert["%s: %s %s!"],SN[184964],L.alert["Break"],L.alert["Fifth"]),
				desc = 184964,
				icon = ST[184964],
				flashcolor = "RED",
				flashscreen = true,
				sound = "ALERT15",
			},	--]]		
			ShadowBurstsay = {
				varname = format(L.alert["%s %s %s!"],SN[183634],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[183634],L.alert["on"],L.alert["Me"]),
				desc = 183634,
				icon = ST[183634],
			},			
		},			
		messages = {
			mShadowBurst = {
				varname = format(L.alert["%s %s %s"],SN[183634],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|ShadowBurstunits&"],SN[183634],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 183634,
				icon = ST[183634],
			},	
			mShadowBurstRadar = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[183634]),
				type = "message",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[183634]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 183634,
				icon = ST[183634],
			},				
			mDemonicHavoc = {
				varname = format(L.alert["%s %s %s"],SN[183865],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|DemonicHavocunits&"],SN[183865],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 183865,
				icon = ST[183865],
			},			
			mShackledTorment = {
				varname = format(L.alert["%s %s %s"],SN[184964],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &sort|ShackledTormentunits&"],SN[184964],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 184964,
				icon = ST[184964],
			},
			mShackledTormentRemoved = {
				varname = format(L.alert["%s %s (1/3)"],SN[184964],L.alert["Removed"]),
				type = "message",
				text = format(L.alert["%s %s (<ShackledTormentCount>/<ShackledTormentMaxCount>)"],SN[184964],L.alert["Removed"]),
				color1 = "CYAN",
				sound = "ALERT13",
				desc = 184964,
				icon = ST[184964],
			},			
			mDeathBrand = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[183828]),
				type = "message",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[183828]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 183828,
				icon = ST[183828],
			},	
			mNetherBanish = {
				varname = format(L.alert["%s %s %s"],SN[186961],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[186961],L.alert["on"]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 186961,
				icon = ST[186961],
			},
			mDoomfireFixate = {
				varname = format(L.alert["%s %s %s"],SN[182879],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[182879],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 182879,
				icon = ST[182879],
			},
			mVoidStarFixate = {
				varname = format(L.alert["%s %s %s"],SN[189895],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[189895],L.alert["on"]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 189895,
				icon = ST[189895],
			},
			mWroughtChaos = {
				varname = format(L.alert["%s %s %s (2)"],SN[186123],L.alert["player"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s: #5# -> #5# (<chaosCount>)"],SN[186123]),
				text2 = format(L.alert["%s: <chaosSource> -> <chaosTarget> (<chaosCount>)"],SN[186123]),
				text3 = format(L.alert["%s (<chaosCount>)"],SN[186123]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 186123,
				icon = ST[186123],
				counter2 = true,
			},
			--[[mFocusedChaos = {
				varname = format(L.alert["%s: %s -> %s"],SN[185014],L.alert["player"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s: <chaosSource> -> <chaosTarget>"],SN[185014]),
				color1 = "TAN",
				sound = "ALERT13",
				desc = 185014,
				icon = ST[185014],
			},--]]			
			mDemonicFeedback = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[187180]),
				type = "message",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[187180]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 187180,
				icon = ST[187180],
			},
			mShadowBlast = {
				varname = format(L.alert["%s %s %s (1)"],SN[183864],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5# (1)"],SN[183864],L.alert["on"],L.alert["player"]),
				text2 = format(L.alert["%s %s #5# (#11#)"],SN[183864],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 183864,
				icon = ST[183864],
				counter2 = true,
			},				
		},
		onstart = {
			{
				"batchalert",{"ShadowBurstCD","DeathBrandCD","AllureofFlamesCD","DesecrateCD"},
				"scheduletimer",{"timerShadowBurstRadar",35},
				"scheduletimer",{"timerAddsCheck",1},
				"set",{playern = "&playername&"},
			},			
		},
		alerts = {
			ShadowBurstCD = {
				varname = format(L.alert["%s Cooldown"],SN[183817]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[183817]),
				time = 41,
				time2 = 60.8,
				color1 = "GLOBAL",
				icon = ST[183817],
				desc = 183817,
				audiocd = true,
				audiotime = 5,				
			},
			DeathBrandCD = {
				varname = format(L.alert["%s Cooldown"],SN[183828]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[183828]),
				time = 15.4,
				time2 = 38,
				time3 = 42,
				color1 = "GLOBAL",
				icon = ST[183828],
				desc = 183828,
			},
			AllureofFlamesCD = {
				varname = format(L.alert["%s Cooldown"],SN[183254]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[183254]),
				time = 30,
				time2 = 48,
				time3 = 44,
				color1 = "GLOBAL",
				icon = ST[183254],
				desc = 183254,
			},
			DesecrateCD = {
				varname = format(L.alert["%s Cooldown"],SN[185590]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[185590]),
				time = 45,
				time2 = 27,
				color1 = "GLOBAL",
				icon = ST[185590],
				desc = 185590,
			},
			ShackledTormentCD = {
				varname = format(L.alert["%s Cooldown"],SN[184964]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[184964]),
				time = 32,
				time2 = 27,
				time3 = 57.7,
				color1 = "GLOBAL",
				icon = ST[184964],
				desc = 184964,
			},	
			WroughtChaosCD = {
				varname = format(L.alert["%s Cooldown"],SN[186123]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[186123]),
				time = 7,
				time2 = 27,
				color1 = "GLOBAL",
				icon = ST[186123],
				desc = 186123,
			},	
			NetherBanishCD = {
				varname = format(L.alert["%s Cooldown"],SN[186961]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[186961]),
				time = 13,
				time2 = 62,
				color1 = "GLOBAL",
				icon = ST[186961],
				desc = 186961,
			},
			DemonicFeedbackCD = {
				varname = format(L.alert["%s Cooldown"],SN[187180]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[187180]),
				time = 35,
				time2 = 37,
				color1 = "GLOBAL",
				icon = ST[187180],
				desc = 187180,
			},	
			RainOfChaosCD = {
				varname = format(L.alert["%s Cooldown"],SN[182225]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[182225]),
				time = 62,
				color1 = "GLOBAL",
				icon = ST[182225],
				desc = 182225,
			},	
			DoomfireCD = {
				varname = format(L.alert["%s Cooldown"],SN[182826]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[182826]),
				time = 42,
				color1 = "GLOBAL",
				icon = ST[182826],
				desc = 182826,
			},				
			-- Warning
			Phase2 = {
				varname = format(L.alert["Phase %s"],"2"),
				type = "simple",
				text = format(L.alert["Phase %s"],"2"),
				time = 2,
				color1 = "YELLOW",
				icon = ST[186961],
				sound = "ALERT13",
			},
			Phase3 = {
				varname = format(L.alert["Phase %s"],"3"),
				type = "simple",
				text = format(L.alert["Phase %s"],"3"),
				time = 2,
				color1 = "ORANGE",
				icon = ST[184964],
				sound = "ALERT13",
			},			
			wShadowBurst = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[183817]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[183817]),
				time = 2,
				color1 = "RED",
				icon = ST[183817],
				sound = "ALERT11",
				desc = 183817,
				--flashscreen = true,
			},
			wDesecrate = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[185590]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[185590]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[185590],
				sound = "ALERT10",
				desc = 185590,
				--flashscreen = true,
			},	
			wRainOfChaos = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[182225]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[182225]),
				time = 2,
				color1 = "RED",
				icon = ST[182225],
				sound = "ALERT10",
				desc = 182225,
				--flashscreen = true,
			},			
			wAllureOfFlames = {
				varname = format(L.alert["%s!"],SN[183254]),
				type = "simple",
				text = format(L.alert["%s!"],SN[183254]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[183254],
				sound = "ALERT10",
				desc = 183254,
			},			
			-- Inform
			iDoomfireFixate = {
				varname = format(L.alert["%s %s %s!"],SN[182879],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[182879],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "RED",
				icon = ST[182879],
				sound = "ALERT11",
				desc = 182879,
			},
			--[[iShackledTorment = {
				varname = format(L.alert["%s %s %s!"],SN[184964],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[184964],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[184964],
				sound = "ALERT10",
				desc = 184964,
			},--]]
			iDoomfireDamage = {
				varname = format(L.alert["%s %s, %s!"],SN[183586],L.alert["under you"],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s, %s!"],SN[183586],L.alert["under you"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[183586],
				sound = "ALERT12",
				desc = 183586,
				flashscreen = true,
				throttle = 2,
			},	
			iWroughtChaos = {
				varname = format(L.alert["%s %s %s!"],SN[186123],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[186123],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[186123],
				sound = "ALERT9",
				desc = 186123,
			},				
			-- Casts
			DeathBrandCast = {
				varname = format(L.alert["%s Casting"],SN[183828]),
				type = "centerpopup",
				text = format(L.alert["%s Casting"],SN[183828]),
				time = 2.5,
				color1 = "YELLOW",
				icon = ST[183828],
				desc = 183828,
			},
			ShadowBurstCast = {
				varname = format(L.alert["%s Casting"],SN[183817]),
				type = "centerpopup",
				text = format(L.alert["%s Casting"],SN[183817]),
				time = 2,
				color1 = "RED",
				icon = ST[183817],
				desc = 183817,
			},
			DoomfireFixateAct = {
				varname = format(L.alert["%s Active"],SN[182879]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[182879]),
				time = 10,
				color1 = "RED",
				icon = ST[182879],
				desc = 182879,
			},
			WroughtChaosAct = {
				varname = "(2) "..format(L.alert["%s Active"],SN[186123]),
				type = "centerpopup",
				text = "(<chaosCount>) "..format(L.alert["%s Active"],SN[186123]),
				text2 = "(<chaosCount>) "..format(L.alert["%s: <chaosSource> -> <chaosTarget>"],SN[186123]),
				time = 5,
				color1 = "RED",
				icon = ST[186123],
				desc = 186123,
				counter = true,
			},				
			-- Debuff
			NetherBanishDebuff = {
				varname = format(L.alert["%s Debuff"],SN[186961]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[186961]),
				text2 = format(L.alert["#5#: %s"],SN[186961]),
				time = 7,
				color1 = "RED",
				desc = 186961,
				icon = ST[186961],
				tag = "#5#",
				exdps = true,				
			},
			WroughtChaosDebuff = {
				varname = format(L.alert["%s Debuff"],SN[186123]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[186123]),
				text2 = format(L.alert["#5#: %s"],SN[186123]),
				time = 5,
				color1 = "RED",
				desc = 186123,
				icon = ST[186123],
				tag = "#5#",
				exdps = true,				
			},	
			FocusedChaosDebuff = {
				varname = format(L.alert["%s Debuff"],SN[185014]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[185014]),
				text2 = format(L.alert["#5#: %s"],SN[185014]),
				time = 5,
				color1 = "TAN",
				desc = 185014,
				icon = ST[185014],
				tag = "#5#",
				exdps = true,				
			},				
			DoomfireFixateDebuff = {
				varname = format(L.alert["%s Debuff"],SN[182879]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[182879]),
				text2 = format(L.alert["#5#: %s"],SN[182879]),
				time = 10,
				color1 = "RED",
				desc = 182879,
				icon = ST[182879],
				tag = "#5#",
				exdps = true,				
			},
			ShadowBlastDebuff = {
				varname = format(L.alert["%s Debuff"],SN[183864]),
				type = "debuff",
				text = format(L.alert["(1) %s: %s"],L.alert["YOU"],SN[183864]),
				text2 = format(L.alert["(1) #5#: %s"],SN[183864]),
				text3 = format(L.alert["(#11#) %s: %s"],L.alert["YOU"],SN[183864]),
				text4 = format(L.alert["(#11#) #5#: %s"],SN[183864]),
				time = 30,
				color1 = "PURPLE",
				desc = 183864,
				icon = ST[183864],
				tag = "#5#",
				exdps = true,				
			},				
		},
		events = {
			-- ShadowBlast
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {183864},
				execute = {
					{
						"message","mShadowBlast",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","ShadowBlastDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"ShadowBlastDebuff", text = 2},
					},					
				}
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {183864},
				execute = {
					{
						"message",{"mShadowBlast", text = 2},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert",{"ShadowBlastDebuff", text = 3},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"ShadowBlastDebuff", text = 4},
					},		
				}
			},			
			-- ShackledTorment
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {184964},
				execute = {
					{
						"insert",{"ShackledTormentunits","#5#"},
						"insert",{"ShackledTormentunits2","#5#",true},
						"canceltimer","timerShackledTorment",
						"scheduletimer",{"timerShackledTorment",0.3},
						"raidicon","ShackledTormentmark",
						"set",{ShackledTormentCount = 0},
						"set",{ShackledTormentMaxCount = "INCR|1"},
					},
					{
						"expect",{"&count|ShackledTormentunits&","==","1"},
						"alert","ShackledTormentCD",
					},	
					{
						"expect",{"#4#","==","&playerguid&"},
						"set",{isShackledTorment = "&sort|ShackledTormentunits2|<playern>&"},
						"announce","ShackledTormentsay",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {184964},
				execute = {
					{
						"removeraidicon","#5#",
						"delete",{"ShackledTormentunits2","#5#"},
						"set",{ShackledTormentCount = "INCR|1"},
						"message","mShackledTormentRemoved",
					},
					{
						"expect",{"<ShackledTormentCount>","==","<ShackledTormentMaxCount>"},
						"set",{ShackledTormentMaxCount = 0},
					},
				},
			},			
			-- DeathBrand
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {183828},
				execute = {
					{
						"alert","DeathBrandCast",
						"alert",{"DeathBrandCD", time = 3},
						"message","mDeathBrand",
					},
				},
			},	
			-- Twisting Nether tracking
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {186952},
				dstisplayerunit = true,
				execute = {
					{
						"closewindow",{true},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {186952},
				dstisplayerunit = true,
				execute = {
					{
						"openwindow",{"6",nil,false,187180},
					},
				},
			},				
			-- TankNetherBanish
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {186961},
				execute = {
					{
						"message","mNetherBanish",
						"alert",{"NetherBanishCD", time = 2},
						"raidicon","NetherBanishmark",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","NetherBanishsay",
						"alert","NetherBanishDebuff",
						"openwindow",{"8",nil,false,186961},
						"set",{NetherBanishsay = 7},
						"canceltimer",{"timerNetherBanish"},
						"scheduletimer",{"timerNetherBanish",1},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"NetherBanishDebuff", text = 2},
					--	"arrow","NetherBanisharrow",
					},
				},
			},	
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {186961},
				execute = {
					{ 
						"quash","NetherBanishDebuff",
						"removeraidicon","#5#",
						--"removearrow","#5#",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"closewindow",{true},
					},					
				},
			},	
			-- ShadowBurst 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {183817},
				execute = {	
					{
						"batchalert",{"ShadowBurstCast","wShadowBurst"},
						"alert",{"ShadowBurstCD", time = 2},
						"scheduletimer",{"timerShadowBurstRadar",54},
					},		
				},
			},	
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {183634},
				execute = {
					{
						"insert",{"ShadowBurstunits","#5#"},
						"insert",{"ShadowBurstunits2","#5#",true},
						"canceltimer","timerShadowBurst",
						"scheduletimer",{"timerShadowBurst",0.3},
						"scheduletimer",{"timerShadowBurstRadarClose",1.3},
					},			
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","ShadowBurstsay",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"arrow","ShadowBurstArrow",
					},						
				},
			},	
			-- DemonicHavoc
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {183865},
				execute = {
					{
						"insert",{"DemonicHavocunits","#5#"},
						"canceltimer","timerDemonicHavoc",
						"scheduletimer",{"timerDemonicHavoc",0.3},
					},
				},
			},
			-- DoomfireFixate
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {182879},
				execute = {
					{
						"message","mDoomfireFixate",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"batchalert",{"DoomfireFixateAct","iDoomfireFixate"},
						"announce","DoomfireFixatesay",
						"alert","DoomfireFixateDebuff", -- not sure if i will keep this
					},	
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"DoomfireFixateDebuff", text = 2}, -- not sure if i will keep this
					},						
				},
			},	
			-- VoidStarFixate
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {189895},
				execute = {
					{
						"message","mVoidStarFixate",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","VoidStarFixatesay",
						"openwindow",{"15",nil,false,189895},
					},						
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {189895},
				dstisplayerunit = true,
				execute = {
					{
						"closewindow",{true},
					},					
				},
			},	
			-- WroughtChaos
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {184265},
				execute = {
					{
						"set",{chaosCount = 0},
					},					
				},
			},				
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {186123},
				execute = {
					{
						--"message","mWroughtChaos",
						"set",{chaosSource = "&colorplayer|#5#&"},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","WroughtChaossay",
						"alert","WroughtChaosDebuff",
						"alert","iWroughtChaos",
					},	
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"WroughtChaosDebuff", text = 2},
					},						
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {186123},
				execute = {
					{
						"quash","WroughtChaosDebuff",
					},					
				},
			},	
			-- FocusedChaos
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {185014},
				execute = {
					{
						--"message","mFocusedChaos",
						"set",{chaosTarget = "&colorplayer|#5#&"},
						"set",{chaosCount = "INCR|1"},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","FocusedChaossay",
						"alert","FocusedChaosDebuff",
						"alert","iWroughtChaos",
					},	
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"FocusedChaosDebuff", text = 2},
					},
					{
						"expect",{"&mythic&","==","false"},
						"message",{"mWroughtChaos", text = 2},
						"alert",{"WroughtChaosAct", text = 2},
					},
					{
						"expect",{"&mythic&","==","true"},
						"message",{"mWroughtChaos", text = 3},
						"alert","WroughtChaosAct",
					},					
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {185014},
				execute = {
					{
						"quash","FocusedChaosDebuff",
						"quash","WroughtChaosAct",
					},					
				},
			},
			-- AllureOfFlames 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {183254},
				execute = {	
					{
						"alert",{"AllureofFlamesCD", time = 2},
						"alert","wAllureOfFlames",
					},		
				},
			},
			-- Desecrate 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {185590},
				execute = {	
					{
						"alert",{"DesecrateCD", time = 2},
						"alert","wDesecrate",
					},		
				},
			},
			-- DoomfireDamage
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {183586},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iDoomfireDamage",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {183586},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iDoomfireDamage",
					},
				},
			},
			-- DemonicFeedback
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {187180},
				execute = {
					{
						"alert",{"DemonicFeedbackCD", time = 2},
						"message","mDemonicFeedback",
					},
				},
			},	
			-- RainOfChaos
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {182225},
				execute = {
					{
						"batchalert",{"RainOfChaosCD","wRainOfChaos"},
					},
				},
			},
			-- Doomfire
			{
				type = "combatevent",
				eventtype = "SPELL_SUMMON",
				spellid = {182826},
				execute = {
					{ 
						"alert","DoomfireCD",
					},
				},
			},	
			---------------------------------------
			{
				type = "event",
				event = "UNIT_SPELLCAST_SUCCEEDED", 
				execute = {
					{
						"expect",{"#1#","==","boss1"},
						"invoke",{
							{
								"expect",{"#5#","==","190117"}, -- Phase2
								"quash","DoomfireCD",
								"alert",{"ShackledTormentCD", time = 2},
								"alert",{"DeathBrandCD", time = 2},
								"alert",{"AllureofFlamesCD", time = 3},
								"alert","WroughtChaosCD",
								"alert","Phase2",
								"closewindow",{true},
							},	
							{
								"expect",{"#5#","==","190118"}, -- Phase3
								"batchquash",{"AllureofFlamesCD","DeathBrandCD"},
								"batchalert",{"NetherBanishCD","DemonicFeedbackCD"},
								"alert",{"WroughtChaosCD", time = 2},
								"alert",{"ShackledTormentCD", time = 3},
								"openwindow",{"7",nil,false,187180},
								"alert","Phase3",
							},								
						},
					},					
				},
			},				
		},
	}

	DXE:RegisterEncounter(data)
end