local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

local EJName = EJ_GetEncounterInfo(1432)
do
	local data = {
		version = 11,
		key = "Council",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = EJName,
		icon = "INTERFACE\\ENCOUNTERJOURNAL\\UI-EJ-BOSS-GurtoggBloodboil.BLP:35:35",
		respawntime = 30,
		triggers = {
			scan = {92142, 92144, 92146},  -- Blademaster Jubei'thos, Dia Darkwhisper, Gurtogg Bloodboil
			encounterid = 1798,
			ejid = 1432,
		},
		onactivate = {
			tracing = {
				92142, 92144, 92146,
			},
			tracerstart = true,
			combatstop = true,
			unittracing = {"boss1","boss2","boss3"},
			defeat = {92142, 92144, 92146},
		},
		windows = {
			proxwindow = true,
		},
		enrage = {
			timelfr = 600,
			timeflex = 600,
			timeheroic = 600,
			timemythic = 600,
		},
		raidicons = {
			FelRagemark = {
				varname = SN[184360],
				type = "FRIENDLY",
				persist = 35,
				unit = "#5#", 
				icon = 1,
				desc = 184360,
				icon2 = ST[184360],
			},					
		},
		userdata = {
			MarkOfTheNecromancerunits = {type = "container", wipein = 3},
			Bloodboilunits = {type = "container", wipein = 3},
			FelRageTimers = {65, 75, 83, loop = false, type = "series"},
			horrorCount = 1,
			leapCount = 1,
			diaIsDead = 0,
			jubeiIsDead = 0,
			gurtoggIsDead = 0,
			alldead = 0,
			remaining = 75,
			nextAbility = 1,
			nextAbilityTime = 0,
			tmp = 0,
		},
		timers = {
			timerMarkOfTheNecromancer = {
				{
					"message","mMarkOfTheNecromancer",
				},
			},
			timerBloodboil = {
				{
					"message","mBloodboil",
				},
			},
			timerStartLeap = {
				{
					"expect",{"<diaIsDead> <jubeiIsDead> <gurtoggIsDead>","==","0 0 0"},
					"set",{alldead = 1},
				},
				{
					"expect",{"<alldead>","==","0"},
					"invoke",{
						{
							"expect",{"<remaining>","==","0"},
							"set",{remaining = 72},
						},
						{
							"expect",{"<gurtoggIsDead>","==","0"},
							"scheduletimer",{"timerStartHorror",0.1},
						},
						{
							"expect",{"<gurtoggIsDead>","==","1"},
							"alert",{"DemonishingLeapCD", time = 2},
							"set",{nextAbility = 3},
							"set",{nextAbilityTime = "&gettime|<remaining>&"},
						},						
					},
				},				
			},
			timerStartHorror = {
				{
					"expect",{"<diaIsDead> <jubeiIsDead> <gurtoggIsDead>","==","0 0 0"},
					"set",{alldead = 1},
				},
				{
					"expect",{"<alldead>","==","0"},
					"invoke",{
						{
							"expect",{"<remaining>","==","0"},
							"set",{remaining = 75},
						},
						{
							"expect",{"<diaIsDead>","==","0"},
							"scheduletimer",{"timerStartMirror",0.1},
						},
						{
							"expect",{"<diaIsDead>","==","1"},
							"alert",{"WailingHorrorCD", time = 2},
							"set",{nextAbility = 1},
							"set",{nextAbilityTime = "&gettime|<remaining>&"},
						},						
					},
				},	
			},
			timerStartMirror = {
				{
					"expect",{"<diaIsDead> <jubeiIsDead> <gurtoggIsDead>","==","0 0 0"},
					"set",{alldead = 1},
				},
				{
					"expect",{"<alldead>","==","0"},
					"invoke",{
						{
							"expect",{"<remaining>","==","0"},
							"set",{remaining = 78},
						},
						{
							"expect",{"<jubeiIsDead>","==","0"},
							"scheduletimer",{"timerStartLeap",0.1},
						},
						{
							"expect",{"<jubeiIsDead>","==","1"},
							"alert",{"MirrorImagesCD", time = 5},
							"set",{nextAbility = 2},
							"set",{nextAbilityTime = "&gettime|<remaining>&"},
						},						
					},
				},	
			},			
		},	
		announces = { 
			Reapsay = {
				varname = format(L.alert["%s %s %s!"],SN[184476],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[184476],L.alert["on"],L.alert["Me"]),
				desc = 184476,
				icon = ST[184476],
			},	
		},			
		messages = {
			--[[mMarkOfTheNecromancer = {
				varname = format(L.alert["%s %s %s"],SN[184449],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|MarkOfTheNecromancerunits&"],SN[184449],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 184449,
				icon = ST[184449],
			},--]]
			mMarkOfTheNecromancer = {
				varname = format(L.alert["%s!"],SN[184449]),
				type = "message",
				text = format(L.alert["%s!"],SN[184449]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 184449,
				icon = ST[184449],
			},			
			mBloodboil = {
				varname = format(L.alert["%s %s %s"],SN[184355],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|Bloodboilunits&"],SN[184355],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 184355,
				icon = ST[184355],
			},			
			mHorror = {
				varname = format(L.alert["%s (2)"],SN[184681]),
				type = "message",
				text = format(L.alert["%s (<horrorCount>)"],SN[184681]),
				color1 = "BROWN",
				sound = "ALERT13",
				desc = 184681,
				icon = ST[184681],
				counter2 = true,
			},
			mFelRage = {
				varname = format(L.alert["%s %s %s"],SN[184358],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[184358],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 184358,
				icon = ST[184358],
			},	
			mAcidicWound = {
				varname = format(L.alert["%s %s %s (2)"],SN[184847],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5# (#11#)"],SN[184847],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 184847,
				icon = ST[184847],
				counter2 = true,
			},	
			mDemonishingLeap = {
				varname = format(L.alert["%s %s (2)"],L.alert["Incoming"],SN[184366]),
				type = "message",
				text = format(L.alert["%s %s (<leapCount>)"],L.alert["Incoming"],SN[184366]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 184366,
				icon = ST[184366],
				counter2 = true,
			},			
		},
		onstart = {
			{
				"batchalert",{"WailingHorrorCD","FelRageCD","MarkoftheNecromancerCD","ReapCD","DemonishingLeapCD"},
				"alert",{"MirrorImagesCD", time = 2},
				"scheduletimer",{"timerStartHorror",0.1},
			},
		},
		alerts = {
			DemonishingLeapCD = {
				varname = format(L.alert["%s Cooldown"],SN[184366]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[184366]),
				time = 225,
				time2 = "<remaining>",
				color1 = "GLOBAL",
				icon = ST[184366],
				desc = 184366,
			},			
			MarkoftheNecromancerCD = {
				varname = format(L.alert["%s Cooldown"],SN[184449]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[184449]),
				time = 6.3,
				time2 = 60,
				color1 = "GLOBAL",
				icon = ST[184449],
				desc = 184449,
			},			
			ReapCD = {
				varname = format(L.alert["%s Cooldown"],SN[184476]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[184476]),
				time = 67,
				--time2 = 65,
				color1 = "GLOBAL",
				icon = ST[184476],
				desc = 184476,
			},		
			NightmareVisageCD = {
				varname = format(L.alert["%s Cooldown"],SN[184657]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[184657]),
				time = 32,
				color1 = "GLOBAL",
				icon = ST[184657],
				desc = 184657,
				exdps = true,
				exhealer = true,
			},
			MirrorImagesCD = {
				varname = format(L.alert["%s Cooldown"],SN[183885]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[183885]),
				time = 50,
				time2 = 153.3,
				time3 = 150, -- lfr
				time4 = 153,
				time5 = "<remaining>",
				color1 = "GLOBAL",
				icon = ST[183885],
				desc = 183885,
			},
			WailingHorrorCD = {
				varname = "(2) "..format(L.alert["%s Cooldown"],SN[184681]),
				type = "dropdown",
				text = "(<horrorCount>) "..format(L.alert["%s Cooldown"],SN[184681]),
				time = 75,
				time2 = 151,
				time3 = "<remaining>",
				color1 = "GLOBAL",
				icon = ST[184681],
				desc = 184681,
				counter = true,
			},	
			FelRageCD = {
				varname = format(L.alert["%s Cooldown"],SN[184358]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[184358]),
				time = 30,
				time2 = "<FelRageTimers>",
				color1 = "GLOBAL",
				icon = ST[184358],
				desc = 184358,
			},	
			TaintedBloodCD = {
				varname = format(L.alert["%s Cooldown"],SN[184357]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[184357]),
				time = 30,
				color1 = "GLOBAL",
				icon = ST[184357],
				desc = 184357,
			},			
			-- Warning
			wNightmareVisage = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[184657]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[184657]),
				time = 2,
				color1 = "RED",
				icon = ST[184657],
				sound = "ALERT15",
				desc = 184657,
				exdps = true,
				--flashscreen = true,
			},
			wReap = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[184476]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[184476]),
				time = 2,
				color1 = "RED",
				icon = ST[184476],
				sound = "ALERT11",
				desc = 184476,
				--flashscreen = true,
			},
			wMirrorImages = {
				varname = format(L.alert["%s!"],SN[183885]),
				type = "simple",
				text = format(L.alert["%s!"],SN[183885]),
				time = 2,
				color1 = "YELLOW",
				icon = ST[183885],
				sound = "ALERT10",
				desc = 183885,
			},	
			-- Inform
			iReap = {
				varname = format(L.alert["%s %s %s!"],SN[184652],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[184652],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[184652],
				sound = "ALERT11",
				desc = 184652,
				flashscreen = true,
				throttle = 1.5,
			},				
			iReapDamage = {
				varname = format(L.alert["%s %s, %s!"],SN[184652],L.alert["under you"],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s, %s!"],SN[184652],L.alert["under you"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[184652],
				sound = "ALERT12",
				desc = 184652,
				flashscreen = true,
				throttle = 1.5,
			},	
			iBloodboil = {
				varname = format(L.alert["%s: %s 3 %s!"],SN[184355],L.alert["already at"],L.alert["Stacks"]),
				type = "inform",
				text = format(L.alert["%s: %s #11# %s!"],SN[184355],L.alert["already at"],L.alert["Stacks"]),
				time = 2,
				color1 = "ORANGE",
				sound = "ALERT10",
				icon = ST[184355],
				desc = 184355,
			},			
			-- Casts			
			ReapCast = {
				varname = format(L.alert["%s Casting"],SN[184476]),
				type = "centerpopup",
				text = format(L.alert["%s Casting"],SN[184476]),
				time = 4,
				color1 = "RED",
				icon = ST[184476],
				desc = 184476,
			},
			NightmareVisageCast = {
				varname = format(L.alert["%s Active"],SN[184657]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[184657]),
				time = 16,
				color1 = "RED",
				icon = ST[184657],
				desc = 184657,
			},
			DemonishingLeapAct = {
				varname = "(2) "..format(L.alert["%s Active"],SN[184365]),
				type = "centerpopup",
				text = "(<leapCount>) "..format(L.alert["%s Active"],SN[184365]),
				time = 5.8,
				color1 = "RED",
				icon = ST[184365],
				desc = 184365,
				counter = true,
			},				
			-- Debuff
			FelRageDebuff = {
				varname = format(L.alert["%s Debuff"],SN[184358]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[184358]),
				text2 = format(L.alert["#5#: %s"],SN[184358]),
				time = 25,
				color1 = "RED",
				desc = 184358,
				icon = ST[184358],
				tag = "#5#",
				exdps = true,				
			},	
			AcidicWoundDebuff = {
				varname = format(L.alert["%s Debuff"],SN[184847]),
				type = "debuff",
				text = format(L.alert["(1) %s: %s"],L.alert["YOU"],SN[184847]),
				text2 = format(L.alert["(1) #5#: %s"],SN[184847]),
				text3 = format(L.alert["(#11#) %s: %s"],L.alert["YOU"],SN[184847]),
				text4 = format(L.alert["(#11#) #5#: %s"],SN[184847]),
				time = 30,
				color1 = "ORANGE",
				desc = 184847,
				icon = ST[184847],
				tag = "#5#",
				exdps = true,				
			},
			BloodboilDebuff = {
				varname = format(L.alert["%s Debuff"],SN[184355]),
				type = "debuff",
				text = format(L.alert["(1) %s: %s"],L.alert["YOU"],SN[184355]),
				text2 = format(L.alert["(1) #5#: %s"],SN[184355]),
				text3 = format(L.alert["(#11#) %s: %s"],L.alert["YOU"],SN[184355]),
				text4 = format(L.alert["(#11#) #5#: %s"],SN[184355]),
				time = 30,
				color1 = "ORANGE",
				desc = 184355,
				icon = ST[184355],
				tag = "#5#",
				exdps = true,				
			},					
		},
		events = {
			-- DemonishingLeap
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {184365},
				execute = {
					{
						"message","mDemonishingLeap",
						"set",{leapCount = "INCR|1"},
						"alert","DemonishingLeapAct",
						"scheduletimer",{"timerStartHorror",0.1},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {184366},
				execute = {
					{
						"message","mDemonishingLeap",
						"set",{leapCount = "INCR|1"},
						"alert","DemonishingLeapAct",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {184365},
				execute = {
					{
						"quash","DemonishingLeapAct",
						"set",{leapCount = 0},
					},
				},
			},			
			-- TaintedBlood
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {184357},
				execute = {
					{
						"alert","TaintedBloodCD",
					},
				},
			},					
			-- MarkOfTheNecromancer
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS", --SPELL_AURA_APPLIED
				spellid = {184449},
				execute = {
					{
						"alert",{"MarkoftheNecromancerCD", time = 2},
						"message","mMarkOfTheNecromancer",
						--"insert",{"MarkOfTheNecromancerunits","#5#"},
						--"canceltimer","timerMarkOfTheNecromancer",
						--"scheduletimer",{"timerMarkOfTheNecromancer",0.3},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {184676}, --30%-cast
				execute = {
					{
						"batchquash",{"MarkoftheNecromancerCD","ReapCD"},
					},
				},
			},			
			-- Reap
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {184476},
				execute = {	
					{
						--"batchalert",{"ReapCast","wReap"},
						"alert","ReapCast",
						"alert","ReapCD",
						--"alert",{"ReapCD", time = 2},
					},
					{
						"expect",{"&playerdebuff|"..SN[184449].."&","==","true"},-- Mark of the Necromancer
						"announce","Reapsay",
						"alert","iReap",
						"openwindow",{"5",nil,false,184476},
					},
					{
						"expect",{"&playerdebuff|"..SN[184449].."&","==","false"},-- Mark of the Necromancer
						"alert","wReap",
					},					
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {184476},
				--dstisplayerunit = true,
				execute = {
					{
						"closewindow",{true},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {184652},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iReapDamage",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_DAMAGE",
				spellid = {184652},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iReapDamage",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_MISSED",
				spellid = {184652},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iReapDamage",
					},
				},
			},	
			-- NightmareVisage
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {184657},
				execute = {	
					{
						"batchalert",{"NightmareVisageCD","NightmareVisageCast","wNightmareVisage"},
					},				
				},
			},	
			-- FelRage 
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {184360},
				execute = {
					{
						"message","mFelRage",
						"raidicon","FelRagemark",
						"alert",{"FelRageCD", time = 2},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","FelRageDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"FelRageDebuff", text = 2},
					},	
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {184360},
				execute = {
					{
						"quash","FelRageDebuff",
						"removeraidicon","#5#",						
					},
				},
			},
			-- Bloodboil 
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {184355},
				execute = {
					{
						"insert",{"Bloodboilunits","#5#"},
						"canceltimer","timerBloodboil",
						"scheduletimer",{"timerBloodboil",0.3},
					},
					{
						"expect",{"&mythic&","==","true"},
						"invoke",{
							{
								"expect",{"#4#","==","&playerguid&"},
								"alert","BloodboilDebuff",
							},
							{
								"expect",{"#4#","~=","&playerguid&"},
								"alert",{"BloodboilDebuff", text = 2},
							},
						},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {184355},
				--dstisplayerunit = true,
				execute = {
					{
						"expect",{"&mythic&","==","true"},
						"invoke",{
							{
								"expect",{"#4#","==","&playerguid&"},
								"alert",{"BloodboilDebuff", text = 3},
							},
							{
								"expect",{"#4#","==","&playerguid&"},
								"expect",{"#11#",">","2"},
								"alert","iBloodboil",
							},
							{
								"expect",{"#4#","~=","&playerguid&"},
								"alert",{"BloodboilDebuff", text = 4},
							},							
						},
					},
				},
			},			
			-- AcidicWound 
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {184847},
				execute = {
					{
						"insert",{"Bloodboilunits","#5#"},
						"canceltimer","timerBloodboil",
						"scheduletimer",{"timerBloodboil",0.3},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","AcidicWoundDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"AcidicWoundDebuff", text = 2},
					},	
				},
			},			
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {184847},
				execute = {
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert",{"AcidicWoundDebuff", text = 3},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"AcidicWoundDebuff", text = 4},
					},		
					{
						"expect",{"&checkperc|#11#|5&","==","0"},
						"message","mAcidicWound",
					},
				},
			},
			-- MirrorImages 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {183885},
				execute = {
					{
						"alert","wMirrorImages",
						"scheduletimer",{"timerStartLeap",0.1},
					},
					{
					--	"expect",{"&lfr&","==","false"},
						"alert",{"MirrorImagesCD", time = 4},
					},
					--{
					--	"expect",{"&lfr&","==","true"},
					--	"alert",{"MirrorImagesCD", time = 3},
					--},
				},
			},	
			--------------------------------------
			-- Emotes
			{
				type = "event",
				event = "EMOTE", 
				execute = {
					-- horror
					{
						"expect",{"#1#","find","spell:184681"},
						"message","mHorror",
						"set",{horrorCount = "INCR|1"},
						"alert",{"WailingHorrorCD", time = 2},
						"scheduletimer",{"timerStartHorror",0.1},
					},
				},
			},
			{
				type = "event",
				event = "UNIT_SPELLCAST_SUCCEEDED", 
				execute = {
					{
						"expect",{"#1#","==","boss1"},
						"invoke",{
							{
								"expect",{"#5#","==","190607"}, -- Ghostly, Blademaster Jubei'thos dies
								"set",{jubeiIsDead = 1},
								"invoke",{
									{
										"expect",{"<nextAbility>","==","2"},
										"quash","MirrorImagesCD",
										"set",{tmp = "&gettime|<nextAbilityTime>&"},
										"scheduletimer",{"timerStartLeap","<tmp>"},
									},
								},		
							},								
						},
					},	
					{
						"expect",{"#1#","==","boss2"},
						"invoke",{
							{
								"expect",{"#5#","==","190607"}, -- Ghostly, Blademaster Jubei'thos dies
								"set",{jubeiIsDead = 1},
								"invoke",{
									{
										"expect",{"<nextAbility>","==","2"},
										"quash","MirrorImagesCD",
										"set",{tmp = "&gettime|<nextAbilityTime>&"},
										"scheduletimer",{"timerStartLeap","<tmp>"},
									},
								},		
							},								
						},
					},
					{
						"expect",{"#1#","==","boss3"},
						"invoke",{
							{
								"expect",{"#5#","==","190607"}, -- Ghostly, Blademaster Jubei'thos dies
								"set",{jubeiIsDead = 1},
								"invoke",{
									{
										"expect",{"<nextAbility>","==","2"},
										"quash","MirrorImagesCD",
										"set",{tmp = "&gettime|<nextAbilityTime>&"},
										"scheduletimer",{"timerStartLeap","<tmp>"},
									},
								},		
							},								
						},
					},						
				},
			},			
			{
				type = "combatevent",
				eventtype = "UNIT_DIED",
				execute = {
					--{
					--	"expect",{"&npcid|#4#&","==","92142"}, --Blademaster Jubei'thosr
					--	"quash","MirrorImagesCD",
					--},	
					{
						"expect",{"&npcid|#4#&","==","92144"}, --Dia Darkwhisper
						"batchquash",{"NightmareVisageCast","NightmareVisageCD"},
						"set",{diaIsDead = 1},
						"invoke",{
							{
								"expect",{"<nextAbility>","==","1"},
								"quash","WailingHorrorCD",
								"set",{tmp = "&gettime|<nextAbilityTime>&"},
								"scheduletimer",{"timerStartMirror","<tmp>"},
							},
						},
					},		
					{
						"expect",{"&npcid|#4#&","==","92146"}, --Gurthogg Bloodboil
						--"batchquash",{"FelRageCD","DemonishingLeapCD","TaintedBloodCD"},
						"set",{gurtoggIsDead = 1},
						"invoke",{
							{
								"expect",{"<nextAbility>","==","3"},
								"quash","DemonishingLeapCD",
								"set",{tmp = "&gettime|<nextAbilityTime>&"},
								"scheduletimer",{"timerStartHorror","<tmp>"},
							},
						},						
					},							
				},
			},	
			
		},
	}

	DXE:RegisterEncounter(data)
end