local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

local EJName = EJ_GetEncounterInfo(1372)
do
	local data = {
		version = 10,
		key = "Gorefiend",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = EJName,
		icon = "INTERFACE\\ENCOUNTERJOURNAL\\UI-EJ-BOSS-Gorefiend.BLP:35:35",
		respawntime = 30,
		triggers = {
			scan = {90199}, 
			encounterid = 1783,
			ejid = 1372,
		},
		onactivate = {
			tracing = {
				90199,
				powers={true},
				--markers1 = {35},
			},
			tracerstart = true,
			combatstop = true,
			unittracing = {"boss1"},
			defeat = 90199,
		},
		windows = {
			proxwindow = true,
		},
		enrage = {

		},
		arrows = {
			SharedFateRunArrow = {
				varname = SN[179908],
				unit = "<fatePlayer>",
				persist = 120,
				action = "TOWARD",
				msg = L.alert["GO TO HIM!"],
				spell = SN[179908],
				range1 = 5,
				range2 = 8,
				range3 = 10,
				desc = 179908,
				icon = ST[179908],
			},
		},	
		raidicons = {
			SharedFateRootmark = {
				varname = SN[179909],
				type = "FRIENDLY",
				persist = 120,
				unit = "#5#", 
				icon = 1,
				desc = 179909,
				icon2 = ST[179909],
			},					
		},
		userdata = {
			TouchOfDoomunits = {type = "container", wipein = 3},
			ShadowOfDeathunits = {type = "container", wipein = 3},
			HungerForLifeunits = {type = "container", wipein = 3},
			SharedFateRootData = {19, 28, 25, 22, loop = false, type = "series"},
			Count = {type = "container"},
			MaxCountHeroic = {type = "container"},
			MaxCountMythic = {type = "container"},
			fatePlayer = "-",
			AddsSpawned = 0,
			TouchOfDoomsaycount = 8,
		},
		timers = {
			timerAddCheck = {
				{
					"expect",{"&unitexist|boss2& <AddsSpawned>","==","0 1"},
					"tracing",{90199},
					"set",{AddsSpawned = 0},
				},			
				{
					"expect",{"&unitexist|boss2&","==","1"},
					"tracing",{90199,"boss2"},
					"set",{AddsSpawned = 1},
				},
				{
					"scheduletimer",{"timerAddCheck",1},
				},
			},	
			timerTouchOfDoom = {
				{
					"message","mTouchOfDoom",
				},
			},
			timerShadowOfDeath = {
				{
					"message","mShadowOfDeath",
				},
			},
			timerTouchOfDoomsay = {
				{
					"set",{TouchOfDoomsaycount = "DECR|1"},
				},
				{
					"expect",{"<TouchOfDoomsaycount>","<","5"},
					"expect",{"<TouchOfDoomsaycount>",">","0"},
					"announce","TouchOfDoomcountdown",
				},
				{
					"expect",{"<TouchOfDoomsaycount>",">","0"},
					"scheduletimer",{"timerTouchOfDoomsay",1},
				},
			},
			--[[timerHungerForLife = {
				{
					"message","mHungerForLife",
				},
			},	--]]			
		},	
		announces = { 
			TouchOfDoomsay = {
				varname = format(L.alert["%s %s %s"],SN[179977],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s"],SN[179977],L.alert["on"],L.alert["Me"]),
				desc = 179977,
				icon = ST[179977],
				--flashcolor = "RED",
				--flashscreen = true,
			},
			TouchOfDoomcountdown = {
				varname = format(L.alert["%s %s 2"],SN[179977],L.alert["in"]),
				type = "SAY",
				msg = format(L.alert["%s %s <TouchOfDoomsaycount>"],SN[179977],L.alert["in"]),
				desc = 179977,
				icon = ST[179977],				
			},
			SharedFateRootsay = {
				varname = format(L.alert["%s %s %s!"],SN[179909],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[179909],L.alert["on"],L.alert["Me"]),
				desc = 179909,
				icon = ST[179909],
			},	
			HungerForLifesay = {
				varname = format(L.alert["%s %s %s!"],SN[180148],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[180148],L.alert["on"],L.alert["Me"]),
				desc = 180148,
				icon = ST[180148],
			},				
		},		
		messages = {
			--[[mHungerForLife = {
				varname = format(L.alert["%s %s %s"],SN[180148],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|HungerForLifeunits&"],SN[180148],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 180148,
				icon = ST[180148],
			},--]]
			mTouchOfDoom = {
				varname = format(L.alert["%s %s %s"],SN[179977],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|TouchOfDoomunits&"],SN[179977],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 179977,
				icon = ST[179977],
			},
			mShadowOfDeath = {
				varname = format(L.alert["%s %s %s"],SN[179864],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|ShadowOfDeathunits&"],SN[179864],L.alert["on"]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 179864,
				icon = ST[179864],
			},
			mSharedFateRoot = {
				varname = format(L.alert["%s %s %s"],SN[179909],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[179909],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 179909,
				icon = ST[179909],
			},			
			mHungerForLife = {
				varname = format(L.alert["%s %s %s"],SN[180148],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[180148],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 180148,
				icon = ST[180148],
			},
			mFelFlames = {
				varname = format(L.alert["%s %s %s (2)"],SN[185189],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5# (#11#)"],SN[185189],L.alert["on"]),
				color1 = "GREEN",
				sound = "ALERT13",
				desc = 185189,
				icon = ST[185189],
				counter2 = true,
			},			
			mRagingCharge = {
				varname = format(L.alert["%s %s %s"],SN[187814],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &upvalue&"],SN[187814],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 187814,
				icon = ST[187814],
				exhealer = true,
			},			
			mFeastOfSoulsOver = {
				varname = format(L.alert["%s %s!"],SN[181973],L.alert["Over"]),
				type = "message",
				text = format(L.alert["%s %s!"],SN[181973],L.alert["Over"]),
				color1 = "GREEN",
				sound = "ALERT13",
				desc = 181973,
				icon = ST[181973],
			},
			mBellowingShout = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[181582]),
				type = "message",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[181582]),
				color1 = "RED",
				icon = ST[181582],
				sound = "ALERT10",
				desc = 181582,
			},
			mGoreboundFortitude = {
				varname = format(L.alert["%s Spawns"],EJSN[11020]),
				type = "message",
				text = format(L.alert["%s Spawns"],EJSN[11020]),
				color1 = "CYAN",
				sound = "ALERT13",
				ability = 11020,
				icon = EJST[11020],
			},			
		},
		onstart = {
			{	
				"batchalert",{"FeastofSoulsCD","TouchofDoomCD"},
				"scheduletimer",{"timerAddCheck",1},
				"tabinsert",{"Count","tank","0"},
				"tabinsert",{"Count","healer","0"},
				"tabinsert",{"Count","dps","0"},
				"tabinsert",{"MaxCountHeroic","tank","1"},
				"tabinsert",{"MaxCountHeroic","healer","2"},
				"tabinsert",{"MaxCountHeroic","dps","3"},	
				"tabinsert",{"MaxCountMythic","tank","2"},
				"tabinsert",{"MaxCountMythic","healer","2"},
				"tabinsert",{"MaxCountMythic","dps","4"},					
			},
			{
				"expect",{"&isranged&","==","true"},
				"openwindow",{"5"},
			},
			{
				"expect",{"&lfr&","==","false"},
				"alert","SharedFateCD",
			},
			{
				"expect",{"&mythic&","==","false"},
				"batchalert",{"shadowOfDeathTankCD","shadowOfDeathHealerCD","shadowOfDeathDpsCD"},
			},
			{
				"expect",{"&mythic&","==","true"},
				"alert",{"shadowOfDeathTankCD", time = 2},
				"alert",{"shadowOfDeathHealerCD", time = 2},
				"alert",{"shadowOfDeathDpsCD", time = 2},
			},			
		},
		alerts = {
			SharedFateCD = {
				varname = format(L.alert["%s Cooldown"],SN[179909]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[179909]),
				time = 18,
				time2 = "<SharedFateRootData>",
				time3 = 19,
				color1 = "GLOBAL",
				icon = ST[179909],
				desc = 179909,
			},
			FeastofSoulsCD = {
				varname = format(L.alert["%s Cooldown"],SN[181973]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[181973]),
				time = 123,
				color1 = "GLOBAL",
				icon = ST[181973],
				desc = 181973,
			},
			TouchofDoomCD = {
				varname = format(L.alert["%s Cooldown"],SN[179977]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[179977]),
				time = 8.3,
				time2 = 25,
				time3 = 9,
				color1 = "GLOBAL",
				icon = ST[179977],
				desc = 179977,
			},			
			shadowOfDeathTankCD = {
				varname = L.alert["Tank"].." "..format(L.alert["%s Cooldown"],SN[179864]),
				type = "dropdown",
				--text = "|TInterface\\LFGFrame\\UI-LFG-ICON-PORTRAITROLES.blp:16:16:0:%d:64:64:0:19:22:41|t"..""..format(L.alert["%s Cooldown"],SN[179864]),
				text = format(L.alert["%s Cooldown"],SN[179864]),
				time = 13,
				time2 = 9,
				time3 = 60,
				color1 = "GLOBAL",
				--icon = ST[179864],
				icon = "TANK_ICON",
				desc = 179864,
			},
			shadowOfDeathHealerCD = {
				varname = L.alert["Healer"].." "..format(L.alert["%s Cooldown"],SN[179864]),
				type = "dropdown",
				--text = "|TInterface\\LFGFrame\\UI-LFG-ICON-PORTRAITROLES.blp:16:16:0:%d:64:64:20:39:1:20|t"..""..format(L.alert["%s Cooldown"],SN[179864]),
				text = format(L.alert["%s Cooldown"],SN[179864]),
				time = 30,
				time2 = 20,
				time3 = 36,
				time4 = 46,
				color1 = "GLOBAL",
				--icon = ST[179864],
				icon = "HEALER_ICON",
				desc = 179864,
			},	
			shadowOfDeathDpsCD = {
				varname = L.alert["Dps"].." "..format(L.alert["%s Cooldown"],SN[179864]),	
				type = "dropdown",
				--text = "|TInterface\\LFGFrame\\UI-LFG-ICON-PORTRAITROLES.blp:16:16:0:%d:64:64:20:39:22:41|t"..""..format(L.alert["%s Cooldown"],SN[179864]),
				text = format(L.alert["%s Cooldown"],SN[179864]),
				time = 2,
				time2 = 3,
				time3 = 36,
				time4 = 27,
				color1 = "GLOBAL",
				--icon = ST[179864],
				icon = "DAMAGE_ICON",
				desc = 179864,
			},	
			BellowingShoutCD = {
				varname = format(L.alert["%s Cooldown"],SN[181582]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[181582]),
				time = 13.5,
				color1 = "GLOBAL",
				icon = ST[181582],
				desc = 181582,
			},			
			-- Warning
			wFeastOfSouls = {
				varname = format(L.alert["%s (%s)"],SN[181973],SecondsToTime(60)),
				type = "simple",
				text = format(L.alert["%s (%s)"],SN[181973],SecondsToTime(60)),
				time = 2,
				color1 = "YELLOW",
				icon = ST[181973],
				sound = "ALERT14",
				desc = 181973,
			},	
			wDigest = {
				varname = format(L.alert["%s %s %s!"],SN[181295],L.alert["in"],SecondsToTime(40)),
				type = "simple",
				text = format(L.alert["%s %s %s!"],SN[181295],L.alert["in"],SecondsToTime(40)),
				time = 2,
				color1 = "ORANGE",
				icon = ST[181295],
				sound = "ALERT14",
				desc = 181295,
			},			
			-- Inform
			iHungerForLife = {
				varname = format(L.alert["%s %s %s!"],SN[180148],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[180148],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "YELLOW",
				icon = ST[180148],
				sound = "ALERT10",
				desc = 180148,
			},
			iHungerForLifeOver = {
				varname = format(L.alert["%s %s!"],SN[180148],L.alert["Over"]),
				type = "inform",
				text = format(L.alert["%s %s!"],SN[180148],L.alert["Over"]),
				time = 2,
				color1 = "GREEN",
				icon = ST[180148],
				sound = "ALERT14",
				desc = 180148,
			},			
			iTouchOfDoom = {
				varname = format(L.alert["%s %s %s!"],SN[179977],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[179977],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "RED",
				icon = ST[179977],
				sound = "ALERT11",
				desc = 179977,
				flashscreen = true,
			},
			iSharedFateRoot = {
				varname = format(L.alert["%s %s %s!"],SN[179909],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[179909],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "GREEN",
				icon = ST[179909],
				sound = "ALERT10",
				desc = 179909,
				flashscreen = true,
			},
			iSharedFateRun = {
				varname = format(L.alert["%s %s!"],SN[179909],L.alert["GO TO HIM!"]),
				type = "inform",
				text = format(L.alert["%s %s!"],SN[179909],L.alert["GO TO HIM!"]),
				time = 2,
				color1 = "YELLOW",
				icon = ST[179909],
				sound = "ALERT10",
				desc = 179909,
				flashscreen = true,
			},	
			iBellowingShout = {
				varname = format(L.alert["%s: %s %s!"],SN[181582],L.alert["INTERRUPT"],L.alert["Boss"]),
				type = "inform",
				text = format(L.alert["%s: %s #2#!"],SN[181582],L.alert["INTERRUPT"]),
				time = 2,
				color1 = "RED",
				icon = ST[181582],
				sound = "ALERT11",
				desc = 181582,
				flashscreen = true,
				exhealer = true,
			},	
			iDoomWellDamage = {
				varname = format(L.alert["%s %s, %s!"],SN[179995],L.alert["under you"],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s, %s!"],SN[179995],L.alert["under you"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[179995],
				sound = "ALERT12",
				desc = 179995,
				flashscreen = true,
				throttle = 1.5,
			},
			iFelFuryDamage = {
				varname = format(L.alert["%s %s %s!"],SN[179995],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[179995],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "RED",
				icon = ST[179995],
				sound = "ALERT11",
				desc = 179995,
				flashscreen = true,
				throttle = 2,
			},				
			-- Casts
			FeastOfSoulsCast = {
				varname = format(L.alert["%s Active"],SN[117847]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[117847]),
				time = 60,
				color1 = "GREEN",
				icon = ST[181973],
				desc = 181973,
			},
			DigestActive = {
				varname = format(L.alert["%s Active"],SN[181295]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[181295]),
				time = 40,
				time2 = 30,
				color1 = "RED",
				icon = ST[181295],
				desc = 181295,
				audiocd = true,
				audiotime = 10,
			},				
			-- Debuff
			TouchOfDoomDebuff = {
				varname = format(L.alert["%s Debuff"],SN[179977]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[179977]),
				text2 = format(L.alert["#5#: %s"],SN[179977]),
				time = 8,
				color1 = "RED",
				desc = 179977,
				icon = ST[179977],
				tag = "#5#",
				exdps = true,				
			},
			ShadowOfDeathDebuff = {
				varname = format(L.alert["%s Debuff"],SN[179864]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[179864]),
				text2 = format(L.alert["#5#: %s"],SN[179864]),
				time = 5,
				color1 = "RED",
				desc = 179864,
				icon = ST[179864],
				tag = "#5#",
				exdps = true,				
			},
			FelFlamesDebuff = {
				varname = format(L.alert["%s Debuff"],SN[185189]),
				type = "debuff",
				text = format(L.alert["(1) %s: %s"],L.alert["YOU"],SN[185189]),
				text2 = format(L.alert["(1) #5#: %s"],SN[185189]),
				text3 = format(L.alert["(#11#) %s: %s"],L.alert["YOU"],SN[185189]),
				text4 = format(L.alert["(#11#) #5#: %s"],SN[185189]),
				time = 5,
				color1 = "GREEN",
				desc = 185189,
				icon = ST[185189],
				tag = "#5#",
				exdps = true,				
			},				
		},
		events = {
			-- TouchOfDoom
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {179977},
				execute = {
					{
						"insert",{"TouchOfDoomunits","#5#"},
						"canceltimer","timerTouchOfDoom",
						"scheduletimer",{"timerTouchOfDoom",0.3},
					},
					{
						"expect",{"&count|TouchOfDoomunits&","==","1"},
						"alert",{"TouchofDoomCD", time = 2},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","TouchOfDoomDebuff",-- maybe remove this and make just a center player bar
						"alert","iTouchOfDoom",
						"announce","TouchOfDoomsay",
						"set",{TouchOfDoomsaycount = 8},
						"canceltimer","timerTouchOfDoomsay",
						"scheduletimer",{"timerTouchOfDoomsay",1},
						"openwindow",{"20",nil,false,179977},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"TouchOfDoomDebuff", text = 2},
					},						
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {179977},
				execute = {
					{
						"quash","TouchOfDoomDebuff",
					},
					{
						"expect",{"#4# &isranged&","==","&playerguid& true"},
						"openwindow",{"5"},
					},								
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {189434},
				execute = {
					{
						"insert",{"TouchOfDoomunits","#5#"},
						"canceltimer","timerTouchOfDoom",
						"scheduletimer",{"timerTouchOfDoom",0.3},
						"alert","TouchOfDoomDebuff",-- maybe remove this and make just a center player bar
					},
					{
						"expect",{"&count|TouchOfDoomunits&","==","1"},
						"alert",{"TouchofDoomCD", time = 2},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","iTouchOfDoom",
						"announce","TouchOfDoomsay",
						"openwindow",{"20",nil,false,189434}, 
					},						
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {189434},
				execute = {
					{
						"quash","TouchOfDoomDebuff",
					},
					{
						"expect",{"#4# &isranged&","==","&playerguid& true"},
						"openwindow",{"5"},
					},								
				},
			},			
			-- SharedFateRoot
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {179909},
				execute = {
					{
						"alert",{"SharedFateCD", time = 2},
						"set",{fatePlayer = "#5#"},
						"raidicon","SharedFateRootmark",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","iSharedFateRoot",
						"announce","SharedFateRootsay",
					},		
					{
						"expect",{"#4#","~=","&playerguid&"}, 
						"message","mSharedFateRoot",
					},						
				},
			},		
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {179909},
				execute = {
					{
						"removeraidicon","#5#",	
						"set",{fatePlayer = "-"},
					},
				},
			},			
			-- SharedFateRun
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {179908},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iSharedFateRun",
					},		
					{
						"expect",{"<fatePlayer>","~=","-"}, 
						"arrow","SharedFateRunArrow",
						"openwindow",{"6","<fatePlayer>",false,179908},
					},
				},
			},		
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {179908},
				dstisplayerunit = true,
				execute = {
					{
						"removerarrow","#5#",
					},
					{
						"expect",{"&isranged&","==","true"},
						"openwindow",{"5"},
					},									
				},
			},	
			-- FeastOfSouls
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {181973},
				execute = {
					{
						"batchalert",{"FeastOfSoulsCast","wFeastOfSouls"},
						"batchquash",{"shadowOfDeathTankCD","shadowOfDeathHealerCD","shadowOfDeathDpsCD","SharedFateCD","TouchofDoomCD"},
						"closewindow",{true},
					},		
				},
			},		
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {181973},
				execute = {
					{
						"message","mFeastOfSoulsOver",
						"quash","FeastOfSoulsCast",
						"alert","FeastofSoulsCD",
						"alert",{"TouchofDoomCD", time = 3},
						"tabinsert",{"Count","tank","0"},
						"tabinsert",{"Count","healer","0"},
						"tabinsert",{"Count","dps","0"},						
					},
					{
						"expect",{"&lfr&","==","false"},
						"alert",{"SharedFateCD", time = 3},
					},
					{
						"expect",{"&mythic&","==","false"},
						"batchalert",{"shadowOfDeathTankCD","shadowOfDeathHealerCD","shadowOfDeathDpsCD"},
					},					
					{
						"expect",{"&mythic&","==","true"},
						"alert",{"shadowOfDeathTankCD", time = 2},
						"alert",{"shadowOfDeathHealerCD", time = 2},
						"alert",{"shadowOfDeathDpsCD", time = 2},
					},
					{
						"expect",{"&isranged&","==","true"},
						"openwindow",{"5"},
					},									
				},
			},	
			-- 	Digest
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {181295},
				dstisplayerunit = true,
				execute = {
					{
						"alert","wDigest",
						"closewindow",{true},
					}, 
					{
						"expect",{"&mythic&","==","false"},
						"alert","DigestActive",
					},	
					--{
					--	"expect",{"&mythic&","==","true"},
					--	"alert",{"DigestActive", time = 2},
					--},				
				},
			},	
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {181295},
				dstisplayerunit = true,
				execute = {
					{
						"quash","DigestActive",
					},
					{
						"expect",{"&isranged&","==","true"},
						"openwindow",{"5"},
					},
				},
			},	
			-- 	ShadowOfDeath
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {179864},
				execute = {
					{
						"insert",{"ShadowOfDeathunits","#5#"},
						"canceltimer","timerShadowOfDeath",
						"scheduletimer",{"timerShadowOfDeath",0.3},
					},
					{
						"expect",{"&count|ShadowOfDeathunits&","==","1"},
						"invoke",{
							{
								"expect",{"&istank|#5#&","==","true"},
								"tabupdate",{"Count","tank","INCR|1"},
								"invoke",{
									{
										"expect",{"&heroic&","==","true"},
										"expect",{"&tabread|Count|tank&","<","&tabread|MaxCountHeroic|tank&"},
										"alert",{"shadowOfDeathTankCD", time = 3},
									},
									{
										"expect",{"&mythic&","==","true"},
										"expect",{"&tabread|Count|tank&","<","&tabread|MaxCountMythic|tank&"},
										"alert",{"shadowOfDeathTankCD", time = 3},
									},									
								},
							},
							{
								"expect",{"&ishealer|#5#&","==","true"},
								"tabupdate",{"Count","healer","INCR|1"},
								"invoke",{
									{
										"expect",{"&heroic&","==","true"},
										"expect",{"&tabread|Count|healer&","<","&tabread|MaxCountHeroic|healer&"},
										"alert",{"shadowOfDeathHealerCD", time = 3},
									},
									{
										"expect",{"&mythic&","==","true"},
										"expect",{"&tabread|Count|healer&","<","&tabread|MaxCountMythic|healer&"},
										"alert",{"shadowOfDeathHealerCD", time = 4},
									},							
								},
							},	
							{
								"expect",{"&isdps|#5#&","==","true"},
								"tabupdate",{"Count","dps","INCR|1"},
								"invoke",{
									{
										"expect",{"&heroic&","==","true"},
										"expect",{"&tabread|Count|dps&","<","&tabread|MaxCountHeroic|dps&"},
										"alert",{"shadowOfDeathDpsCD", time = 3},
									},
									{
										"expect",{"&mythic&","==","true"},
										"expect",{"&tabread|Count|dps&","<","&tabread|MaxCountMythic|dps&"},
										"alert",{"shadowOfDeathDpsCD", time = 4},
									},							
								},
							},
						},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","ShadowOfDeathDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"ShadowOfDeathDebuff", text = 2},
					},	
				},
			},
			-- BellowingShout
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {181582},
				execute = {
					{
						"alert","BellowingShoutCD",
					},
					{
						"expect",{"&interrupt|#1#&","==","true"},
						"message","mBellowingShout",
						"alert","iBellowingShout",
					},				
				},
			},	
			-- 	HungerForLife
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {180148},
				execute = {
					--[[{
						"insert",{"HungerForLifeunits","#5#"},
						"canceltimer","timerHungerForLife",
						"scheduletimer",{"timerHungerForLife",0.5},
					},--]]	
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","HungerForLifesay",
						"alert","iHungerForLife",
					},				
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {180148},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iHungerForLifeOver",
					},				
				},
			},				
			-- RagingCharge
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {187814},
				execute = {	
					{
						"target",{
							source = "#1#",
							wait = 0.2,
							schedule = 1,
							message = "mRagingCharge",
						},
					},			
				},
			},
			-- 	FelFlames
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {185189},
				execute = {
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","FelFlamesDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"FelFlamesDebuff", text = 2},
					},		
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {185189},
				execute = {
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert",{"FelFlamesDebuff", text = 3},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"FelFlamesDebuff", text = 4},
					},	
					{
						"expect",{"#11#",">","3"},
						"message","mFelFlames",
					},
				},
			},	
			-- DoomWellDamage
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {179995},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iDoomWellDamage",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_DAMAGE",
				spellid = {179995},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iDoomWellDamage",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_MISSED",
				spellid = {179995},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iDoomWellDamage",
					},
				},
			},	
			-- FelFuryDamage
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {182601},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iFelFuryDamage",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {182601},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iFelFuryDamage",
					},
				},
			},	
			-- GoreboundFortitude
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {185982},
				execute = {
					{
						"message","mGoreboundFortitude",
					},		
				},
			},	
			----- 
			{
				type = "combatevent",
				eventtype = "UNIT_DIED",
				execute = {
					{
						"expect",{"&npcid|#4#&","==","90570"}, --GoreboundSpiritDeath
						"quash","BellowingShoutCD",
					},				
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end