local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

local EJName = EJ_GetEncounterInfo(1426)

do
	local data = {
		version = 10,
		key = "HellfireAssault",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = EJName,
		icon = "INTERFACE\\ENCOUNTERJOURNAL\\UI-EJ-BOSS-HellfireAssault.BLP:35:35",
		respawntime = 30,
		triggers = {
			scan = {93023}, -- Siegemaster Mar'tak, Reinforced Hellfire Door, Hellfire Cannon
			--95068, 94515, 93023,
			encounterid = 1778,
			ejid = 1426,
		},
		onactivate = {
			tracing = {
				93023,  --95068, 94515, 93023,
				--markers1 = {35},
			},
			tracerstart = true,
			combatstop = true,
			unittracing = {"boss1","boss2","boss3","boss4"},
			defeat = 90019, -- Reinforced Hellfire Door
		},
		windows = {
			proxwindow = true,
		},
		arrows = {
			HowlingAxearrow = {
				varname = SN[184369],
				unit = "#5#",
				persist = 5,
				action = "AWAY",
				msg = L.alert["MOVE AWAY!"],
				spell = SN[184369],
				range1 = 1,
				range2 = 6,
				range3 = 10,
				desc = 184369,
				icon = ST[184369],
			},		
		},
		enrage = {

		},
		userdata = {
			HowlingAxeunits = {type = "container", wipein = 3},
			ConductedShockPulseunits = {type = "container", wipein = 3},
			engageTime = 0,
			length = 0,
			vehicletext = "",
			addslength = 0,
			addstext = "",
			vehiclemessagetext1 = "",
			vehiclemessagetext2 = "",
			vehiclemessagetext3 = "",
			addsmessagetext1 = "",
			addsmessagetext2 = "",
			addsmessagetext3 = "",
			-- 11435/180080 = artillery, 11429/180945 = demolisher, 11437/186883 = flamebelcher
			-- 11712/185021 = transporter, 11439/180022 = crusher
			vehicleData1 = {169.3, loop = false, type = "series"},
			vehicleData1names = {EJSN[11435], loop = false, type = "series"},
			vehicleData1icon = {ST[180080], loop = false, type = "series"},
			vehicleData2 = {38.7,110.0,233.7,285.2,395.5,416.8, loop = false, type = "series"},
			vehicleData2names = {EJSN[11437],EJSN[11439],EJSN[11429],EJSN[11437],EJSN[11429],EJSN[11437], loop = false, type = "series"},
			vehicleData2icon = {ST[186883],ST[180022],ST[180945],ST[186883],ST[180945],ST[186883], loop = false, type = "series"},
			vehicleData3 = {350.0, loop = false, type = "series"},
			vehicleData3names = {EJSN[11435], loop = false, type = "series"},			
			vehicleData3icon = {ST[180080], loop = false, type = "series"},
			vehicleDataMythic1 = {56.4,73.5,128.3,173.0,302.9,353.0, loop = false, type = "series"},
			vehicleDataMythic1names = {EJSN[11435],EJSN[11429],EJSN[11437],EJSN[11435],EJSN[11437],EJSN[11429], loop = false, type = "series"},
			vehicleDataMythic1icon = {ST[180080],ST[180945],ST[186883],ST[180080],ST[186883],ST[180945], loop = false, type = "series"},
			vehicleDataMythic2 = {185.4,196.2,235.6, loop = false, type = "series"},
			vehicleDataMythic2names = {EJSN[11712],EJSN[11439],EJSN[11429], loop = false, type = "series"},
			vehicleDataMythic2icon = {ST[185021],ST[180022],ST[180945], loop = false, type = "series"},
			vehicleDataMythic3 = {53.9,80.8,135.2,180.8,306.1, loop = false, type = "series"},
			vehicleDataMythic3names = {EJSN[11435],EJSN[11437],EJSN[11429],EJSN[11437],EJSN[11435], loop = false, type = "series"},			
			vehicleDataMythic3icon = {ST[180080],ST[186883],ST[180945],ST[186883],ST[186883], loop = false, type = "series"},
			-- 11407/150456 = dragoons, 11425/184243 = berserker, 
			-- 11912/184065 = urogg, 11916/190748 = grute,   186782 = adds
			addsData1 = {67,76,108,119,140,178,231,257,267,295,399, loop = false, type = "series"},
			addsData1names = {L.alert["Adds"],L.alert["Adds"],L.alert["Adds"],EJSN[11425],L.alert["Adds"],EJSN[11425],EJSN[11425],L.alert["Adds"],L.alert["Adds"],L.alert["Adds"],EJSN[11425], loop = false, type = "series"},
			addsData1icon = {ST[186782],ST[186782],ST[186782],ST[184243],ST[186782],ST[184243],ST[184243],ST[186782],ST[186782],ST[186782],ST[184243], loop = false, type = "series"},
			addsData2 = {18,30,82,104,225,367,399, loop = false, type = "series"},
			addsData2names = {EJSN[11407],EJSN[11425],EJSN[11425],EJSN[11425],L.alert["Adds"],L.alert["Adds"],L.alert["Adds"], loop = false, type = "series"},
			addsData2icon = {ST[150456],ST[184243],ST[184243],ST[184243],ST[186782],ST[186782],ST[186782], loop = false, type = "series"},
			addsData3 = {35,44,73,142,153,180,295,304,329,367, loop = false, type = "series"},
			addsData3names = {L.alert["Adds"],L.alert["Adds"],L.alert["Adds"],EJSN[11425],EJSN[11407],L.alert["Adds"],EJSN[11425],L.alert["Adds"],EJSN[11407],L.alert["Adds"], loop = false, type = "series"},			
			addsData3icon = {ST[186782],ST[186782],ST[186782],ST[184243],ST[150456],ST[186782],ST[184243],ST[186782],ST[150456],ST[186782], loop = false, type = "series"},
			addsDataMythic1 = {19,35,84,145,268,286,332, loop = false, type = "series"},
			addsDataMythic1names = {EJSN[11407],L.alert["Adds"],L.alert["Adds"],L.alert["Adds"],L.alert["Adds"],L.alert["Adds"],L.alert["Adds"], loop = false, type = "series"},
			addsDataMythic1icon = {ST[150456],ST[186782],ST[186782],ST[186782],ST[186782],ST[186782],ST[186782], loop = false, type = "series"},
			addsDataMythic2 = {30,195,245,291, loop = false, type = "series"},
			addsDataMythic2names = {EJSN[11425],EJSN[11912],EJSN[11916],EJSN[11425], loop = false, type = "series"},
			addsDataMythic2icon = {ST[184243],ST[184065],ST[190748],ST[184243], loop = false, type = "series"},
			addsDataMythic3 = {45,96,145,258,301,332, loop = false, type = "series"},
			addsDataMythic3names = {L.alert["Adds"],L.alert["Adds"],L.alert["Adds"],EJSN[11407],L.alert["Adds"],L.alert["Adds"], loop = false, type = "series"},			
			addsDataMythic3icon = {ST[186782],ST[186782],ST[186782],ST[150456],ST[186782],ST[186782], loop = false, type = "series"},		
		},
		timers = {
			timerCheckBosses = {
				{ 
					"expect",{"&unitexist|boss4&","==","1"},
					"scheduletimer",{"timerCheckBosses",1},
				},
				{
					"expect",{"&unitexist|boss4&","==","0"},
					"tracing",{"boss1","boss2","boss3"},
					"unittracing",{"boss1","boss2","boss3","boss4"},
				},				
			},
			timerHowlingAxe = {
				{
					"message","mHowlingAxe",
				},
			},
			timerConductedShockPulse = {
				{
					"message","mConductedShockPulse",
				},
			},	
			timerVehicle1Message = {
				{
					"message",{"mIncomingVehicle", text = 2},
				},
			},
			timerVehicle2Message = {
				{
					"message",{"mIncomingVehicle", text = 3},
				},
			},
			timerVehicle3Message = {
				{
					"message",{"mIncomingVehicle", text = 4},
				},
			},			
			timerVehicle1 = {
				{
					"set",{length = "&gettime|<vehicleData1>|<engageTime>|1&"},
					"set",{vehicletext = format(L.alert["%s: <vehicleData1names>"],L.alert["Left"])},
					"set",{vehiclemessagetext1 = "<vehicletext>"},
					"alert",{"LeftVehicleCD", text = 2, icon = "<vehicleData1icon>"},
					"scheduletimer",{"timerVehicle1","<length>"},
					--"scheduletimer",{"timerVehicle1Message","<length>"},
				},
			},
			timerVehicle2 = {
				{
					"set",{length = "&gettime|<vehicleData2>|<engageTime>|1&"},
					"set",{vehicletext = format(L.alert["%s: <vehicleData2names>"],L.alert["Center"])},
					"set",{vehiclemessagetext2 = "<vehicletext>"},
					"alert",{"CenterVehicleCD", text = 2, icon = "<vehicleData2icon>"},
					"scheduletimer",{"timerVehicle2","<length>"},
					--"scheduletimer",{"timerVehicle2Message","<length>"},
				},
			},	
			timerVehicle3 = {
				{
					"set",{length = "&gettime|<vehicleData3>|<engageTime>|1&"},
					"set",{vehicletext = format(L.alert["%s: <vehicleData3names>"],L.alert["Right"])},				
					"set",{vehiclemessagetext3 = "<vehicletext>"},
					"alert",{"RightVehicleCD", text = 2, icon = "<vehicleData3icon>"},
					"scheduletimer",{"timerVehicle3","<length>"},
					--"scheduletimer",{"timerVehicle3Message","<length>"},
				},
			},
			timerAdds1Message = {
				{
					"message","mIncomingAdds",
				},
			},
			timerAdds2Message = {
				{
					"message","mIncomingAdds2",
				},
			},
			timerAdds3Message = {
				{
					"message","mIncomingAdds3",
				},
			},		
			timerAdds1 = {
				{
					"set",{addslength = "&gettime|<addsData1>|<engageTime>|1&"},
					"set",{addstext = format(L.alert["%s: <addsData1names>"],L.alert["Left"])},
					"set",{addsmessagetext1 = "<addstext>"},
					"alert",{"LeftAddsCD", text = 2, icon = "<addsData1icon>"},
					"scheduletimer",{"timerAdds1","<addslength>"},
					--"scheduletimer",{"timerAdds1Message","<addslength>"},
				},
			},
			timerAdds2 = {
				{
					"set",{addslength = "&gettime|<addsData2>|<engageTime>|1&"},
					"set",{addstext = format(L.alert["%s: <addsData2names>"],L.alert["Center"])},		
					"set",{addsmessagetext2 = "<addstext>"},
					"alert",{"CenterAddsCD", text = 2, icon = "<addsData2icon>"},
					"scheduletimer",{"timerAdds2","<addslength>"},
					--"scheduletimer",{"timerAdds2Message","<addslength>"},
				},
			},	
			timerAdds3 = {
				{
					"set",{addslength = "&gettime|<addsData3>|<engageTime>|1&"},
					"set",{addstext = format(L.alert["%s: <addsData3names>"],L.alert["Right"])},
					"set",{addsmessagetext3 = "<addstext>"},					
					"alert",{"RightAddsCD", text = 2, icon = "<addsData3icon>"},
					"scheduletimer",{"timerAdds3","<addslength>"},
					--"scheduletimer",{"timerAdds3Message","<addslength>"},
				},
			},			
			timerVehicleMythic1 = {
				{
					"set",{length = "&gettime|<vehicleDataMythic1>|<engageTime>|1&"},
					"set",{vehicletext = format(L.alert["%s: <vehicleDataMythic1names>"],L.alert["Left"])},
					"alert",{"LeftVehicleCD", text = 2, icon = "<vehicleDataMythic1icon>"},
					"scheduletimer",{"timerVehicleMythic1","<length>"},
				},
			},
			timerVehicleMythic2 = {
				{
					"set",{length = "&gettime|<vehicleDataMythic2>|<engageTime>|1&"},
					"set",{vehicletext = format(L.alert["%s: <vehicleDataMythic2names>"],L.alert["Center"])},				
					"alert",{"CenterVehicleCD", text = 2, icon = "<vehicleDataMythic2icon>"},
					"scheduletimer",{"timerVehicleMythic2","<length>"},
				},
			},	
			timerVehicleMythic3 = {
				{
					"set",{length = "&gettime|<vehicleDataMythic3>|<engageTime>|1&"},
					"set",{vehicletext = format(L.alert["%s: <vehicleDataMythic3names>"],L.alert["Right"])},
					"alert",{"RightVehicleCD", text = 2, icon = "<vehicleDataMythic3icon>"},
					"scheduletimer",{"timerVehicleMythic3","<length>"},
				},
			},
			timerAddsMythic1 = {
				{
					"set",{addslength = "&gettime|<addsDataMythic1>|<engageTime>|1&"},
					"set",{addstext = format(L.alert["%s: <addsDataMythic1names>"],L.alert["Left"])},
					"alert",{"LeftAddsCD", text = 2, icon = "<addsDataMythic1icon>"},
					"scheduletimer",{"timerAddsMythic1","<addslength>"},
				},
			},
			timerAddsMythic2 = {
				{
					"set",{addslength = "&gettime|<addsDataMythic2>|<engageTime>|1&"},
					"set",{addstext = format(L.alert["%s: <addsDataMythic2names>"],L.alert["Center"])},				
					"alert",{"CenterAddsCD", text = 2, icon = "<addsDataMythic2icon>"},
					"scheduletimer",{"timerAddsMythic2","<addslength>"},
				},
			},	
			timerAddsMythic3 = {
				{
					"set",{addslength = "&gettime|<addsDataMythic3>|<engageTime>|1&"},
					"set",{addstext = format(L.alert["%s: <addsDataMythic3names>"],L.alert["Right"])},				
					"alert",{"RightAddsCD", text = 2, icon = "<addsDataMythic3icon>"},
					"scheduletimer",{"timerAddsMythic3","<addslength>"},
				},
			},			
		},	
		announces = { 
			HowlingAxesay = {
				varname = format(L.alert["%s %s %s!"],SN[184370],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[184370],L.alert["on"],L.alert["Me"]),
				desc = 184370,
				icon = ST[184370],
				--flashcolor = "RED",
				--flashscreen = true,
			},
		},			
		messages = {
			--[[mIncomingVehicle = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],L.alert["Vehicle"]),
				type = "message",
				text = format(L.alert["%s %s"],L.alert["Incoming"],L.alert["Vehicle"]),
				text2 = "<vehiclemessagetext1>",
				text3 = "<vehiclemessagetext2>",
				text4 = "<vehiclemessagetext3>",
				color1 = "ORANGE",
				sound = "ALERT13",
				--icon = ST[180080],
			},	
			mIncomingAdds = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],L.alert["Adds"]),
				type = "message",
				text = "<addsmessagetext1>",
				color1 = "BROWN",
				sound = "ALERT13",
				--desc = 184394,
				--icon = ST[180945],
			},
			mIncomingAdds2 = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],L.alert["Adds"]),
				type = "message",
				text = "<addsmessagetext2>",
				color1 = "BROWN",
				sound = "ALERT13",
			},	
			mIncomingAdds3 = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],L.alert["Adds"]),
				type = "message",
				text = "<addsmessagetext3>",
				color1 = "BROWN",
				sound = "ALERT13",
			},	--]]			
			mHowlingAxe = {
				varname = format(L.alert["%s %s %s"],SN[184370],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|HowlingAxeunits&"],SN[184370],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 184370,
				icon = ST[184370],
			},
			mConductedShockPulse = {
				varname = format(L.alert["%s %s %s"],SN[185806],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|ConductedShockPulseunits&"],SN[185806],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 185806,
				icon = ST[185806],
			},			
			mShockwave = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[184394]),
				type = "message",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[184394]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 184394,
				icon = ST[184394],
			},	
			mCrush = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[180184]),
				type = "message",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[180184]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 180184,
				icon = ST[180184],
			},				
			mSlam = {
				varname = format(L.alert["%s %s %s (1)"],SN[184243],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5# (1)"],SN[184243],L.alert["on"]),
				text2 = format(L.alert["%s %s #5# (#11#)"],SN[184243],L.alert["on"]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 184243,
				icon = ST[184243],
				exdps = true,
				counter2 = true,
			},
			mCannonball = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[190748]),
				type = "message",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[190748]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 190748,
				icon = ST[190748],
			},
			mCallToArms = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[185021]),
				type = "message",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[185021]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 185021,
				icon = ST[185021],
			},
			mMetamorphosis = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[181968]),
				type = "message",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[181968]),
				color1 = "GREEN",
				sound = "ALERT13",
				desc = 181968,
				icon = ST[181968],
				throttle = 3,
			},						
		},
		onstart = {
			{
				"set",{engageTime = "&gettime&"},
				"alert",{"HowlingAxeCD", time = 2},
				"alert",{"ShockwaveCD", time = 2},
				"scheduletimer",{"timerCheckBosses",1},
			},
			{
				"expect",{"&mythic&","==","false"},
				"scheduletimer",{"timerVehicle1",0.1},
				"scheduletimer",{"timerAdds1",0.1},
				"scheduletimer",{"timerVehicle2",0.1},
				"scheduletimer",{"timerAdds2",0.1},
				"scheduletimer",{"timerVehicle3",0.1},
				"scheduletimer",{"timerAdds3",0.1},				
			},			
			{
				"expect",{"&mythic&","==","true"},
				"scheduletimer",{"timerVehicleMythic1",0.1},
				"scheduletimer",{"timerAddsMythic1",0.1},
				"scheduletimer",{"timerVehicleMythic2",0.1},
				"scheduletimer",{"timerAddsMythic2",0.1},
				"scheduletimer",{"timerVehicleMythic3",0.1},
				"scheduletimer",{"timerAddsMythic3",0.1},				
			},
		},
		alerts = {
			LeftVehicleCD = {
				varname = format(L.alert["%s: %s"],L.alert["Left"],L.alert["Vehicle"]),
				type = "dropdown",
				text = format(L.alert["%s: %s"],L.alert["Left"],L.alert["Vehicle"]),
				text2 = "<vehicletext>",
				time = "<length>",
				color1 = "GLOBAL",
				icon = ST[180080],
			},
			CenterVehicleCD = {
				varname = format(L.alert["%s: %s"],L.alert["Center"],L.alert["Vehicle"]),
				type = "dropdown",
				text = format(L.alert["%s: %s"],L.alert["Center"],L.alert["Vehicle"]),
				text2 = "<vehicletext>",
				time = "<length>",
				color1 = "GLOBAL",
				icon = ST[180945],
			},
			RightVehicleCD = {
				varname = format(L.alert["%s: %s"],L.alert["Right"],L.alert["Vehicle"]),
				type = "dropdown",
				text = format(L.alert["%s: %s"],L.alert["Right"],L.alert["Vehicle"]),
				text2 = "<vehicletext>",
				time = "<length>",
				color1 = "GLOBAL",
				icon = ST[186883],
			},
			LeftAddsCD = {
				varname = format(L.alert["%s: %s"],L.alert["Left"],L.alert["Adds"]),
				type = "dropdown",
				text = format(L.alert["%s: %s"],L.alert["Left"],L.alert["Adds"]),
				text2 = "<addstext>",
				time = "<addslength>",
				color1 = "GLOBAL",
				icon = ST[180080],
			},
			CenterAddsCD = {
				varname = format(L.alert["%s: %s"],L.alert["Center"],L.alert["Adds"]),
				type = "dropdown",
				text = format(L.alert["%s: %s"],L.alert["Center"],L.alert["Adds"]),
				text2 = "<addstext>",
				time = "<addslength>",
				color1 = "GLOBAL",
				icon = ST[180945],
			},
			RightAddsCD = {
				varname = format(L.alert["%s: %s"],L.alert["Right"],L.alert["Adds"]),
				type = "dropdown",
				text = format(L.alert["%s: %s"],L.alert["Right"],L.alert["Adds"]),
				text2 = "<addstext>",
				time = "<addslength>",
				color1 = "GLOBAL",
				icon = ST[186883],
			},			
			HowlingAxeCD = {
				varname = format(L.alert["%s Cooldown"],SN[184369]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[184369]),
				time = 8,
				time2 = 7,
				color1 = "GLOBAL",
				icon = ST[184369],
				desc = 184369,
			},
			ShockwaveCD = {
				varname = format(L.alert["%s Cooldown"],SN[184394]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[184394]),
				time = 8.5,
				time2 = 6,
				color1 = "GLOBAL",
				icon = ST[184394],
				desc = 184394,
			},
			CannonballCD = {
				varname = format(L.alert["%s Cooldown"],SN[190748]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[190748]),
				time = 12,
				color1 = "GLOBAL",
				icon = ST[190748],
				desc = 190748,
			},
			CallToArmsCD = {
				varname = format(L.alert["%s Cooldown"],SN[185021]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[185021]),
				time = 9,
				color1 = "GLOBAL",
				icon = ST[185021],
				desc = 185021,
			},	
			-- Warning
			wCower = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[184238]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[184238]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[184238],
				sound = "ALERT10",
				desc = 184238,
				--flashscreen = true,
			},
			wBelchFlame = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[188101]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[188101]),
				time = 2,
				color1 = "RED",
				icon = ST[188101],
				sound = "ALERT10",
				desc = 188101,
				--flashscreen = true,
			},				
			--[[wFlameorb = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[186845]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[186845]),
				time = 2,
				color1 = "RED",
				icon = ST[186845],
				sound = "ALERT11",
				desc = 186845,
				--flashscreen = true,
			},--]]			
			wRepair = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[185816]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[185816]),
				time = 2,
				color1 = "RED",
				icon = ST[185816],
				sound = "ALERT11",
				desc = 185816,
				--flashscreen = true,
			},	
			wSiegeNova = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[188576]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[188576]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[188576],
				sound = "ALERT10",
				desc = 188576,
			},			
			-- Inform
			iIncinerate = {
				varname = format(L.alert["%s: %s %s!"],SN[181155],L.alert["INTERRUPT"],L.alert["Boss"]),
				type = "inform",
				text = format(L.alert["%s: %s #2#!"],SN[181155],L.alert["INTERRUPT"]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[181155],
				sound = "ALERT11",
				desc = 181155,
				flashscreen = true,
				exhealer = true,
			},
			iRepair = {
				varname = format(L.alert["%s: %s %s!"],SN[185816],L.alert["INTERRUPT"],L.alert["Boss"]),
				type = "inform",
				text = format(L.alert["%s: %s #2#!"],SN[185816],L.alert["INTERRUPT"]),
				time = 2,
				color1 = "RED",
				icon = ST[185816],
				sound = "ALERT11",
				desc = 185816,
				flashscreen = true,
				exhealer = true,
			},			
			iHowlingAxe = {
				varname = format(L.alert["%s %s %s, %s!"],SN[184369],L.alert["on"],L.alert["YOU"],L.alert["RUN AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s %s, %s!"],SN[184369],L.alert["on"],L.alert["YOU"],L.alert["RUN AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[184369],
				sound = "ALERT12",
				desc = 184369,
			},					
			-- Debuff
			SlamDebuff = {
				varname = format(L.alert["%s Debuff"],SN[184243]),
				type = "debuff",
				text = format(L.alert["%s: %s (1)"],L.alert["YOU"],SN[184243]),
				text2 = format(L.alert["#5#: %s (1)"],SN[184243]),
				text3 = format(L.alert["%s: %s (#11#)"],L.alert["YOU"],SN[184243]),
				text4 = format(L.alert["#5#: %s (#11#)"],SN[184243]),
				time = 15,
				color1 = "ORANGE",
				desc = 184243,
				icon = ST[184243],
				tag = "#5#",
				exdps = true,				
			},
			HowlingAxeDebuff = {
				varname = format(L.alert["%s Debuff"],SN[184369]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[184369]),
				text2 = format(L.alert["#5#: %s"],SN[184369]),
				time = 7,
				color1 = "RED",
				desc = 184369,
				icon = ST[184369],
				tag = "#5#",
				exdps = true,				
			},				
		},
		events = {
			-- Incinerate
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {181155},
				execute = {	
					{
						"expect",{"&interrupt|#1#&","==","true"},
						"alert","iIncinerate",
					},			
				},
			},
			-- HowlingAxe
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED", 
				spellid = {184369},
				execute = {
					{
						"insert",{"HowlingAxeunits","#5#"},
						"canceltimer","timerHowlingAxe",
						"scheduletimer",{"timerHowlingAxe",0.3},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","HowlingAxesay",
						"alert","iHowlingAxe",
						"alert","HowlingAxeDebuff", -- consider only for player
						"openwindow",{"8",nil,false,184369}, 
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert","HowlingAxeCD",
						"arrow","HowlingAxearrow",
						"alert",{"HowlingAxeDebuff", text = 2}, -- consider only for player
					},					
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {184369},
				dstisplayerunit = true,
				execute = {
					{
						"closewindow",{true},
					},
				},
			},			
			-- Shockwave
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {184394},
				execute = {	
					{
						"message","mShockwave",
						"alert","ShockwaveCD",
					},			
				},
			},
			-- Slam
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {184243},
				execute = {
					{
						"message","mSlam",
					},	
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","SlamDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"SlamDebuff", text = 2},
					},					
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {184243},
				execute = {
					{
						"message",{"mSlam", text = 2},
					},	
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert",{"SlamDebuff", text = 3},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"SlamDebuff", text = 4},
					},						
				},
			},	
			-- Cower
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {184238},
				execute = {	
					{
						"alert","wCower",
					},			
				},
			},
			-- Repair
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {185816},
				execute = {	
					{
						"alert","wRepair",
					},	
					{
						"expect",{"&interrupt|#1#&","==","true"},
						"alert","iRepair",
					},							
				},
			},	
			-- ConductedShockPulse
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {185806},
				execute = {
					{
						"insert",{"ConductedShockPulseunits","#5#"},
						"canceltimer","timerConductedShockPulse",
						"scheduletimer",{"timerConductedShockPulse",0.3},
					},
				},
			},
			-- Metamorphosis
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {181968},
				execute = {	
					{
						"message","mMetamorphosis",
					},			
				},
			},	
			-- SiegeNova
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {180945},
				execute = {	
					{
						"alert","wSiegeNova",
					},			
				},
			},
			-- Cannonball
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {190748},
				execute = {	
					{
						"message","mCannonball",
						"alert","CannonballCD",
					},			
				},
			},
			-- CallToArms
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {185021},
				execute = {	
					{
						"message","mCallToArms",
						"alert","CallToArmsCD",
					},			
				},
			},				
			-- Flameorb
			--[[{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {186845},
				execute = {	
					{
						"alert","wFlameorb",
					},			
				},
			},	--]]
			-- BelchFlame
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {188101, 186883},
				execute = {	
					{
						"alert","wBelchFlame",
					},			
				},
			},	
			-- Crush
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {180184},
				execute = {	
					{
						"message","mCrush",
					},			
				},
			},	
			----- 
			{
				type = "combatevent",
				eventtype = "UNIT_DIED",
				execute = {
					{
						"expect",{"&npcid|#4#&","==","93023"}, --Siegemaster Mar'tak
						"batchquash",{"ShockwaveCD","HowlingAxeCD"},
					},
					{
						"expect",{"&npcid|#4#&","==","95653"}, --Grute
						"quash","CannonballCD",
					},	
					{
						"expect",{"&npcid|#4#&","==","93435"}, --Transporter
						"quash","CallToArmsCD",
					},						
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end