local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

local EJName = EJ_GetEncounterInfo(1447)
do
	local data = {
		version = 11,
		key = "Xhulhorac",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = EJName,
		icon = "INTERFACE\\ENCOUNTERJOURNAL\\UI-EJ-BOSS-Xhulhorac.BLP:35:35",
		respawntime = 30,
		triggers = {
			scan = {93068}, 
			encounterid = 1800,
			ejid = 1447,
		},
		onactivate = {
			tracing = {
				93068,
				markers1 = {20,60,90},
			},
			tracerstart = true,
			combatstop = true,
			unittracing = {"boss1"},
			defeat = 93068,
		},
		windows = {
			proxwindow = true,
		},
		arrows = {
			ChainsOfFelarrow = {
				varname = SN[186500],
				unit = "&closest|ChainsOfFelunits2&",
				persist = 30,
				action = "AWAY",
				msg = L.alert["MOVE AWAY!"],
				spell = SN[186500],
				range1 = 5,
				range2 = 15,
				range3 = 30,
				desc = 186500,
				icon = ST[186500],
			},		
		},				
		enrage = {

		},
		userdata = {
			VoidSurgeunits = {type = "container", wipein = 3},
			Surgeunits = {type = "container", wipein = 3},
			ChainsOfFelunits = {type = "container", wipein = 3},
			ChainsOfFelunits2 = {type = "container", wipein = 3},
			FelTouchedunits = {type = "container", wipein = 3},
			Adds = {type = "container"},
			Addsguid = "",
			AddsSpawned = 0,
			phase = 1,
			blackHoleCount = 1,
		},
		timers = {
			timerAddsCheck = {
				{
					"expect",{"&unitexist|boss2& <AddsSpawned>","==","0 1"},
					"tracing",{93068},
					"set",{AddsSpawned = 0},
				},			
				{
					"expect",{"&unitexist|boss2& &unitexist|boss3&","==","1 0"},
					"tracing",{93068,"boss2"},
					"set",{AddsSpawned = 1},
				},
				{
					"expect",{"&unitexist|boss3&","==","1"},
					"tracing",{93068,"boss2","boss3"},
					"set",{AddsSpawned = 1},
				},
				{
					"expect",{"&unitexist|boss4& &unitexist|boss5&","==","1 0"},
					"tracing",{93068,"boss2","boss3","boss4"},
					"set",{AddsSpawned = 1},
				},	
				{		
					"expect",{"&unitexist|boss5&","==","1"},
					"tracing",{93068,"boss2","boss3","boss4","boss5"},
					"set",{AddsSpawned = 1},
				},
				{
					"scheduletimer",{"timerAddsCheck",1},
				},
			},
			timerTouched = {
				{
					"message","mTouched",
				},
			},		
			timerSurge = {
				{
					"message","mSurge",
				},
			},
			timerVoidSurge = {
				{
					"message","mVoidSurge",
				},
			},			
			timerChainsOfFel = {
				{
					"message","mChainsOfFel",
				},
			},	
			timerChainsOfFelArrow = {
				{
					"arrow","ChainsOfFelarrow",
				},
			},					
		},	
		announces = { 
			Surgesay = {
				varname = format(L.alert["%s %s %s!"],SN[186407],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[186407],L.alert["on"],L.alert["Me"]),
				desc = 186407,
				icon = ST[186407],
				flashcolor = "RED",
				flashscreen = true,	
			},
			VoidSurgesay = {
				varname = format(L.alert["%s %s %s!"],SN[186333],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[186333],L.alert["on"],L.alert["Me"]),
				desc = 186333,
				icon = ST[186333],
				flashcolor = "RED",
				flashscreen = true,
			},			
			ChainsOfFelsay = {
				varname = format(L.alert["%s %s %s!"],SN[186500],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[186500],L.alert["on"],L.alert["Me"]),
				desc = 186500,
				icon = ST[186500],
				sound = "ALERT16",
			},			
		},			
		messages = {
			mSurge = {
				varname = format(L.alert["%s %s %s"],SN[186407],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|Surgeunits&"],SN[186407],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 186407,
				icon = ST[186407],
			},
			mVoidSurge = {
				varname = format(L.alert["%s %s %s"],SN[186333],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|VoidSurgeunits&"],SN[186333],L.alert["on"]),
				color1 = "PURPLE",
				sound = "ALERT13",
				desc = 186333,
				icon = ST[186333],
			},				
			mChainsOfFel = {
				varname = format(L.alert["%s %s %s"],SN[186500],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|ChainsOfFelunits&"],SN[186500],L.alert["on"]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 186500,
				icon = ST[186500],
			},				
			--[[mTouched = {
				varname = format(L.alert["%s %s %s"],SN[186134],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|FelTouchedunits&"],SN[186134],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 186134,
				icon = ST[186134],
			},--]]
			--[[mFelsinged = {
				varname = format(L.alert["%s %s %s (1)"],SN[186073],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5# (1)"],SN[186073],L.alert["on"]),
				text2 = format(L.alert["%s %s #5# (#11#)"],SN[186073],L.alert["on"]),
				color1 = "TEAL",
				sound = "ALERT13",
				desc = 186073,
				icon = ST[186073],
			},
			mWastingVoid = {
				varname = format(L.alert["%s %s %s (1)"],SN[186063],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5# (1)"],SN[186063],L.alert["on"]),
				text2 = format(L.alert["%s %s #5# (#11#)"],SN[186063],L.alert["on"]),
				color1 = "TEAL",
				sound = "ALERT13",
				desc = 186063,
				icon = ST[186063],
			},--]]				
			mFelblazeFlurry = {
				varname = format(L.alert["%s %s %s (1)"],SN[186448],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5# (1)"],SN[186448],L.alert["on"]),
				text2 = format(L.alert["%s %s #5# (#11#)"],SN[186448],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 186448,
				icon = ST[186448],
				exdps = true,
				exhealer = true,
				counter2 = true,
			},	
			mWitheringGaze = {
				varname = format(L.alert["%s %s %s (1)"],SN[186785],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5# (1)"],SN[186785],L.alert["on"]),
				text2 = format(L.alert["%s %s #5# (#11#)"],SN[186785],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 186785,
				icon = ST[186785],
				exdps = true,
				exhealer = true,
				counter2 = true,
			},				
			mOverwhelmingChaos = {
				varname = format(L.alert["%s %s %s (1)"],SN[187204],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5# (1)"],SN[187204],L.alert["on"]),
				text2 = format(L.alert["%s %s #5# (#11#)"],SN[187204],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 187204,
				icon = ST[187204],
				counter2 = true,
			},	
			mVanguardAkkelion = {
				varname = format(L.alert["%s Spawns"],EJSN[11691]).." - 90%",
				type = "message",
				text = format(L.alert["%s Spawns"],EJSN[11691]).." - 90%",
				color1 = "CYAN",
				sound = "ALERT13",
				--ability = 11691,
				icon = EJST[11691],
			},
			mVanguardAkkelionKilled = {
				varname = format(L.alert["%s Killed"],EJSN[11691]).." - 50%",
				type = "message",
				text = format(L.alert["%s Killed"],EJSN[11691]).." - 50%",
				color1 = "CYAN",
				sound = "ALERT13",
				--ability = 11691,
				icon = EJST[11691],
			},			
			mOmnus = {
				varname = format(L.alert["%s Spawns"],EJSN[11688]).." - 60%",
				type = "message",
				text = format(L.alert["%s Spawns"],EJSN[11688]).." - 60%",
				text2 = format(L.alert["%s Spawns"],EJSN[11688]).." - 80%",
				color1 = "CYAN",
				sound = "ALERT13",
				--ability = 11688,
				icon = EJST[11688],
			},
			mOmnusKilled = {
				varname = format(L.alert["%s Killed"],EJSN[11688]).." - 40%",
				type = "message",
				text = format(L.alert["%s Killed"],EJSN[11688]).." - 40%",
				color1 = "CYAN",
				sound = "ALERT13",
				--ability = 11688,
				icon = EJST[11688],
			},				
			--[[mUnstableVoidfiend = {
				varname = format(L.alert["%s Spawns"],EJSN[11714]),
				type = "message",
				text = format(L.alert["%s Spawns"],EJSN[11714]),
				color1 = "CYAN",
				sound = "ALERT13",
				--ability = 11714,
				icon = EJST[11714],
			},--]]
			mFelStricked = {
				varname = format(L.alert["%s %s %s"],SN[190223],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[190223],L.alert["on"]),
				color1 = "MIDBLUE",
				sound = "ALERT13",
				desc = 190223,
				icon = ST[190223],
			},
			mVoidStricked = {
				varname = format(L.alert["%s %s %s"],SN[190224],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[190224],L.alert["on"]),
				color1 = "PURPLE",
				sound = "ALERT13",
				desc = 190224,
				icon = ST[190224],
			},			
		},
		onstart = {
			{
				"batchalert",{"FelStrikeCD","FelSurgeCD"},
				"scheduletimer",{"timerAddsCheck",1},
			},
		},
		alerts = {
			FelStrikeCD = {
				varname = format(L.alert["%s Cooldown"],SN[190223]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[190223]),
				time = 8,
				time2 = 16,
				time3 = 7,
				color1 = "GLOBAL",
				icon = ST[190223],
				desc = 190223,
				exdps = true,
				exhealer = true,
			},
			VoidStrikeCD = {
				varname = format(L.alert["%s Cooldown"],SN[186292]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[186292]),
				time = 8,
				time2 = 17,
				time3 = 20,
				color1 = "GLOBAL",
				icon = ST[186292],
				desc = 186292,
				exdps = true,
				exhealer = true,
			},			
			FelSurgeCD = {
				varname = format(L.alert["%s Cooldown"],SN[186407]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[186407]),
				time = 19,
				time2 = 30,
				time3 = 20,
				color1 = "GLOBAL",
				icon = ST[186407],
				desc = 186407,
			},
			VoidSurgeCD = {
				varname = format(L.alert["%s Cooldown"],SN[186333]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[186333]),
				time = 30,
				time2 = 10,
				time3 = 20,
				color1 = "GLOBAL",
				icon = ST[186333],
				desc = 186333,
			},			
			ChainsOfFelCD = {
				varname = format(L.alert["%s Cooldown"],SN[186500]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[186500]),
				time = 33,
				time2 = 31,
				time3 = 30,
				color1 = "GLOBAL",
				icon = ST[186500],
				desc = 186500,
			},
			FelblazeFlurryCD = {
				varname = format(L.alert["%s Cooldown"],SN[186448]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[186448]),
				time = 17,
				time2 = 12,
				color1 = "GLOBAL",
				icon = ST[186448],
				desc = 186448,
				exhealer = true,
				exdps = true,
			},
			WitheringGazeCD = {
				varname = format(L.alert["%s Cooldown"],SN[186785]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[186785]),
				time = 24,
				time2 = 6,
				color1 = "GLOBAL",
				icon = ST[186785],
				desc = 186785,
				exhealer = true,
				exdps = true,
			},			
			BlackHoleCD = {
				varname = format(L.alert["%s Cooldown"],SN[186546]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[186546]),
				time = 30,
				time2 = 18,
				time3 = 40,
				time4 = 21,
				color1 = "GLOBAL",
				icon = ST[186546],
				desc = 186546,
			},
			OverwhelmingChaosCD = {
				varname = format(L.alert["%s Cooldown"],SN[187204]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[187204]),
				time = 10,
				color1 = "GLOBAL",
				icon = ST[187204],
				desc = 187204,
			},
			UnstableVoidfiendCD = {
				varname = format(L.alert["Next %s"],EJSN[11714]),
				type = "dropdown",
				text = format(L.alert["Next %s"],EJSN[11714]),
				time = 14.5,
				time2 = 24,
				color1 = "GLOBAL",
				icon = "Interface\\Icons\\spell_shadow_summonvoidwalker",
				desc = 188939,
				throttle = 2,
			},
			ImpsCD = {
				varname = format(L.alert["Next %s"],EJSN[11694]),
				type = "dropdown",
				text = format(L.alert["Next %s"],EJSN[11694]),
				time = 12,
				time2 = 22,
				color1 = "GLOBAL",
				icon = "Interface\\Icons\\spell_shadow_summonimp",
				desc = 186532,
				throttle = 2,
			},				
			-- Warning	
			Phase2 = {
				varname = format(L.alert["Phase %s"],"2").." - 65%",
				type = "simple",
				text = format(L.alert["Phase %s"],"2").." - 65%",
				text2 = format(L.alert["Phase %s"],"2").." - 85%",
				time = 2,
				color1 = "YELLOW",
				icon = ST[190223],
				sound = "ALERT13",
			},
			Phase3 = {
				varname = format(L.alert["Phase %s"],"3").." - 35%",
				type = "simple",
				text = format(L.alert["Phase %s"],"3").." - 35%",
				time = 2,
				color1 = "ORANGE",
				icon = ST[190224],
				sound = "ALERT13",
			},	
			Phase4 = {
				varname = format(L.alert["Phase %s"],"4").." - 20%",
				type = "simple",
				text = format(L.alert["Phase %s"],"4").." - 20%",
				time = 2,
				color1 = "ORANGE",
				icon = ST[187204],
				sound = "ALERT13",
			},				
			wStrike = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[186271]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[186271]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[186271],
				sound = "ALERT10",
				desc = 186271,
				--flashscreen = true,
			},
			wVoidStrike = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[186292]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[186292]),
				time = 2,
				color1 = "CYAN",
				icon = ST[186292],
				sound = "ALERT10",
				desc = 186292,
				--flashscreen = true,
			},			
			wBlackHole = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[186546]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[186546]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[186546],
				sound = "ALERT10",
				desc = 186546,
				--flashscreen = true,
			},
			-- Inform
			iFelsinged = {
				varname = format(L.alert["(1) %s %s, %s!"],SN[186073],L.alert["under you"],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["(1) %s %s, %s!"],SN[186073],L.alert["under you"],L.alert["MOVE AWAY"]),
				text2 = format(L.alert["(#11#) %s %s, %s!"],SN[186073],L.alert["under you"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "BROWN",
				icon = ST[186073],
				sound = "ALERT13",
				desc = 186073,
				flashscreen = true,
				counter = true,
			},		
			iWastingVoid = {
				varname = format(L.alert["(1) %s %s, %s!"],SN[186063],L.alert["under you"],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["(1) %s %s, %s!"],SN[186063],L.alert["under you"],L.alert["MOVE AWAY"]),
				text2 = format(L.alert["(#11#) %s %s, %s!"],SN[186063],L.alert["under you"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "BROWN",
				icon = ST[186063],
				sound = "ALERT13",
				desc = 186063,
				flashscreen = true,
				counter = true,
			},			
			iSurge = {
				varname = format(L.alert["%s %s %s!"],SN[186407],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[186407],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "RED",
				icon = ST[186407],
				sound = "ALERT12",
				desc = 186407,
			},
			iVoidSurge = {
				varname = format(L.alert["%s %s %s!"],SN[186333],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[186333],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "PURPLE",
				icon = ST[186333],
				sound = "ALERT18",
				desc = 186333,
			},	
			iTouched = {
				varname = format(L.alert["%s %s %s!"],SN[186134],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[186134],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "TAN",
				icon = ST[186134],
				sound = "ALERT9",
				desc = 186134,
			},
			iVoidtouched = {
				varname = format(L.alert["%s %s %s!"],SN[186135],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[186135],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "TAN",
				icon = ST[186135],
				sound = "ALERT9",
				desc = 186135,
			},	
			iFelStricked = {
				varname = format(L.alert["%s %s %s!"],SN[190223],L.alert["on"],L.alert["player"]),
				type = "inform",
				text = format(L.alert["%s %s #5#!"],SN[190223],L.alert["on"]),
				time = 2,
				color1 = "MIDBLUE",
				icon = ST[190223],
				sound = "ALERT9",
				desc = 190223,
			},
			iVoidStricked = {
				varname = format(L.alert["%s %s %s!"],SN[190224],L.alert["on"],L.alert["player"]),
				type = "inform",
				text = format(L.alert["%s %s #5#!"],SN[190224],L.alert["on"]),
				time = 2,
				color1 = "PURPLE",
				icon = ST[190224],
				sound = "ALERT9",
				desc = 190224,
			},			
			-- Casts
			--[[TouchedAct = {
				varname = format(L.alert["%s Active"],SN[186134]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[186134]),
				time = 15,
				color1 = "RED",
				icon = ST[186134],
				desc = 186134,
			},
			VoidtouchedAct = {
				varname = format(L.alert["%s Active"],SN[186135]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[186135]),
				time = 15,
				color1 = "RED",
				icon = ST[186135],
				desc = 186135,
			},	--]]		
			-- Debuff
			--[[TouchedDebuff = {
				varname = format(L.alert["%s Debuff"],SN[186134]),
				type = "debuff",
				text = format(L.alert["&dstname_or_YOU&: %s"],SN[186134]),
				time = 15,
				color1 = "ORANGE",
				desc = 186134,
				icon = ST[186134],
				tag = "#5#",
				exdps = true,				
			},--]]	
			FelblazeFlurryDebuff = {
				varname = format(L.alert["%s Debuff"],SN[186448]),
				type = "debuff",
				text = format(L.alert["(1) %s: %s"],L.alert["YOU"],SN[186448]),
				text2 = format(L.alert["(1) #5#: %s"],SN[186448]),
				text3 = format(L.alert["(#11#) %s: %s"],L.alert["YOU"],SN[186448]),
				text4 = format(L.alert["(#11#) #5#: %s"],SN[186448]),
				time = 8,
				color1 = "RED",
				desc = 186448,
				icon = ST[186448],
				tag = "#5#",
				exdps = true,				
			},
			WitheringGazeDebuff = {
				varname = format(L.alert["%s Debuff"],SN[186785]),
				type = "debuff",
				text = format(L.alert["(1) %s: %s"],L.alert["YOU"],SN[186785]),
				text2 = format(L.alert["(1) #5#: %s"],SN[186785]),
				text3 = format(L.alert["(#11#) %s: %s"],L.alert["YOU"],SN[186785]),
				text4 = format(L.alert["(#11#) #5#: %s"],SN[186785]),
				time = 8,
				color1 = "PURPLE",
				desc = 186785,
				icon = ST[186785],
				tag = "#5#",
				exdps = true,				
			},			
			--[[OverwhelmingChaosDebuff = {
				varname = format(L.alert["%s Debuff"],SN[187204]),
				type = "debuff",
				text = format(L.alert["&dstname_or_YOU& (1): %s"],SN[187204]),
				text2 = format(L.alert["&dstname_or_YOU& (#11#): %s"],SN[187204]),
				time = 8,
				color1 = "RED",
				desc = 187204,
				icon = ST[187204],
				tag = "#5#",
				exdps = true,				
			},	--]]		
		},
		events = {
			-- FelOrb 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {186532},
				execute = {	
					{
						"expect",{"&tabread|Adds|#1#&","~=","true"},
						"alert",{"ImpsCD", time = 2},
						"tabinsert",{"Adds","#1#","true"},
					},					
				},
			},
			-- Voidstep 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {188939},
				execute = {	
					{
						"expect",{"&tabread|Adds|#1#&","~=","true"},
						"alert",{"UnstableVoidfiendCD", time = 2},
						"tabinsert",{"Adds","#1#","true"},
					},					
				},
			},			
			-- Touched
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {186134},
				execute = {
				--	{
						--"alert","TouchedDebuff",
					--	"insert",{"FelTouchedunits","#5#"},
					--	"canceltimer","timerTouched",
					--	"scheduletimer",{"timerTouched",0.3},						
					--	"message","mTouched", 
				--	},
					{
						"expect",{"#4#","==","&playerguid&"},
						--"alert","TouchedAct",
						"alert","iTouched",
					},
				},
			},
			-- Voidtouched
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {186135},
				execute = {
					{
						"expect",{"#4#","==","&playerguid&"},
						--"alert","VoidtouchedAct",
						"alert","iVoidtouched",
					},
				},
			},			
			-- Felsinged
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {186073},
				dstisplayerunit = true,
				execute = {
					{
						--"message","mFelsinged",
						"alert","iFelsinged",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {186073},
				dstisplayerunit = true,
				execute = {
					{
						--"message",{"mFelsinged", text = 2},
						"alert",{"iFelsinged", text = 2},
					},
				},
			},
			-- WastingVoid 
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {186063},
				dstisplayerunit = true,
				execute = {
					{
						--"message","mWastingVoid",
						"alert","iWastingVoid",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {186063},
				dstisplayerunit = true,
				execute = {
					{
						--"message",{"mWastingVoid", text = 2},
						"alert",{"iWastingVoid", text = 2},
					},
				},
			},			
			-- Surge
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {186407},
				execute = {
					{
						"insert",{"Surgeunits","#5#"},
						"canceltimer","timerSurge",
						"scheduletimer",{"timerSurge",0.3},
					},
					{
						"expect",{"&count|Surgeunits&","==","1"},
						"invoke",{
							{
								"expect",{"<phase>","<","3"},
								"alert",{"FelSurgeCD", time = 2},
							},
							{
								"expect",{"<phase>",">","2"},
								"alert",{"VoidSurgeCD", time = 2},
							},							
						},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","Surgesay",
						"alert","iSurge",
						"openwindow",{"10",nil,false,186407},
					},
				},
			},
			-- VoidSurge
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {186333},
				execute = {
					{
						"insert",{"VoidSurgeunits","#5#"},
						"canceltimer","timerVoidSurge",
						"scheduletimer",{"timerVoidSurge",0.3},
					},
					{
						"expect",{"&count|VoidSurgeunits&","==","1"},
						"invoke",{
							{
								"expect",{"<phase>","<","3"},
								"alert",{"VoidSurgeCD", time = 2},
							},
							{
								"expect",{"<phase>",">","2"},
								"alert",{"FelSurgeCD", time = 3},
							},							
						},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","VoidSurgesay",
						"alert","iVoidSurge",
						"openwindow",{"10",nil,false,186333},
					},
				},
			},				
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {186407, 186333},
				execute = {
					{
						"closewindow",{true},
					},
				},
			},
			-- ChainsOfFel
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {186500, 189775},
				execute = {
					{
						"insert",{"ChainsOfFelunits","#5#"},
						"canceltimer","timerChainsOfFel",
						"scheduletimer",{"timerChainsOfFel",0.3},
					},
					{
						"expect",{"&count|ChainsOfFelunits&","==","1"},
						"alert","ChainsOfFelCD",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","ChainsOfFelsay",
						"canceltimer","timerChainsOfFelArrow",
						"scheduletimer",{"timerChainsOfFelArrow",0.3},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"insert",{"ChainsOfFelunits2","#5#",true},
					},					
				},
			},		
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {186500, 189775},
				execute = {
					{
						"removearrow","#5#",
					},
				},
			},			
			-- FelblazeFlurry
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {186448},
				execute = {
					{
						"alert","FelblazeFlurryCD",
						"message","mFelblazeFlurry",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","FelblazeFlurryDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"FelblazeFlurryDebuff", text = 2},
					},	
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {186448},
				execute = {
					{
						"alert","FelblazeFlurryCD",
						"message",{"mFelblazeFlurry", text = 2},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert",{"FelblazeFlurryDebuff", text = 3},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"FelblazeFlurryDebuff", text = 4},
					},		
				},
			},
			-- WitheringGaze
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {186785},
				execute = {
					{
						"alert","WitheringGazeCD",
						"message","mWitheringGaze",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","WitheringGazeDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"WitheringGazeDebuff", text = 2},
					},	
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {186785},
				execute = {
					{
						"alert","WitheringGazeCD",
						"message",{"mWitheringGaze", text = 2},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert",{"WitheringGazeDebuff", text = 3},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"WitheringGazeDebuff", text = 4},
					},		
				},
			},			
			-- FelStrike 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {190223},
				execute = {	
					{
						"alert","wStrike",
					},	
					{
						"expect",{"<phase>","<","3"},
						"alert",{"FelStrikeCD", time = 2},
					},
					{
						"expect",{"<phase>",">","2"},
						"alert","VoidStrikeCD",
					},					
				},
			},
			-- VoidStrike 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {190224},
				execute = {	
					{
						"alert","wVoidStrike",
					},	
					{
						"expect",{"<phase>","<","3"},
						"alert",{"VoidStrikeCD", time = 2},
					},
					{
						"expect",{"<phase>",">","2"},
						"alert",{"FelStrikeCD", time = 3},
					},							
				},
			},
			-- FelStricked
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {186271},
				execute = {	
					{
						"expect",{"<phase>",">","2"},
						"invoke",{
							{
								"message","mFelStricked",
							},
							{
								"expect",{"#4#","~=","&playerguid&"},
								"expect",{"&istank&","==","true"},
								"alert","iFelStricked",
							},
						},
					},							
				},
			},
			-- VoidStricked
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {186292},
				execute = {	
					{
						"expect",{"<phase>",">","2"},
						"invoke",{
							{
								"message","mVoidStricked",
							},
							{
								"expect",{"#4#","~=","&playerguid&"},
								"expect",{"&istank&","==","true"},
								"alert","iVoidStricked",
							},
						},
					},								
				},
			},					
			-- OverwhelmingChaos
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {187204},
				execute = {
					{
					--	"alert","OverwhelmingChaosDebuff",
						"message","mOverwhelmingChaos",
						"alert","OverwhelmingChaosCD"
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {187204},
				execute = {
					{
					--	"alert",{"OverwhelmingChaosDebuff", text = 2},
						"message",{"mOverwhelmingChaos", text = 2},
						"alert","OverwhelmingChaosCD"
					},
				},
			},
			-- BlackHole 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {186546},
				execute = {
					{
						"set",{blackHoleCount = "INCR|1"},
						"alert","wBlackHole",
					},
					{
						"expect",{"&checkperc|<blackHoleCount>|3&","==","0"},
						"alert","BlackHoleCD",
					},
					{
						"expect",{"&checkperc|<blackHoleCount>|3&","==","0"},
						"alert",{"BlackHoleCD", time = 3},
					},					
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {189779}, -- Empowered
				execute = {
					{
						"set",{blackHoleCount = "INCR|1"},
						"alert","wBlackHole",
						"alert","BlackHoleCD",
					},				
				},
			},			
			---------------------------------------
			{
				type = "combatevent",
				eventtype = "UNIT_DIED",
				execute = {
					{
						"expect",{"&npcid|#4#&","==","94185"}, --Vanguard Akkelion
						"invoke",{
							{
								"expect",{"&mythic&","==","false"},
								"batchquash",{"FelStrikeCD","FelSurgeCD","FelblazeFlurryCD","ChainsOfFelCD"},
								"set",{phase = 2},
								"alert","Phase2",
								"alert",{"VoidStrikeCD", time = 3},
								"alert",{"VoidSurgeCD", time = 3},
							},
							{
								"expect",{"&mythic&","==","true"},
								"message","mVanguardAkkelionKilled",
								"batchquash",{"FelblazeFlurryCD","ChainsOfFelCD"},
								"alert",{"ChainsOfFelCD", time = 3},
							},
						},
					},
					{
						"expect",{"&npcid|#4#&","==","94239"}, --Omnus
						"invoke",{
							{
								"expect",{"&mythic&","==","false"},
								"batchquash",{"VoidStrikeCD","VoidSurgeCD","WitheringGazeCD","BlackHoleCD"},
								"set",{phase = 3},
								"alert","Phase3",
							},
							{
								"expect",{"&mythic&","==","true"},
								"batchquash",{"WitheringGazeCD","BlackHoleCD"},
								"message","mOmnusKilled",
								"alert",{"BlackHoleCD", time = 4},
							},
						},
					},							
				},
			},			
			{
				type = "event",
				event = "UNIT_SPELLCAST_SUCCEEDED",
				execute = {
					{
						"expect",{"#1#","==","boss1"},
						"invoke",{
							{
								"expect",{"#5#","==","187209"}, -- Overwhelming Chaos
								"batchquash",{"ImpsCD","UnstableVoidfiendCD","FelStrikeCD","VoidStrikeCD","FelSurgeCD","VoidSurgeCD"},
								"batchalert",{"OverwhelmingChaosCD","Phase4"},
								"set",{phase = 4},
							},
							{
								"expect",{"#5#","==","189806"}, -- Void Feedback (Omnus Spawned)
								"invoke",{
									{
										"expect",{"&mythic&","==","false"},
										"message","mOmnus",
									},
									{
										"expect",{"&mythic&","==","true"},
										"message",{"mOmnus", text = 2},
									},
									{
										"alert",{"BlackHoleCD", time = 2},
										"alert",{"WitheringGazeCD", time = 2},										
									},
								},
							},
							{
								"expect",{"#5#","==","190307"}, -- Activate Void Portal
								--"message","mUnstableVoidfiend",
								"alert","UnstableVoidfiendCD",
								"invoke",{
									{
										"expect",{"&mythic&","==","true"},
										"alert",{"Phase2", text = 2},
										"set",{phase = 3},
									},
								},
							},
							{
								"expect",{"#5#","==","187196"}, -- Fel Feedback (Vanguard Akkelion Spawned)
								"message","mVanguardAkkelion",
								"alert",{"ChainsOfFelCD", time = 2},
								"alert",{"FelblazeFlurryCD", time = 2},
							},
							{
								"expect",{"#5#","==","190306"}, -- Activate Fel Portal
								"alert","ImpsCD",
							},								
						},
					},					
				},
			},	
			--[[{
                type = "event",
                event = "INSTANCE_ENCOUNTER_ENGAGE_UNIT",
                execute = {
					--{
						--"debug",{"#1#","#2#","#3#","#4#","#5#"},
					--},
					{
						"expect",{"&bossexist|94185&","==","true"}, -- Vanguard Akkelion
						"set",{Addsguid = "&bossexist|94185|true&"},
						"invoke",{
							{
								"expect",{"&tabread|Adds|<Addsguid>&","~=","true"},
								"tabinsert",{"Adds","<Addsguid>","true"},
								"message","mVanguardAkkelion",
								"alert",{"ChainsOfFelCD", time = 2},
							},
						},
					},
					{
						"expect",{"&bossexist|94239&","==","true"}, -- Omnus
						"set",{Addsguid = "&bossexist|94239|true&"},
						"invoke",{
							{
								"expect",{"&tabread|Adds|<Addsguid>&","~=","true"},
								"tabinsert",{"Adds","<Addsguid>","true"},
								"message","mOmnus",
								"alert",{"BlackHoleCD", time = 2},
							},
						},
					},
					{
						"expect",{"&bossexist|94397&","==","true"}, -- Unstable Voidfiend
						"set",{Addsguid = "&bossexist|94397|true&"},
						"invoke",{
							{
								"expect",{"&tabread|Adds|<Addsguid>&","~=","true"},
								"tabinsert",{"Adds","<Addsguid>","true"},
								"message","mUnstableVoidfiend",
							},
						},
					},						
				},
			},	--]]			
		},
	}

	DXE:RegisterEncounter(data)
end