local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

local chogallName = EJ_GetEncounterInfo(167)
local EJName = EJ_GetEncounterInfo(1197)

do
	local data = {
		version = 6,
		key = "Imperator Mar'gok",
		zone = L.zone["Highmaul"],
		category = L.zone["Highmaul"],
		--name = L.npc_Highmaul["Imperator Mar'gok"],
		name = EJName,
		icon = "INTERFACE\\ENCOUNTERJOURNAL\\UI-EJ-BOSS-Imperator Margok.BLP:35:35",
		triggers = {
			scan = {77428},
			encounterid = {1705},
			ejid = {1197},
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {77428},
			unittracing = {"boss1","boss2","boss3","boss4"},
			defeat = 77428
		},
		windows = {
			proxwindow = true,
		},
		arrows = {
			Fixatearrow = {
				varname = SN[157763],
				unit = "#5#",
				persist = 7,
				action = "AWAY",
				msg = L.alert["BEWARE!"],
				spell = SN[157763],
				range1 = 8,
				range2 = 10,
				range3 = 12,
				desc = 157763,
				icon = ST[157763],
			},
			markOfChaosTargetarrow = {
				varname = SN[164178],
				unit = "#5#",
				persist = 10,
				action = "AWAY",
				msg = L.alert["MOVE AWAY!!"],
				spell = SN[164178],
				range1 = 28,
				range2 = 30,
				range3 = 32,
				desc = 164178,
				icon = ST[164178],
			},			
		},
		raidicons = {
			MarkOfChaosmark = {
				varname = SN[164178],
				type = "FRIENDLY",
				persist = 120,
				unit = "#5#",
				icon = 2,
				desc = 164178,
				icon2 = ST[164178],
			},
			Brandedmark = {
				varname = SN[156225],
				type = "MULTIFRIENDLY",
				persist = 12,
				unit = "#5#",
				icon = 4,
				total = 4,
				reset = 4,
				desc = 156225,
				icon2 = ST[156225],
				exlfr = true,
			},
			ArcaneAberrationmark = {
				varname = SN[156471],
				type = "ENEMY",
				persist = 120,
				unit = "<ArcaneAberration>",
				icon = 1,
				desc = 156471,
				icon2 = ST[156471],
			},		
		},			
		timers = {
			--[[timerUnitHealth = {
				{
					"expect",{"&gethp|77428&",">","81"}, -- Add
					"expect",{"<warned>","==","0"},
					"alert","wBigAdd",
					"set",{warned = "1"},
				},
				{
					"expect",{"&getup|boss1&","<","81"},
					"expect",{"<warned>","==","1"},
					"set",{warned = "0"},
				},
				{
					"scheduletimer",{"timerUnitHealth",1},
				},
			},	--]]	
			timerGazeOfTheAbyss = {
				{
					"set",{GazeOfTheAbysssay = "DECR|1"},
				},
				{
					"expect",{"<GazeOfTheAbysssay>",">","2"},
					"announce","GazeOfTheAbysssaycountdown",
					"scheduletimer",{"timerGazeOfTheAbyss",1},
				},
			},
			timerFixate = {
				{
					"message","mFixate",
				},
			},
			InfiniteDarknessunists = {
				{
					"message","mInfiniteDarkness",
				},
			},			
			timerDebuff1  = {
				{
					"openwindow",{"5","&list|SeedOfcorruptionunists2&",true},
				},
			},
			--[[timerMarkOfChaos2 = {
				{
					"expect",{"&istank&","==","false"},
					"expect",{"<brandedActive>",">","0"},
					"invoke",{
						{
							"expect",{"<playerHasBranded>","==","1"},
							"openwindow",{"35"},
						},
						{
							"expect",{"<playerHasBranded>","~=","1"},
							"invoke",{
								{
									"expect",{"<markActive>","==","1"},
									"expect",{"<lastMarkedTank>","~=","nil"},
									"expect",{"&inrange|<lastMarkedTank>&","<","36"},
								},
								{
									"expect",{"<markActive>","==","1"},
									"expect",{"<lastMarkedTank>","==","nil"},
									--"canceltimer","timerDebuff1",
									--"scheduletimer",{"timerDebuff1",1.2},
									--"set",{SeedOfcorruptionunists2 = "&RaidDebuff|"..SN[156921].."&"},
									"openwindow",{"35"},
								},								
							},
						},
					},
				},
				{
					"expect",{"&istank&","==","true"},
					"invoke",{
						{
							"expect",{"<markActive>","==","1"},
							"invoke",{
								{
									"expect",{"<playerHasMark>","==","1"},
									"openwindow",{"35"},
								},
								{
									"expect",{"<playerHasMark>","~=","1"},
									"openwindow",{"35"},
								},
							},
						},
					},
				},
				{
					"expect",{"<brandedActive","==","0"},
				},
			},	--]]
			timerNovaStop = {
				{
					"set",{replicatingNova = 0},
					"closewindow",{true},
					"scheduletimer",{"timerMarkOfChaos",0.1},
				},
			},
			timerMarkOfChaos = {
				{
					"expect",{"<phase>","==","4"},
					"expect",{"&mythic&","==","true"},
					"invoke",{
						{
							"expect",{"<gazeOnMe>","==","1"},
							"openwindow",{"8",nil,false,165595},
						},
						{
							"expect",{"&count|GazeOfTheAbyssunits2&",">","0"},
							--"openwindow",{"8","&list|GazeOfTheAbyssunits&",true},
							"openwindow",{"8","&list|GazeOfTheAbyssunits2&",true,165595},
						},
					},
				},			
				{
					"expect",{"<replicatingNova>","~=","0"},
					"openwindow",{"4",nil,false,157349},
				},
				{
					"expect",{"<brandedOnMe>","<","40"},
					"openwindow",{"<brandedOnMe>",nil,false,156225},
				},
				{
					"expect",{"<fixateOnMe>","~=","0"},
					"openwindow",{"8",nil,false,157763},
				},
				{
					"expect",{"<markOfChaosTarget>","~=","nil"},
					"invoke",{
						{
							"expect",{"<markOfChaosTarget>","==","&playername&"},
							"openwindow",{"35",nil,false,158605},
						},
						{
							"expect",{"<markOfChaosTarget>","~=","&playername&"},
							"openwindow",{"35","<markOfChaosTarget>",false,158605},
						},
					},
				},				
			},
			timerIntermission = {
				{
					"expect",{"<intermission>","==","1"},
					"invoke",{
						{
							"expect",{"<Warmages>","==","0"},
							"tracing",{77428},
						},
						{
							"expect",{"<Warmages>","~=","0"},
							"scheduletimer",{"timerIntermission",0.5},
						},						
					},
				},
				{
					"expect",{"<intermission>","==","2"},
					"invoke",{
						{
							"expect",{"<Warmages> <Reaver>","==","0 0"},
							"tracing",{77428},
						},
						{
							"expect",{"<Warmages>","~=","0"},
							"scheduletimer",{"timerIntermission",0.5},
						},
					},
				},	
			},			
		},	
		userdata = {
			Warmages = 2,
			Reaver = 1,
			intermission = 1,
			markActive = 0,
			playerHasMark = 0,
			playerHasBranded = 0,
			lastMarkedTank = "nil",
			brandedActive = 0,
			forceCount = 0,
			jumpDistance = 13,
			Fixateunists = {type = "container", wipein = 3},
			InfiniteDarknessunists = {type = "container", wipein = 3},
			Branded = {type = "container"},
			BrandedAmount = 0,
			markOfChaosTarget = "nil",
			replicatingNova = 0,
			brandedOnMe = "nil",
			fixateOnMe = 0,
			gazeOnMe = 0,
			branded = 0,
			jumpDistance = 0,
			phase = 1,
			accelerated = 0,
			isFortification = 0,
			novaCount = 0,
			ArcaneAberration = "",
			ArcaneAberrationunit = {type = "container"},
			arcanewrath = 0,
			destructiveresonance = 0,
			summonarcane = 0,
			markOfChaos = 0,
			forceNova = 0,
			GlimpseOfMadness = 0,
			EnvelopingNight = 0,
			GazeOfTheAbysssay = 0,
			GazeOfTheAbyssunits = {type = "container"},
			GazeOfTheAbyssunits2 = {type = "container"},
		},
		announces = {
			GazeOfTheAbysssaycountdown = {
				varname = format(L.alert["%s %s 2"],SN[165595],L.alert["in"]),
				type = "SAY",
				msg = format(L.alert["%s %s <GazeOfTheAbysssay>"],SN[165595],L.alert["in"]),
				desc = 165595,
				icon = ST[165595],				
			},	
			Fixatesay = {
				varname = format(L.alert["%s %s %s!"],SN[157763],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[157763],L.alert["on"],L.alert["Me"]),
				desc = 157763,
				icon = ST[157763],
			},
			markOfChaosTargetsay = {
				varname = format(L.alert["%s %s %s!"],SN[158605],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[158605],L.alert["on"],L.alert["Me"]),
				desc = 158605,
				icon = ST[158605],
			},
			Brandedsay = {
				varname = format(L.alert["%s %s %s! (2)"],SN[156225],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s! (<BrandedAmount>)"],SN[156225],L.alert["on"],L.alert["Me"]),
				desc = 156225,
				icon = ST[156225],
				exlfr = true,
			},				
		},		
		messages = {
			mInfiniteDarkness = {
				varname = format(L.alert["%s %s %s"],SN[165102],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|InfiniteDarknessunists&"],SN[165102],L.alert["on"]),
				color1 = "PURPLE",
				sound = "ALERT13",
				desc = 165102,
				icon = ST[165102],
			},		
			mFixate = {
				varname = format(L.alert["%s %s %s"],SN[157763],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|Fixateunists&"],SN[157763],L.alert["on"]),
				color1 = "PURPLE",
				sound = "ALERT13",
				desc = 157763,
				icon = ST[157763],
			},
			mKickToTheFace = {
				varname = format(L.alert["%s %s %s"],SN[158563],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[158563],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 158563,
				icon = ST[158563],
			},
			mCrushArmor = {
				varname = format(L.alert["%s %s %s"],SN[158553],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[158553],L.alert["on"]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 158553,
				icon = ST[158553],
			},
			mAcceleratedAssault = {
				varname = format(L.alert["%s %s %s (5)"],SN[159515],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5# (#11#)"],SN[159515],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 159515,
				icon = ST[159515],
				enabled = false,
				counter2 = true,
			},
			mForceNova = {
				varname = format(L.alert["%s (2)"],SN[157349]),
				type = "message",
				text = format(L.alert["%s (<novaCount>)"],SN[157349]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 157349,
				icon = ST[157349],
				counter2 = true,
			},	
			mNetherEnergy = {
				varname = format(L.alert["%s %s %s (2)"],SN[178468],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5# (1)"],SN[178468],L.alert["on"]),
				text2 = format(L.alert["%s %s #5# (#11#)"],SN[178468],L.alert["on"]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 178468,
				icon = ST[178468],
				counter2 = true,
			},
			mGlimpseOfMadness = {
				varname = format(L.alert["%s (2)"],SN[165243]),
				type = "message",
				text = format(L.alert["%s (<GlimpseOfMadness>)"],SN[165243]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 165243,
				icon = ST[165243],
				counter2 = true,
			},
			mEnvelopingNight = {
				varname = format(L.alert["%s (2)"],SN[165876]),
				type = "message",
				text = format(L.alert["%s (<GlimpseOfMadness>)"],SN[165876]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 165876,
				icon = ST[165876],
				counter2 = true,
			},
			mDarkStar = {
				varname = format(L.alert["%s"],SN[178607]),
				type = "message",
				text = format(L.alert["%s"],SN[178607]),
				color1 = "MIDBLUE",
				sound = "ALERT13",
				desc = 178607,
				icon = ST[178607],
			},
			mMarkOfChaos = {
				varname = format(L.alert["%s %s %s"],SN[158605],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[158605],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 158605,
				icon = ST[158605],
			},
			mMarkOfChaosPossible = {
				varname = format(L.alert["%s %s %s %s"],L.alert["Possible"],SN[158605],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s %s &upvalue&"],L.alert["Possible"],SN[158605],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 158605,
				icon = ST[158605],
			},
			mArcaneWrath = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[156238]),
				type = "message",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[156238]),
				color1 = "MIDBLUE",
				sound = "ALERT13",
				desc = 156238,
				icon = ST[156238],
				exdps = true,
				extank = true,
			},			
		},
		onstart = {
			{
				"alert",{"ArcaneWrathCD", time = 2},
				"alert",{"SummonArcaneAberrationCD", time = 2},
				"alert",{"MarkOfChaosCD", time = 2},
				"alert","ForceNovaCD",
			},
			{
				"expect",{"&ismelee&","~=","true"},
				"alert",{"DestructiveResonanceCD", time = 2},
			},
		},
		alerts = {
			ArcaneWrathCD = {
				varname = format(L.alert["%s Cooldown"],SN[156238]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[156238]),
				time = 50,
				time2 = 6,
				time3 = 8.5,
				time4 = "<arcanewrath>",
				color1 = "GLOBAL",
				icon = ST[156238],
				desc = 156238,	
				exhealer = true,
				exdps = true,
				audiocd = true,
				audiotime = 5,					
			},
			DestructiveResonanceCD = { -- not melee
				varname = format(L.alert["%s Cooldown"],SN[156467]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[156467]),
				time = 16,
				time2 = 18,
				time3 = "<destructiveresonance>",
				color1 = "GLOBAL",
				icon = ST[156467],
				desc = 156467,				
			},
			MarkOfChaosCD = {
				varname = format(L.alert["%s Cooldown"],SN[158605]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[158605]),
				time = 16,
				time2 = 33.5,
				time3 = 36.5,
				time4 = "<markOfChaos>",
				time5 = 51,
				color1 = "GLOBAL",
				icon = ST[158605],
				desc = 158605,	
				exdps = true,	
				audiocd = true,
				audiotime = 10,					
			},
			ForceNovaCD = {
				varname = format(L.alert["%s Cooldown"],SN[157349]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[157349]),
				time = 46,
				time2 = 48.5,
				time3 = 50,
				time4 = "<forceNova>",
				color1 = "GLOBAL",
				icon = ST[157349],
				desc = 157349,				
			},
			SummonArcaneAberrationCD = {
				varname = format(L.alert["%s Cooldown"],SN["ej9945"]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN["ej9945"]),
				time = 45,
				time2 = 25,
				time3 = 28,
				time4 = "<summonarcane>",
				color1 = "GLOBAL",
				icon = EJST[9945],
				ability = 9945,
			},
			CrushArmorCD = {
				varname = format(L.alert["%s Cooldown"],SN[158553]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[158553]),
				time = 6,
				time2 = 23,
				color1 = "GLOBAL",
				icon = ST[158553],
				desc = 158553,
				exhealer = true,
				exdps = true,
			},
			KickToFaceCD = {
				varname = format(L.alert["%s Cooldown"],SN[158563]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[158563]),
				time = 20,
				time2 = 42,
				color1 = "GLOBAL",
				icon = ST[158563],
				desc = 158563,
				exhealer = true,
				exdps = true,
			},
			GlimpseOfMadnessCD = {
				varname = format(L.alert["%s Cooldown"],SN[165243]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[165243]),
				time = 27,
				time2 = 20,
				color1 = "GLOBAL",
				icon = ST[165243],
				desc = 165243,				
			},
			InfiniteDarknessCD = {
				varname = format(L.alert["%s Cooldown"],SN[165102]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[165102]),
				time = 62,
				time2 = 10,
				color1 = "GLOBAL",
				icon = ST[165102],
				desc = 165102,				
			},
			EnvelopingNightCD = {
				varname = format(L.alert["%s Cooldown"],SN[165876]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[165876]),
				time = 63,
				time2 = 55,
				color1 = "GLOBAL",
				icon = ST[165876],
				desc = 165876,				
			},
			DarkStarCD = {
				varname = format(L.alert["%s Cooldown"],SN[178607]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[178607]),
				time = 61,
				time2 = 29,
				color1 = "GLOBAL",
				icon = ST[178607],
				desc = 178607,				
			},			
			-- Warning
			wDestructiveResonance = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[156467]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[156467]),
				time = 2,
				color1 = "RED",
				icon = ST[156467],
				sound = "ALERT11",
				desc = 156467,
			},
			Phase2 = {
				varname = format(L.alert["Phase 2"]),
				type = "simple",
				text = format(L.alert["Phase 2"]),
				time = 2,
				color1 = "YELLOW",
				icon = ST[158012],
				sound = "ALERT13",
			},
			Phase3 = {
				varname = format(L.alert["Phase 3"]),
				type = "simple",
				text = format(L.alert["Phase 3"]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[157289],
				sound = "ALERT13",
			},	
			Phase4 = {
				varname = format(L.alert["Phase 4"]),
				type = "simple",
				text = format(L.alert["Phase 4"]),
				time = 2,
				color1 = "RED",
				icon = ST[165102],
				sound = "ALERT13",
			},				
			-- Inform
			iMarkOfChaosFortificationNear = {
				varname = format("%s %s %s!",SN[164178],L.alert["Near"],L.alert["YOU"]),
				type = "inform",
				text = format("%s %s %s!",SN[164178],L.alert["Near"],L.alert["YOU"]),
				time = 2,
				color1 = "ORANGE",
				flashscreen = true,
				sound = "ALERT12",
				desc = 164178,
				icon = ST[164178],
			},
			iKickToTheFace = {
				varname = format(L.alert["%s %s %s!"],SN[158563],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[158563],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "RED",
				icon = ST[158563],
				sound = "ALERT14",
				desc = 158563,
				exdps = true,
				exhealer = true,
			},
			iKickToTheFaceOther = {
				varname = format(L.alert["%s %s %s - %s!"],SN[158563],L.alert["on"],L.alert["player"],L.alert["Taunt"]),
				type = "inform",
				text = format(L.alert["%s %s #5# - %s!"],SN[158563],L.alert["on"],L.alert["Taunt"]),
				time = 2,
				color1 = "RED",
				icon = ST[158563],
				sound = "ALERT14",
				desc = 158563,
				exdps = true,
				exhealer = true,
			},
			iFixate = {
				varname = format(L.alert["%s %s!"],SN[157763],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s!"],SN[157763],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT12",
				icon = ST[157763],
				flashscreen = true,
				desc = 157763,
			},
			iSporeShooter = {
				varname = format(L.alert["%s %s!"],SN[156471],L.alert["SWITCH TARGET"]),
				type = "inform",
				text = format(L.alert["%s %s!"],SN[156471],L.alert["SWITCH TARGET"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT11",                
				icon = ST[156471],
				desc = 156471,
				exhealer = true,
			},	
			iGazeOfTheAbyss = {
				varname = format(L.alert["%s: %s 2 %s!"],SN[165595],L.alert["already at"],L.alert["Stacks"]),
				type = "inform",
				text = format(L.alert["%s: %s #11# %s!"],SN[165595],L.alert["already at"],L.alert["Stacks"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT14",
				icon = ST[165595],
				desc = 165595,
				flashscreen = true,
			},	
			iGazeClosest = {
				varname = format(L.alert["%s %s %s!"],SN[176537],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[176537],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "RED",
				icon = ST[176537],
				sound = "ALERT10",
				desc = 176537,
				flashscreen = true,
			},
			iGrowingDarkness = {
				varname = format(L.alert["%s %s, %s!"],SN[176525],L.alert["under you"],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s, %s!"],SN[176525],L.alert["under you"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[176525],
				sound = "ALERT10",
				flashscreen = true,
				desc = 176525,
				throttle = 1,
			},			
			-- Casts
			EnvelopingNightIncoming = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[165876]),
				type = "centerpopup",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[165876]),
				time = 3,
				color1 = "RED",
				icon = ST[165876],
				desc = 165876,
			},	
			FixateCast = {
				varname = format(L.alert["%s Active"],SN[157763]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[157763]),
				time = 15,
				color1 = "RED",
				icon = ST[157763],
				desc = 157763,
			},
			Transition = {
				varname = format(L.alert["%s Active"],SN[164751]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[164751]),
				time = 74,
				color1 = "ORANGE",
				icon = ST[164751],
				desc = 164751,
			},
			ChogallTransition = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],chogallName),
				type = "centerpopup",
				text = format(L.alert["%s %s"],L.alert["Incoming"],chogallName),
				time = 34,
				color1 = "GREEN",
				icon = ST[164751],
				desc = 164751,
			},				
			NovaCast = {
				varname = format(L.alert["Next %s"],SN[164235]),
				type = "centerpopup",
				text = format(L.alert["Next %s"],SN[164235]),
				time = 10.5,
				color1 = "RED",
				icon = ST[164235],
				desc = 164235,
			},			
			-- Debuff
			FixateDebuff = {
				varname = format(L.alert["%s Debuff"],SN[157763]),
				type = "debuff",
				text = format(L.alert["#5#: %s"],SN[157763]),
				time = 15,
				color1 = "PURPLE",
				desc = 157763,
				icon = ST[157763],
				tag = "#5#",			
			},
			CrushArmorDebuff = {
				varname = format(L.alert["%s Debuff"],SN[158553]),
				type = "debuff",
				text = format(L.alert["%s (1): %s"],L.alert["YOU"],SN[158553]),
				text2 = format(L.alert["#5# (1): %s"],SN[158553]),
				text3 = format(L.alert["%s (#11#): %s"],L.alert["YOU"],SN[158553]),
				text4 = format(L.alert["#5# (#11#): %s"],SN[158553]),
				time = 25,
				color1 = "RED",
				desc = 158553,
				icon = ST[158553],
				tag = "#5#",
				exdps = true,				
			},
			markOfChaosTargetDebuff = {
				varname = format(L.alert["%s Debuff"],SN[164178]),
				type = "debuff",
				text = format(L.alert["%s (1): %s"],L.alert["YOU"],SN[164178]),
				text2 = format(L.alert["#5# (1): %s"],SN[164178]),
				time = 8,
				color1 = "ORANGE",
				desc = 164178,
				icon = ST[164178],
				tag = "#5#",			
			},
			GazeOfTheAbyssDebuff = {
				varname = format(L.alert["%s Debuff"],SN[165595]),
				type = "debuff",
				text = format(L.alert["%s (1): %s"],L.alert["YOU"],SN[165595]),
				text2 = format(L.alert["#5# (1): %s"],SN[165595]),
				text3 = format(L.alert["%s (#11#): %s"],L.alert["YOU"],SN[165595]),
				text4 = format(L.alert["#5# (#11#): %s"],SN[165595]),
				time = 10,
				color1 = "RED",
				desc = 165595,
				icon = ST[165595],
				tag = "#5#",
				exdps = true,				
			},
			-- Casts
			BrandedCast = {
				varname = format(L.alert["%s Active"],SN[156225]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[156225]),
				time = 4,
				color1 = "RED",
				icon = ST[156225],
				desc = 156225,
			},				
		},
		events = {
			{
				type = "event",
				event = "UPDATE_MOUSEOVER_UNIT",
				execute = {
					{
						"expect",{"&bossid|mouseover&","==","77878"}, -- ArcaneAberrationmark
						"set",{ArcaneAberration = "&bossid|mouseover|true&"},
						"expect",{"&tabread|ArcaneAberrationunit|<ArcaneAberration>&","~=","true"},
						"raidicon","ArcaneAberrationmark",
						"tabinsert",{"ArcaneAberrationunit","<ArcaneAberration>","true"},
					},				
				},
			},
			{
				type = "event",
				event = "UNIT_TARGET",
				execute = {
					{
						"expect",{"#1#","~=","0"},
						"invoke",{
							{
								"expect",{"&unittarget|#1#&","==","77809"}, -- Arcane Aberration
								"set",{ArcaneAberration = "&unittarget|#1#|true&"},
								--"debug",{"&unittarget|#1#&","<ArcaneAberration>","&tabread|ArcaneAberrationunit|<ArcaneAberration>&"},
								"tabinsert",{"ArcaneAberrationunit","<ArcaneAberration>","true"},
								"expect",{"&tabread|ArcaneAberrationunit|<ArcaneAberration>&","~=","true"},
								--"debug",{"lalalalala","#1#","&tabread|ArcaneAberrationunit|<ArcaneAberration>&"},
								"raidicon","ArcaneAberrationmark",
								"tabinsert",{"ArcaneAberrationunit","<ArcaneAberration>","true"},
							},
							{
								"expect",{"&unittarget|#1#&","==","77877"}, -- Replicating Arcane Aberration
								"set",{ArcaneAberration = "&unittarget|#1#|true&"},
								--"debug",{"&unittarget|#1#&","<ArcaneAberration>"},
								"expect",{"&tabread|ArcaneAberrationunit|<ArcaneAberration>&","~=","true"},
							--	"debug",{"lalalalala","#1#"},
								"raidicon","ArcaneAberrationmark",
								"tabinsert",{"ArcaneAberrationunit","<ArcaneAberration>","true"},
							},						
							{
								"expect",{"&unittarget|#1#&","==","77878"}, -- Fortified Arcane Aberration
								"set",{ArcaneAberration = "&unittarget|#1#|true&"},
							--	"debug",{"&unittarget|#1#&","<ArcaneAberration>"},
								"expect",{"&tabread|ArcaneAberrationunit|<ArcaneAberration>&","~=","true"},
						--		"debug",{"lalalalala","#1#"},
								"raidicon","ArcaneAberrationmark",
								"tabinsert",{"ArcaneAberrationunit","<ArcaneAberration>","true"},
							},
							{
								"expect",{"&unittarget|#1#&","==","77879"}, -- Displacing Arcane Aberration
								"set",{ArcaneAberration = "&unittarget|#1#|true&"},
							--	"debug",{"&unittarget|#1#&","<ArcaneAberration>"},
								"expect",{"&tabread|ArcaneAberrationunit|<ArcaneAberration>&","~=","true"},
						--		"debug",{"lalalalala","#1#"},
								"raidicon","ArcaneAberrationmark",
								"tabinsert",{"ArcaneAberrationunit","<ArcaneAberration>","true"},
							},														
						},
					},					
				},
			},
			-- ArcaneAberration
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {156471, 164299, 164301, 164303},
				execute = {
					{
						"batchalert",{"iSporeShooter","SummonArcaneAberrationCD"},
					},			
				},
			},			
			-- ArcaneWrath
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {156238, 163988, 163989, 163990},
				execute = {
					{
						"message","mArcaneWrath",
						"alert","ArcaneWrathCD",
					},			
				},
			},
			-- DestructiveResonance
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {156467, 164075, 164076, 164077},
				execute = {
					{
						"expect",{"&ismelee&","==","false"},
						"batchalert",{"DestructiveResonanceCD","wDestructiveResonance"},
					},			
				},
			},				
			-- Frost Nova
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {157349},
				execute = {
					{
						"set",{novaCount = "INCR|1"},
						"message","mForceNova",
					},
					{
						"expect",{"<novaCount>","==","1"},
						"alert","ForceNovaCD",
					},
					{
						"expect",{"<novaCount>",">","1"},
						"alert",{"ForceNovaCD", time = 3},
					},	
					{
						"expect",{"&mythic&","==","true"},
						"set",{replicatingNova = 1},
						"invoke",{
							{
								"expect",{"<phase>","==","3"},
								"alert","NovaCast",
							},
							{
								"expect",{"<phase>","==","1"},
								"scheduletimer",{"timerNovaStop",8},
							},
						},
					},				
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {164232},
				execute = {
					{
						"set",{novaCount = "INCR|1"},
						"message","mForceNova",
					},
					{
						"expect",{"<novaCount>","==","1"},
						"alert","ForceNovaCD",
					},
					{
						"expect",{"<novaCount>",">","1"},
						"alert",{"ForceNovaCD", time = 3},
					},
					{
						"expect",{"&mythic&","==","true"},
						"set",{replicatingNova = 1},
						"invoke",{
							{
								"expect",{"<phase>","==","3"},
								"alert","NovaCast",
							},
							{
								"expect",{"<phase>","==","1"},
								"scheduletimer",{"timerNovaStop",8},
							},
						},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {164235}, -- Fortification (three novas)
				execute = {
					{
						"set",{novaCount = "INCR|1"},
						"message","mForceNova",
						"alert","NovaCast",
					},
					{
						"expect",{"<novaCount>","==","1"},
						"alert","ForceNovaCD",
					},
					{
						"expect",{"<novaCount>",">","1"},
						"alert",{"ForceNovaCD", time = 3},
					},	
					{
						"expect",{"&mythic&","==","true"},
						"set",{replicatingNova = 1},
						"invoke",{
							{
								"expect",{"<phase>","==","3"},
								"alert","NovaCast",
							},
							{
								"expect",{"<phase>","==","1"},
								"scheduletimer",{"timerNovaStop",8},
							},
						},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {164240},
				execute = {
					{
						"set",{novaCount = "INCR|1"},
						"message","mForceNova",
						"scheduletimer",{"timerNovaStop",8},
					},
					{
						"expect",{"<novaCount>","==","1"},
						"alert","ForceNovaCD",
					},
					{
						"expect",{"<novaCount>",">","1"},
						"alert",{"ForceNovaCD", time = 3},
					},
					{
						"expect",{"&mythic&","==","true"},
						"expect",{"<phase>","==","3"},
						"set",{replicatingNova = 1},
						"alert","NovaCast",
						"canceltimer","timerNovaStop",
						"scheduletimer",{"timerNovaStop",26},
					},
				},
			},			
			-- KickToTheFace
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {158563},
				execute = {
					{
						"message","mKickToTheFace",
						"alert","KickToFaceCD",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","iKickToTheFace",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert","iKickToTheFaceOther",
					},					
				},
			},
			-- Fixate
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {157763},
				execute = {
					{
						"insert",{"Fixateunists","#5#"},
						"canceltimer","timerFixate",
						"scheduletimer",{"timerFixate",1},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","Fixatesay",
						"batchalert",{"FixateCast","iFixate"},
						"openwindow",{"5"},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert","FixateDebuff",
						"arrow","Fixatearrow",
					},					
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REFRESH",
				spellid = {157763},
				execute = {
					{
						"insert",{"Fixateunists","#5#"},
						"canceltimer","timerFixate",
						"scheduletimer",{"timerFixate",1},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","Fixatesay",
						"batchalert",{"FixateCast","iFixate"},
						"openwindow",{"5"},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert","FixateDebuff",
						"arrow","Fixatearrow",
					},					
				},
			},			
			-- CrushArmor
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {158553},
				execute = {
					{
						"alert","CrushArmorCD",
						"message","mCrushArmor",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","CrushArmorDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"CrushArmorDebuff", text = 2},
					},					
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {158553},
				execute = {
					{
						"alert","CrushArmorCD",
						"message","mCrushArmor",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert",{"CrushArmorDebuff", text = 3},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"CrushArmorDebuff", text = 4},
					},					
				},
			},
			-- MarkOfChaos
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {158605, 164176, 164191, 164178},
				execute = {
					{
						"target",{
							source = "#1#",
							wait = 0.1,
							schedule = 1,
							message = "mMarkOfChaosPossible",
						},
					},
					{
						"alert",{"MarkOfChaosCD", time = 5},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {158605, 164176, 164191},
				execute = {
					{
						"set",{markOfChaosTarget = "#5#"},
						"raidicon","MarkOfChaosmark",
						"message","mMarkOfChaos",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","markOfChaosTargetDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"markOfChaosTargetDebuff", text = 2},
					},
					{
						"scheduletimer",{"timerMarkOfChaos",0.1},
					},
					{
						"expect",{"&mythic&","==","true"},
						"expect",{"<phase>","==","3"},
						"expect",{"&inrange|#5#&","<","35"},
						"alert","iMarkOfChaosFortificationNear",
						"arrow","markOfChaosTargetarrow",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {164178},
				execute = {
					{
						"set",{markOfChaosTarget = "#5#"},
						"raidicon","MarkOfChaosmark",
						"message","mMarkOfChaos",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","markOfChaosTargetsay",
						"alert","markOfChaosTargetDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"markOfChaosTargetDebuff", text = 2},
						"invoke",{
							{
								"expect",{"&inrange|#5#&","<","35"},
								"alert","iMarkOfChaosFortificationNear",
								"arrow","markOfChaosTargetarrow",
							},
						},
					},
					{
						"scheduletimer",{"timerMarkOfChaos",0.1},
					},					
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {158605, 164176, 164178, 164191},
				execute = {
					{
						"set",{markOfChaosTarget = "nil"},
						"removeraidicon","#5#",
						"closewindow",{true},
						"scheduletimer",{"timerMarkOfChaos",0.1},
					},
				},
			},
			-- Branded
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {156225},
				execute = {
					{
						"insert",{"Branded","#5#"},
						"raidicon","Brandedmark",
						"set",{BrandedAmount = "&debuffstacks|#5#|"..SN[156225].."&"},
					},
					{
						"expect",{"&mythic&","==","true"},
						"expect",{"<phase>","==","3"},
						"set",{isFortification = 1},
					},	
					{
						"expect",{"<isFortification>","==","1"},
						"set",{jumpDistance = "&MargokJumpDistance|"..SN[156225].."|true&"},
					},
					{
						"expect",{"<isFortification>","==","0"},
						"set",{jumpDistance = "&MargokJumpDistance|"..SN[156225].."|false&"},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","BrandedCast",
						"announce","Brandedsay",
						"invoke",{
							{
								"expect",{"<BrandedAmount>",">","0"},
								"set",{brandedOnMe = "<jumpDistance>"},
								"scheduletimer",{"timerMarkOfChaos",0.1},
							},							
						},
					},
					{
						"set",{isFortification = 0},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {164004},
				execute = {
					{
						"insert",{"Branded","#5#"},
						"raidicon","Brandedmark",
						"set",{BrandedAmount = "&debuffstacks|#5#|"..SN[164004].."&"},
					},
					{
						"expect",{"&mythic&","==","true"},
						"expect",{"<phase>","==","3"},
						"set",{isFortification = 1},
					},	
					{
						"expect",{"<isFortification>","==","1"},
						"set",{jumpDistance = "&MargokJumpDistance|"..SN[164004].."|true&"},
					},
					{
						"expect",{"<isFortification>","==","0"},
						"set",{jumpDistance = "&MargokJumpDistance|"..SN[164004].."|false&"},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","BrandedCast",
						"invoke",{
							{
								"expect",{"&lfr&","==","false"},
								"invoke",{
									{
										"expect",{"<BrandedAmount>",">","0"},
										"expect",{"<jumpDistance>","<","100"},
										"announce",{"Brandedsay", msg = 2},
									},
									{
										"expect",{"<BrandedAmount>",">","1"},
										"announce","Brandedsay",
									},
								},
							},
							{
								"expect",{"<BrandedAmount>",">","0"},
								"set",{brandedOnMe = "<jumpDistance>"},
								"scheduletimer",{"timerMarkOfChaos",0.1},
							},							
						},
					},
					{
						"set",{isFortification = 0},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {164005},
				execute = {
					{
						"insert",{"Branded","#5#"},
						"raidicon","Brandedmark",
						"set",{BrandedAmount = "&debuffstacks|#5#|"..SN[164005].."&"},
						"set",{isFortification = 1},
					},
					{
						"expect",{"<isFortification>","==","1"},
						"set",{jumpDistance = "&MargokJumpDistance|"..SN[164005].."|true&"},
					},
					{
						"expect",{"<isFortification>","==","0"},
						"set",{jumpDistance = "&MargokJumpDistance|"..SN[164005].."|false&"},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","BrandedCast",
						"invoke",{
							{
								"expect",{"&lfr&","==","false"},
								"invoke",{
									{
										"expect",{"<BrandedAmount>",">","0"},
										"expect",{"<jumpDistance>","<","100"},
										"announce",{"Brandedsay", msg = 2},
									},
									{
										"expect",{"<BrandedAmount>",">","1"},
										"announce","Brandedsay",
									},
								},
							},
							{
								"expect",{"<BrandedAmount>",">","0"},
								"set",{brandedOnMe = "<jumpDistance>"},
								"scheduletimer",{"timerMarkOfChaos",0.1},
							},							
						},
					},
					{
						"set",{isFortification = 0},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {164006},
				execute = {
					{
						"insert",{"Branded","#5#"},
						"raidicon","Brandedmark",
						"set",{BrandedAmount = "&debuffstacks|#5#|"..SN[164006].."&"},
					},
					{
						"expect",{"&mythic&","==","true"},
						"expect",{"<phase>","==","3"},
						"set",{isFortification = 1},
					},
					{
						"expect",{"<isFortification>","==","1"},
						"set",{jumpDistance = "&MargokJumpDistance|"..SN[164006].."|true&"},
					},
					{
						"expect",{"<isFortification>","==","0"},
						"set",{jumpDistance = "&MargokJumpDistance|"..SN[164006].."|false&"},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","BrandedCast",
						"invoke",{
							{
								"expect",{"&lfr&","==","false"},
								"invoke",{
									{
										"expect",{"<BrandedAmount>",">","0"},
										"expect",{"<jumpDistance>","<","100"},
										"announce",{"Brandedsay", msg = 2},
									},
									{
										"expect",{"<BrandedAmount>",">","1"},
										"announce","Brandedsay",
									},
								},
							},
							{
								"expect",{"<BrandedAmount>",">","0"},
								"set",{brandedOnMe = "<jumpDistance>"},
								"scheduletimer",{"timerMarkOfChaos",0.1},
							},							
						},
					},
					{
						"set",{isFortification = 0},
					},					
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {156225, 164004, 164005, 164006},
				execute = {
					{
						"delete",{"Branded","#5#"},
						"removeraidicon","#5#",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"quash","BrandedCast",
						"closewindow",{true},
						"scheduletimer",{"timerMarkOfChaos",0.1},
					},					
				},
			},
			-- AcceleratedAssault
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {159515},
				execute = {
					{
						"set",{accelerated = "#11#"},
						"set",{accelerated = "PERC|3"},
					},
					{
						"expect",{"#11#",">","5"},
						"expect",{"<accelerated>","==","0"},
						"message","mAcceleratedAssault",
					},
				},
			},	
			-- Mythic
			-- GlimpseOfMadness
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {165243},
				execute = {
					{
						"set",{GlimpseOfMadness = "INCR|1"},
						"message","mGlimpseOfMadness",
						"alert","GlimpseOfMadnessCD",
					},			
				},
			},
			-- EnvelopingNight
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {165876},
				execute = {
					{
						"set",{EnvelopingNight = "INCR|1"},
						"message","mEnvelopingNight",
						"batchalert",{"EnvelopingNightIncoming","EnvelopingNightCD"},
					},			
				},
			},	
			-- GlimpseOfMadness
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {178607},
				execute = {
					{
						"message","mDarkStar",
						"alert","DarkStarCD",
					},			
				},
			},			
			-- NetherEnergy
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {178468},
				execute = {
					{
						"expect",{"&targetguild|true&","==","#4#"},
						"message","mNetherEnergy",
					},			
				},
			},					
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {178468},
				execute = {
					{
						"expect",{"&targetguild|true&","==","#4#"},
						"message",{"mNetherEnergy", text = 2},
					},				
				},
			},
			-- InfiniteDarkness
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {165102},
				execute = {
					{
						"insert",{"InfiniteDarknessunists","#5#"},
						"canceltimer","timerInfiniteDarkness",
						"scheduletimer",{"timerInfiniteDarkness",0.5},
					},	
				},
			},		
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {165102},
				execute = {
					{
						"alert","InfiniteDarknessCD",
					},				
				},
			},	
			-- GazeOfTheAbyss
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {165595},
				execute = {
					{
						"expect",{"#4#","==","&playerguid&"},
						"set",{gazeOnMe = 1},
						"set",{GazeOfTheAbysssay = 11},
						"scheduletimer",{"timerGazeOfTheAbyss",1},
						"alert","GazeOfTheAbyssDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"GazeOfTheAbyssDebuff", text = 2},
						"invoke",{
							{
								"expect",{"&targetdebuff|#5#|"..SN[176537].."&","==","false"},
								"expect",{"&contains|GazeOfTheAbyssunits2|#5#&","==","false"},
								"insert",{"GazeOfTheAbyssunits","#5#"},
								"insert",{"GazeOfTheAbyssunits2","#5#",true},
								"scheduletimer",{"timerMarkOfChaos",0.1},
							},
						},
					},						
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {165595},
				execute = {
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert",{"GazeOfTheAbyssDebuff", text = 3},
						"invoke",{
							{
								"expect",{"#11#",">","2"},
								"alert","iGazeOfTheAbyss",
							},
						},
					},	
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"GazeOfTheAbyssDebuff", text = 4},
						"invoke",{
							{
								"expect",{"&targetdebuff|#5#|"..SN[176537].."&","==","false"},
								"expect",{"&contains|GazeOfTheAbyssunits2|#5#&","==","false"},
								"insert",{"GazeOfTheAbyssunits","#5#"},
								"insert",{"GazeOfTheAbyssunits2","#5#",true},
								"scheduletimer",{"timerMarkOfChaos",0.1},
							},
						},
					},							
				},
			},	
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {165595},
				execute = {
					{
						"delete",{"GazeOfTheAbyssunits","#5#"},
						"delete",{"GazeOfTheAbyssunits2","#5#",true},
						"quash","GazeOfTheAbyssDebuff",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"set",{gazeOnMe = 0},
						"quash","GazeOfTheAbyssDebuff",
						"closewindow",{true},
					},
					{
						"expect",{"&count|GazeOfTheAbyssunits&","==","0"},
						"expect",{"<gazeOnMe>","==","0"},
						"closewindow",{true},
					},					
					{
						"scheduletimer",{"timerMarkOfChaos",0.1},
					},					
				},
			},		
			-- GazeClosestApplied
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {176537},
				execute = {
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","iGazeClosest",
					},
					{
						"expect",{"<gazeOnMe>","==","0"},
						"delete",{"GazeOfTheAbyssunits","#5#"},
						"delete",{"GazeOfTheAbyssunits2","#5#",true},
					},
					{
						"expect",{"&count|GazeOfTheAbyssunits2&","==","0"},
						"expect",{"<gazeOnMe>","==","0"},
						"closewindow",{true},
					},
					{
						"scheduletimer",{"timerMarkOfChaos",0.1},
					},					
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {176537},
				dstisplayerunit = false,
				execute = {
					{
						"expect",{"&targetdebuff|#5#|"..SN[165595].."&","==","false"},
						"expect",{"&contains|GazeOfTheAbyssunits2|#5#&","==","false"},
						"insert",{"GazeOfTheAbyssunits","#5#"},
						"insert",{"GazeOfTheAbyssunits2","#5#",true},
						"scheduletimer",{"timerMarkOfChaos",0.1},
					},		
				},
			},
			-- GrowingDarkness
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {176525},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iGrowingDarkness",
					},					
				},
			},			
			-------------------------
			-- Intermission 1
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {174057},
				execute = {
					{
						"set",{intermission = 1, Warmages = 2},
						"tracing",{77428,"boss2","boss3"},
						--"tracing",{"boss1","boss2","boss3"},
						--"unittracing",{"boss1","boss2","boss3"},
					},					
				},
			},	
			-- Intermission 2
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {157289},
				execute = {
					{
						"set",{intermission = 2, Warmages = 2, Reaver = 1},
						"tracing",{77428,78549,"boss3","boss4"},
						--"tracing",{77428,78549,78121,78121},
						--"tracing",{"boss1","boss2","boss3","boss4"},
						--"unittracing",{"boss1","boss2","boss3","boss4"},
					},					
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {174057, 157289},
				execute = {
					{
						"scheduletimer",{"timerIntermission",0.2},
						--"tracing",{77428},
						--"unittracing",{"boss1"},
					},		
				},
			},			
			{
				type = "event",
				event = "UNIT_SPELLCAST_SUCCEEDED",
				execute = {
					{
						"expect",{"#1#","==","boss1"},
						"invoke",{
							{
								"expect",{"#5#","==","164751"}, -- Displacement
								"quashall",
								"alert","Transition",
							},						
							{
								"expect",{"#5#","==","164810"}, -- Displacement
								"quashall",
								"alert","Transition",
								"alert",{"CrushArmor", time = 2},
								"alert",{"KickToFaceCD", time = 2},
							},
							{
								"expect",{"#5#","==","158012"}, -- EndofTransition
								"alert",{"ArcaneWrathCD", time = 3},
								"alert",{"DestructiveResonanceCD", time = 2},
								"alert",{"SummonArcaneAberrationCD", time = 3},
								"alert",{"MarkOfChaosCD", time = 3},
								"alert",{"ForceNovaCD", time = 2},
								"invoke",{
									{
										"expect",{"&mythic&","==","true"},
										"set",{phase = "2"},
										"alert","Phase2",
									},
									{
										"expect",{"&mythic&","==","false"},
										"set",{phase = "3"},
										"alert","Phase3",
									},
								},
							},
							{
								"expect",{"#5#","==","157964"}, -- EndofTransition
								"alert",{"ArcaneWrathCD", time = 3},
								"alert",{"DestructiveResonanceCD", time = 2},
								"alert",{"SummonArcaneAberrationCD", time = 3},
								"alert",{"MarkOfChaosCD", time = 3},
								"alert",{"ForceNovaCD", time = 2},
								"invoke",{
									{
										"expect",{"&mythic&","==","true"},
										"set",{phase = "3"},
										"alert","Phase3",
									},
									{
										"expect",{"&mythic&","==","false"},
										"set",{phase = "4"},
										"alert","Phase4",
									},
								},
							},	
							{
								"expect",{"#5#","==","164336"}, -- Displacement
								"set",{phase = "2"},
								"alert","Phase2",
								"set",{arcanewrath = "&timeleft|ArcaneWrathCD|0&"},
								"set",{destructiveresonance = "&timeleft|DestructiveResonanceCD|0&"},
								"set",{summonarcane = "&timeleft|SummonArcaneAberrationCD|0&"},
								"set",{markOfChaos = "&timeleft|MarkOfChaosCD|0&"},
								"set",{forceNova = "&timeleft|ForceNovaCD|0&"},
								"batchquash",{"ArcaneWrathCD","DestructiveResonanceCD","SummonArcaneAberrationCD","MarkOfChaosCD","ForceNovaCD"},
								"invoke",{
									{
										"expect",{"<arcanewrath>","<","10"},
										"set",{arcanewrath = "INCR|11"},
									},
									{
										"expect",{"<arcanewrath>",">","9"},
										"set",{arcanewrath = "INCR|3"},
									},
									{
										"expect",{"<destructiveresonance>","<","10"},
										"set",{destructiveresonance = "INCR|11"},
									},
									{
										"expect",{"<destructiveresonance>",">","9"},
										"set",{destructiveresonance = "INCR|3"},
									},
									{
										"expect",{"<summonarcane>","<","10"},
										"set",{summonarcane = "INCR|11"},
									},
									{
										"expect",{"<summonarcane>",">","9"},
										"set",{summonarcane = "INCR|3"},
									},
									{
										"expect",{"<markOfChaos>","<","10"},
										"set",{markOfChaos = "INCR|11"},
									},
									{
										"expect",{"<markOfChaos>",">","9"},
										"set",{markOfChaos = "INCR|3"},
									},
									{
										"expect",{"<forceNova>","<","10"},
										"set",{forceNova = "INCR|11"},
									},
									{
										"expect",{"<forceNova>",">","9"},
										"set",{forceNova = "INCR|3"},
									},
									{
										"alert",{"ArcaneWrathCD", time = 4},
										"alert",{"DestructiveResonanceCD", time = 3},
										"alert",{"MarkOfChaosCD", time = 4},
										"alert",{"ForceNovaCD", time = 4},
										"alert",{"SummonArcaneAberrationCD", time = 4},
									},
								},
							},
							{
								"expect",{"#5#","==","70628"}, -- --Margok being killed by chogal
								"quashall",
								"alert","Phase4",
								"alert",{"GlimpseOfMadnessCD", time = 2},
								"alert",{"InfiniteDarknessCD", time = 2},
								"alert",{"EnvelopingNightCD", time = 2},
								"alert",{"DarkStarCD", time = 2},
							},									
						},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "UNIT_DIED",
				execute = {
					{
						"expect",{"&npcid|#4#&","==","78549"},
						"set",{Reaver = 0},
						"quash","CrushArmorCD",
						"quash","KickToFaceCD",
					},
					{
						"expect",{"&npcid|#4#&","==","78121"},
						"set",{Warmages = "DECR|1"},
					},
					
				},
			},	
			{
				type = "event",
				event = "YELL",
				execute = {
					{
						"expect",{"#2#","==",chogallName},
						"alert","ChogallTransition",
					},	
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end