local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
do
	local data = {
		version = 3,
		key = "Gugrokk",
		zone = L.zone["Party Module for WoD"],
		category = L.zone["Party Module for WoD"],
		name = L.npc_PartyWoD["Bloodmaul: Gugrokk"],
		triggers = {
			scan = {74790}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {	"boss1", 	},
			unittracing = {	"boss1",},
			defeat = 74790,
		},
		userdata = {

		},		
		messages = {

		},
		onstart = {
			{
				"alert","UnstableSlagCD",
			},
		},
		alerts = {
			MagmaEruptionCD = {
				varname = format(L.alert["%s Cooldown"],SN[150784]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[150784]),
				time = 20,
				color1 = "GLOBAL",
				icon = ST[150784],
				desc = 150784,
			},
			UnstableSlagCD = {
				varname = format(L.alert["%s Cooldown"],SN[150755]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[150755]),
				time = 20,
				color1 = "GLOBAL",
				icon = ST[150755],
				desc = 150755,
			},		
			--Warning
			wMoltenBlast = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[150677]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[150677]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[150677],
				sound = "ALERT10",
				desc = 150677,
			},	
			wMagmaEruption = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[150784]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[150784]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[150784],
				sound = "ALERT10",
				desc = 150784,
			},	
			wUnstableSlag = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[150755]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[150755]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[150755],
				sound = "ALERT10",
				desc = 150755,
			},					
			--Inform
			iMoltenBlast = {
				varname = format(L.alert["%s - %s"],SN[150677],L.alert["INTERRUPT"]),
				type = "inform",
				text = format(L.alert["%s - %s &bossname|boss1&"],SN[150677],L.alert["INTERRUPT"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT10",
				icon = ST[150677],
				exhealer = true,
				desc = 150677,
			},	
			iMoltenBlast = {
				varname = format(L.alert["%s - %s"],SN[150677],L.alert["INTERRUPT"]),
				type = "inform",
				text = format(L.alert["%s - %s &bossname|boss1&"],SN[150677],L.alert["INTERRUPT"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT10",
				icon = ST[150677],
				exhealer = true,
				desc = 150677,
			},	
			iMagmaEruption = {
				varname = format(L.alert["%s %s!"],SN[150784],L.alert["MOVE AWAY"]),
				type = "simple",
				text = format(L.alert["%s %s!"],SN[150784],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT10",
				icon = ST[150784],
				flashscreen = true,
				desc = 150784,
			},	
			iMagmaEruptionUnder = {
				varname = format(L.alert["%s %s, %s!"],SN[150784],L.alert["under you"],L.alert["MOVE AWAY"]),
				type = "simple",
				text = format(L.alert["%s %s, %s!"],SN[150784],L.alert["under you"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT10",
				icon = ST[150784],
				flashscreen = true,
				throttle = 2,
				desc = 150784,
			},				
		},
		events = {
			-- MoltenBlast
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {150677},
				execute = {
					{
						"batchalert",{"iMoltenBlast","wMoltenBlast"},
					},
				},
			},
			-- MagmaEruption
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {150784},
				execute = {
					{
						"batchalert",{"iMagmaEruption","wMagmaEruption"},
					},
				},
			},
			-- UnstableSlag
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {150755},
				execute = {
					{
						"batchalert",{"UnstableSlagCD","wUnstableSlag"},
					},
				},
			},		
			-- MagmaEruption
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_DAMAGE",
				spellid = {150784},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iMagmaEruptionUnder",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_MISSED",
				spellid = {150784},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iMagmaEruptionUnder",
					},
				},
			},				
		},
	}

	DXE:RegisterEncounter(data)
end