local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
do
	local data = {
		version = 3,
		key = "AncientProtectors",
		zone = L.zone["Party Module for WoD"],
		category = L.zone["Party Module for WoD"],
		name = L.npc_PartyWoD["EverBloom: Ancient Protectors"],
		triggers = {
			scan = {83894, 83892, 83893}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {	"boss1", "boss2", "boss3", 	},
			unittracing = {	"boss1",},
			defeat = {	83894, 83892, 83893, }
		},
		userdata = {

		},		
		messages = {
			mRevitalizingWaters = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[168082]),
				type = "message",
				text = format(L.alert["%s %s #2#"],L.alert["Incoming"],SN[168082]),
				color1 = "INDIGO",
				sound = "ALERT13",
				desc = 168082,
				icon = ST[168082],
				exdps = true,
				extank = true,
			},
			mBriarskin = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[168041]),
				type = "message",
				text = format(L.alert["%s %s #2#"],L.alert["Incoming"],SN[168041]),
				color1 = "INDIGO",
				sound = "ALERT13",
				desc = 168041,
				icon = ST[168041],
				exdps = true,
				extank = true,
				enabled = false,
			},
			mRapidTides = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[168105]),
				type = "message",
				text = format(L.alert["%s %s #2#"],L.alert["Incoming"],SN[168105]),
				color1 = "INDIGO",
				sound = "ALERT13",
				desc = 168105,
				icon = ST[168105],
				exdps = true,
				extank = true,
				enabled = false,
			},
			mRapidTidestarget = {
				varname = format(L.alert["%s %s %s"],SN[168105],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[168105],L.alert["on"]),
				color1 = "PURPLE",
				sound = "ALERT13",
				desc = 168105,
				icon = ST[168105],
			},	
			mSlashtarget = {
				varname = format(L.alert["%s %s %s"],SN[168383],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[168383],L.alert["on"]),
				color1 = "PURPLE",
				sound = "ALERT13",
				desc = 168383,
				icon = ST[168383],
			},
			mShapersFortitude = {
				varname = format(L.alert["%s %s %s"],SN[168520],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[168520],L.alert["on"]),
				color1 = "PURPLE",
				sound = "ALERT13",
				desc = 168520,
				icon = ST[168520],
			},	
			mGraspingVine = {
				varname = format(L.alert["%s %s %s"],SN[168375],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &upvalue&"],SN[168375],L.alert["on"]),
				text2 = format(L.alert["%s"],SN[168375]),
				color1 = "PURPLE",
				sound = "ALERT13",
				desc = 168375,
				icon = ST[168375],
			},			
		},
		onstart = {

		},
		alerts = {
			NoxiousCD = {
				varname = format(L.alert["%s Cooldown"],SN[175997]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[175997]),
				time = 16,
				color1 = "GLOBAL",
				icon = ST[175997],
				desc = 175997,
			},
			GraspingVineCD = {
				varname = format(L.alert["%s Cooldown"],SN[168375]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[168375]),
				time = 31.5,
				color1 = "GLOBAL",
				icon = ST[168375],
				desc = 168375,
			},			
			---------
			wNoxious = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[175997]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[175997]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[175997],
				desc = 175997,
			},			
			wSlash = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[168383]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[168383]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[168383],
				sound = "ALERT10",
				desc = 168383,
			},
			----
			iBrambleUnder = {
				varname = format(L.alert["%s %s, %s!"],SN[167977],L.alert["under you"],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s, %s!"],SN[167977],L.alert["under you"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[167977],
				sound = "ALERT11",
				desc = 167977,
				flashscreen = true,
				throttle = 2,
			},
			iNoxious = {
				varname = format(L.alert["%s, %s!"],SN[175997],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["%s, %s!"],SN[175997],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[175997],
				sound = "ALERT10",
				desc = 175997,
			},				
			iRevitalizingWaters = {
				varname = format(L.alert["%s - %s"],SN[168082],L.alert["INTERRUPT"]),
				type = "inform",
				text = format(L.alert["%s, %s #1#"],SN[168082],L.alert["INTERRUPT"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT10",
				icon = ST[168082],
				exhealer = true,
				desc = 168082,
			},
			iBriarskin = {
				varname = format(L.alert["%s, %s"],SN[168082],L.alert["INTERRUPT"]),
				type = "inform",
				text = format(L.alert["%s, %s #3#"],SN[168082],L.alert["INTERRUPT"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT10",
				icon = ST[168082],
				exhealer = true,
				enabled = false,
				desc = 168082,
			},	
			iRapidTides = {
				varname = format(L.alert["%s, %s"],SN[168105],L.alert["INTERRUPT"]),
				type = "inform",
				text = format(L.alert["%s, %s #3#"],SN[168105],L.alert["INTERRUPT"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT10",
				icon = ST[168105],
				exhealer = true,
				enabled = false,
				desc = 168105,
			},	
			iSlash = {
				varname = format(L.alert["%s!"],SN[168383]),
				type = "inform",
				text = format(L.alert["%s!"],SN[168383]),
				time = 2,
				color1 = "RED",
				sound = "ALERT10",
				icon = ST[168383],
				desc = 168383,
			},
			iRapidTidesDispel = {
				varname = format(L.alert["%s %s %s!"],SN[168105],L.alert["Dispell"],L.alert["player"]),
				type = "inform",
				text = format(L.alert["%s #5#"],L.alert["Dispell"]),
				time = 2,
				color1 = "GREEN",
				sound = "ALERT10",
				icon = ST[168105],
				desc = 168105,
			},	
			iSlashDispel = {
				varname = format(L.alert["%s %s %s!"],SN[168383],L.alert["Dispell"],L.alert["player"]),
				type = "inform",
				text = format(L.alert["%s #5#"],L.alert["Dispell"]),
				time = 2,
				color1 = "GREEN",
				sound = "ALERT10",
				icon = ST[168383],
				desc = 168383,
			},
			-- debuffs
			ShapersFortitudeDebuff = {
				varname = format(L.alert["%s Debuff"],SN[168520]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[153234]),
				text = format(L.alert["#5#: %s"],SN[168520]),
				time = 15,
				color1 = "TAN",
				icon = ST[168520],
				desc = 168520,
				tag = "#5#",
			},				
		},
		events = {
			-- GraspingVine
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {168375},
				execute = {
					"target",{
						source = "#1#",
						wait = 0.5,
						schedule = 10,
						message = "mGraspingVine",
						alerts = {
							unknownmsg = {"mGraspingVine", text = 2},
						},
					},
					{
						"alert","GraspingVineCD",
					},
				},
			},			
			-- RevitalizingWaters
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {168082},
				execute = {
					{
						"message","mRevitalizingWaters",
						"alert","iRevitalizingWaters",
					},			
				},
			},
			-- Briarskin
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {168041},
				execute = {
					{
						"message","mBriarskin",
						"alert","iBriarskin",
					},			
				},
			},	
			-- RapidTides
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {168105},
				execute = {
					{
						"message","mRapidTides",
						"alert","iBriarskin",
					},			
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {168105},
				execute = {
					{
						"message","mRapidTidestarget",
					},
					{
						"expect",{"&ismagicdispeller&","==","true"},
						"alert","iRapidTidesDispel",
					},
				},
			},			
			-- Slash
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {168383},
				execute = {
					{
						"expect",{"&ismelee&","==","true"},
						"alert","iSlash",
					},
					{
						"alert","wSlash",
					},
				},
			},	
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {168383},
				execute = {
					{
						"message","mSlashtarget",
					},
					{
						"expect",{"&ismagicdispeller&","==","true"},
						"alert","iSlashDispel",
					},
				},
			},
			-- ShapersFortitude
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {168520},
				execute = {
					{
						"message","mShapersFortitude",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","ShapersFortitudeDebuff",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert",{"ShapersFortitudeDebuff", text = 2},
					},					
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {168520},
				execute = {
					{
						"quash","ShapersFortitudeDebuff",
					},				
				},
			},			
			-- Noxious
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {175997},
				execute = {
					{
						"expect",{"&ismelee&","==","true"},
						"batchalert",{"NoxiousCD","wNoxious","iNoxious"},
					},
					{
						"alert","wSlash",
					},
				},
			},
			-- Bramble
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_DAMAGE",
				spellid = {167977},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iBrambleUnder",
					},
				},
			},	
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_MISSED",
				spellid = {167977},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iBrambleUnder",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_ABSORBED",
				spellid = {167977},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iBrambleUnder",
					},
				},
			},	
			-----------------------------------------------
			{
				type = "combatevent",
				eventtype = "UNIT_DIED",
				execute = {
					{
						"expect",{"&npcid|#4#&","==","83894"},
						"quash","NoxiousCD",
					},
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end