local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
do
	local data = {
		version = 3,
		key = "BlackrockAssaultCommander",
		zone = L.zone["Party Module for WoD"],
		category = L.zone["Party Module for WoD"],
		name = L.npc_PartyWoD["GrimRailDepot: Nitrogg Thundertower"],
		triggers = {
			scan = {79545}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {	"boss1", 	},
			unittracing = {	"boss1",},
			defeat = 79545,
		},
		userdata = {
			phase = 1,
		},	
		announces = { 
			SupressiveFiresay = {
				varname = format(L.alert["%s %s %s!"],SN[160680],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[160680],L.alert["on"],L.alert["Me"]),
				desc = 160680,
			},		
		},			
		messages = {
			mSupressiveFire = {
				varname = format(L.alert["%s %s %s"],SN[160680],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &upvalue&"],SN[160680],L.alert["on"]),
				text2 = format(L.alert["%s!"],SN[160680]),
				color1 = "PURPLE",
				sound = "ALERT13",
				desc = 160680,
				icon = ST[160680],
			},
		},
		onstart = {

		},
		alerts = {
			-- Warning
			Phase2 = {
				varname = format(L.alert["Phase 2"]),
				type = "simple",
				text = format(L.alert["Phase 2"]),
				time = 2,
				color1 = "ORANGE",
				icon = EJST[9711],
				sound = "ALERT13",
			},
			Phase3 = {
				varname = format(L.alert["Phase 3"]),
				type = "simple",
				text = format(L.alert["Phase 3"]),
				time = 2,
				color1 = "ORANGE",
				icon = EJST[9712],
				sound = "ALERT13",
			},	
			wMortar = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[163550]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[163550]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[163550],
				sound = "ALERT10",
				desc = 163550,
			},			
			--[[wGrenadeDown = {
				varname = format(L.alert["%s %s"],SN["ej9711"],L.alert["dropped"]),
				type = "simple",
				text = format(L.alert["%s %s"],SN["ej9711"],L.alert["dropped"]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[149997],
				sound = "ALERT10",
				desc = 9711,
			},
			wMortarDown = {
				varname = format(L.alert["%s %s"],SN["ej9712"],L.alert["dropped"]),
				type = "simple",
				text = format(L.alert["%s %s"],SN["ej9712"],L.alert["dropped"]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[149997],
				sound = "ALERT10",
				desc = 9712,
			},	--]]		
			-- Inform
			iSlagBlast = {
				varname = format(L.alert["%s %s %s!"],SN[166570],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[166570],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT10",
				icon = ST[166570],
				desc = 166570,
			},			
			iSupressiveFireself = {
				varname = format(L.alert["%s %s %s!"],SN[160680],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[160680],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT11",
				icon = ST[160680],
				desc = 160680,
			},
			iSlagBlast = {
				varname = format(L.alert["%s %s, %s!"],SN[166570],L.alert["under you"],L.alert["MOVE AWAY"]),
				type = "simple",
				text = format(L.alert["%s %s, %s!"],SN[166570],L.alert["under you"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT10",
				icon = ST[166570],
				flashscreen = true,
				throttle = 1,
				desc = 166570,
			},		
			-- Debuff
			SupressiveFireDebuff = {
				varname = format(L.alert["%s Debuff"],SN[157168]),
				type = "debuff",
				text = format(L.alert["%s (1): %s"],L.alert["YOU"],SN[157168]),
				text2 = format(L.alert["#5# (1): %s"],SN[157168]),
				text3 = format(L.alert["%s (#11#): %s"],L.alert["YOU"],SN[157168]),
				text4 = format(L.alert["#5# (#11#): %s"],SN[157168]),
				time = 10,
				color1 = "PURPLE",
				icon = ST[157168],
				desc = 157168,				
				tag = "#5#",
			},				
		},
		events = {
			-- SupressiveFire
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {160680},
				execute = {
					{
						"target",{
							--source = "#1#",
							npcid = 79548,
							wait = 0.2,
							schedule = 15,
							--raidicon = "FoulStreammark",
							--arrow = "HeroicShockwavearrow",
							--arrowdef = "<",
							--arrowrange = 16,
							announce = "SupressiveFiresay",
							message = "mSupressiveFire",
							alerts = {
								self = "iSupressiveFireself",
								--other = 
								--unknown = "",
								unknownmsg = {"mSupressiveFire", text = 2},
							},
						},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {160681},
				execute = {
					{
						"expect",{"&unitisplayer|#5#&","==","true"},
						"invoke",{
							{
								"expect",{"#4#","==","&playerguid&"},
								"alert","SupressiveFireDebuff",
							},
							{
								"expect",{"#4#","~=","&playerguid&"},
								"alert",{"SupressiveFireDebuff", text = 2},
							},	
						},
					},	
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {160681},
				execute = {
					{
						"expect",{"&unitisplayer|#5#&","==","true"},
						"invoke",{
							{
								"expect",{"#4#","==","&playerguid&"},
								"alert",{"SupressiveFireDebuff", text = 3},
							},
							{
								"expect",{"#4#","~=","&playerguid&"},
								"alert",{"SupressiveFireDebuff", text = 4},
							},	
						},
					},	
				},
			},	
			-- SlagBlast
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {166570},
				dstisplayerunit = true,
				execute = {
					{
						"expect",{"&unitisplayer|#5#&","==","true"},
						"alert","iSlagBlast",
					},	
				},
			},			
			-- Mortar
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {160680},
				execute = {
					{
						"alert","wMortar",
					},
				},
			},
			-- SlagBlast
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_DAMAGE",
				spellid = {166570},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iSlagBlast",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_MISSED",
				spellid = {166570},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iSlagBlast",
					},
				},
			},
			-----------------------
			--[[{
				type = "combatevent",
				eventtype = "UNIT_DIED",
				execute = {
					{
						"expect",{"&npcid|#4#&","==","79739"}, -- Blackrock Grenadier
						"alert","wGrenadeDown",
					},
					{
						"expect",{"&npcid|#4#&","==","79720"}, -- Blackrock Artillery Engineer
						"alert","wMortarDown",
					},						
				},
			},--]]
			{
				type = "combatevent",
				eventtype = "UNIT_TARGETABLE_CHANGED",
				execute = {	
					{
						"expect",{"<phase>","==","1"},
						"set",{phase = "2"},
						"alert","Phase2",
					},
					{
						"expect",{"<phase>","==","2"},
						"set",{phase = "3"},
						"alert","Phase3",
					},					
				},
			},	
		},
	}

	DXE:RegisterEncounter(data)
end