local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
do
	local data = {
		version = 3,
		key = "Nhallish",
		zone = L.zone["Party Module for WoD"],
		category = L.zone["Party Module for WoD"],
		name = L.npc_PartyWoD["SMBurialGrounds: Nhallish"],
		triggers = {
			scan = {75829,}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {	75829, 	},
			unittracing = {	"boss1",},
			defeat = 75829,
		},
		userdata = {

		},		
		messages = {
		
		},
		onstart = {
			{
				"alert",{"VoidVortexCD", time = 2},
				"alert",{"SoulShredCD", time = 2},
				"alert",{"VoidDevastationCD", time = 2},
			},
		},
		alerts = {
			VoidVortexCD = {
				varname = format(L.alert["%s Cooldown"],SN[152801]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[152801]),
				time = 72,
				time2 = 23,
				color1 = "GLOBAL",
				icon = ST[152801],
				desc = 152801,
			},
			SoulShredCD = {
				varname = format(L.alert["%s Cooldown"],SN[152979]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[152979]),
				time = 71,
				time2 = 35,
				color1 = "GLOBAL",
				icon = ST[152979],
				desc = 152979,
			},
			VoidDevastationCD = {
				varname = format(L.alert["%s Cooldown"],SN[153067]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[153067]),
				time = 71,
				time2 = 65.5,
				color1 = "GLOBAL",
				icon = ST[153067],
				desc = 153067,
			},
			-- Warning
			wVoidVortex = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[152801]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[152801]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[152801],
				sound = "ALERT10",
				desc = 152801,
			},
			wSoulShred = {
				varname = format(L.alert["%s!"],SN[152979]),
				type = "simple",
				text = format(L.alert["%s!"],SN[152979]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[152979],
				sound = "ALERT13",
				desc = 152979,
			},
			wVoidDevastation = {
				varname = format(L.alert["%s!"],SN[153067]),
				type = "simple",
				text = format(L.alert["%s!"],SN[153067]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[153067],
				sound = "ALERT13",
				desc = 153067,
			},			
		},
		events = {
			-- VoidVortex
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {152801},
				execute = {
					{
						"batchalert",{"VoidVortexCD","wVoidVortex"},
					},			
				},
			},
			-- SoulShred
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {152979},
				execute = {
					{
						"batchalert",{"SoulShredCD","wSoulShred"},
					},			
				},
			},
			-- VoidDevastation
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {153067},
				execute = {
					{
						"batchalert",{"VoidDevastationCD","wVoidDevastation"},
					},			
				},
			},				
		},
	}

	DXE:RegisterEncounter(data)
end