local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
do
	local data = {
		version = 3,
		key = "SadanaBloodfury",
		zone = L.zone["Party Module for WoD"],
		category = L.zone["Party Module for WoD"],
		name = L.npc_PartyWoD["SMBurialGrounds: SadanaBloodfury"],
		triggers = {
			scan = {75509,}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {	75509, 	},
			unittracing = {	"boss1",},
			defeat = 75509,
		},
		userdata = {

		},		
		messages = {
			mDaggerFall = {
				varname = format(L.alert["%s!"],SN[153240]),
				type = "message",
				text = format(L.alert["%s!"],SN[153240]),
				color1 = "INDIGO",
				sound = "ALERT13",
				desc = 153240,
				icon = ST[153240],
			},
		},
		onstart = {
			{
				"alert",{"DarkCommunionCD", time = 2},
				"alert",{"DarkEclipseCD", time = 2},
			},
		},
		alerts = {
			DarkCommunionCD = {
				varname = format(L.alert["%s Cooldown"],SN[153153]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[153153]),
				time = 45.5,
				time2 = 23,
				color1 = "GLOBAL",
				icon = ST[153153],
				desc = 153153,
				audiocd = true,
				audiotime = 10,		
			},
			DarkEclipseCD = {
				varname = format(L.alert["%s Cooldown"],SN[164974]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[164974]),
				time = 45.5,
				time2 = 23,
				color1 = "GLOBAL",
				icon = ST[164974],
				desc = 164974,
			},	
			-- Warning
			wDarkCommunion = {
				varname = format(L.alert["%s!"],SN[153153]),
				type = "simple",
				text = format(L.alert["%s!"],SN[153153]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[153153],
				sound = "ALERT10",
				desc = 153153,
			},
			wDarkEclipse = {
				varname = format(L.alert["%s!"],SN[164974]),
				type = "simple",
				text = format(L.alert["%s!"],SN[164974]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[164974],
				sound = "ALERT10",
				desc = 164974,
			},			
			-- Inform
			iDarkCommunion = {
				varname = format(L.alert["%s %s!"],SN[153153],L.alert["SWITCH TARGET"]),
				type = "inform",
				text = format(L.alert["%s %s!"],SN[153153],L.alert["SWITCH TARGET"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT10",
				icon = ST[153153],
				exhealer = true,
				desc = 153153,
			},					
		},
		events = {
			-- DaggerFall
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {153240},
				execute = {
					{
						"message","mDaggerFall",
					},			
				},
			},
			-- DarkCommunion
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {153153},
				execute = {
					{
						"batchalert",{"DarkCommunionCD","wDarkCommunion","iDarkCommunion"},
					},			
				},
			},
			-- DarkEclipse
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {164974},
				execute = {
					{
						"batchalert",{"DarkEclipseCD","wDarkEclipse"},
					},			
				},
			},				
		},
	}

	DXE:RegisterEncounter(data)
end