local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
do
	local data = {
		version = 3,
		key = "Rukhran",
		zone = L.zone["Party Module for WoD"],
		category = L.zone["Party Module for WoD"],
		name = L.npc_PartyWoD["Skyreach: Ruknran"],
		triggers = {
			scan = {76177,}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {	"boss1", 	},
			unittracing = {	"boss1",},
			defeat = 76177,
		},
		userdata = {

		},		
		messages = {

		},
		onstart = {
			{
				"alert","SolarFlareCD",
			},
		},
		alerts = {
			SolarFlareCD = {
				varname = format(L.alert["%s Cooldown"],SN[153810]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[153810]),
				time = 18,
				color1 = "GLOBAL",
				icon = ST[153810],
				desc = 153810,
			},
			-- Warning
			wSolarFlare = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[153810]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[153810]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[153810],
				sound = "ALERT11",
				desc = 153810,
			},
			wPierceArmor = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[153794]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[153794]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[153794],
				sound = "ALERT11",
				desc = 153794,
			},
			wQuills = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[159382]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[159382]),
				time = 2,
				color1 = "RED",
				icon = ST[159382],
				sound = "ALERT11",
				desc = 159382,
			},	
			-- Inform
			iFixate = {
				varname = format(L.alert["%s %s!"],SN[176544],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s!"],SN[176544],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT12",
				icon = ST[176544],
				flashscreen = true,
				desc = 176544,
			},			
			-- Casts
			QuillsActive = {
				varname = format(L.alert["%s Active"],SN[159382]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[159382]),
				time = 17,
				color1 = "GLOBAL",
				icon = ST[159382],
				desc = 159382,
			},			
		},
		events = {
			-- Quills
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {159382},
				execute = {
					{
						"batchalert",{"QuillsActive","wQuills"},
					},
				},
			},		
			-- SolarFlare
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {153810},
				execute = {
					{
						"batchalert",{"SolarFlareCD","wSolarFlare"},
					},
				},
			},
			-- PierceArmor
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {153794},
				execute = {
					{
						"alert","wPierceArmor",
					},
				},
			},	
			-- 
			{
				type = "event",
				event = "BOSS_WHISPER", 
				execute = {
					-- Fixate
					{
						"alert","iFixate",
					},
				},
			},				
		},
	}

	DXE:RegisterEncounter(data)
end