local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
do
	local data = {
		version = 3,
		key = "Ragewing",
		zone = L.zone["Party Module for WoD"],
		category = L.zone["Party Module for WoD"],
		name = L.npc_PartyWoD["UBRS: Ragewing"],
		triggers = {
			scan = {76177,}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {	76177, 	},
			unittracing = {	"boss1",},
			defeat = 76177,
		},
		userdata = {
			firstBreath = 0,
		},		
		messages = {
			mBurningRage = {
				varname = format(L.alert["%s %s %s (1)"],SN[155620],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5# (1)"],SN[155620],L.alert["on"]),
				text2 = format(L.alert["%s %s #5# (#11#)"],SN[155620],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 155620,
				icon = ST[155620],
				extank = true,
				exdps = true,				
			},
		},
		onstart = {
			{
				"alert",{"EngulfingFireCD", time = 2},
				"alert",{"SwirlingWindsCD", time = 2},
			},
		},
		alerts = {
			EngulfingFireCD = {
				varname = format(L.alert["%s Cooldown"],SN[154996]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[154996]),
				time = 22,
				time2 = 13,
				color1 = "GLOBAL",
				icon = ST[154996],
				desc = 154996,
			},	
			SwirlingWindsCD = {
				varname = format(L.alert["%s Cooldown"],SN[167203]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[167203]),
				time = 45,
				time2 = 40,
				color1 = "GLOBAL",
				icon = ST[167203],
				desc = 167203,
			},
			-- Warning
			wSwirlingWinds = {
				varname = format(L.alert["%s!"],SN[167203]),
				type = "simple",
				text = format(L.alert["%s!"],SN[167203]),
				time = 2,
				color1 = "INDIGO",
				sound = "ALERT10",
				icon = ST[167203],
				desc = 167203,
			},
			wSwirlingWinds = {
				varname = format(L.alert["%s!"],SN[154996]),
				type = "simple",
				text = format(L.alert["%s!"],SN[154996]),
				time = 2,
				color1 = "INDIGO",
				sound = "ALERT10",
				icon = ST[154996],
				desc = 154996,
			},
			-- Inform
			iBurningRage = {
				varname = format(L.alert["%s %s %s!"],SN[155620],L.alert["Dispell"],L.alert["player"]),
				type = "inform",
				text = format(L.alert["%s #5#"],L.alert["Dispell"]),
				time = 2,
				color1 = "GOLD",
				sound = "ALERT10",
				icon = ST[155620],
				desc = 154996,
			},
			iMagmaSpit = {
				varname = format(L.alert["%s %s, %s!"],SN[155051],L.alert["under you"],L.alert["MOVE AWAY"]),
				type = "simple",
				text = format(L.alert["%s %s, %s!"],SN[155051],L.alert["under you"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT10",
				icon = ST[155051],
				flashscreen = true,
				throttle = 3,
				desc = 155051,
			},					
			-- Casts
			SwirlingWindsBuff = {
				varname = format(L.alert["%s Active"],SN[167203]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[167203]),
				time = 20,
				color1 = "GLOBAL",
				icon = ST[167203],
				desc = 167203,
			},			
			-- Debuff
			BurningRageDebuff = {
				varname = format(L.alert["%s Debuff"],SN[155620]),
				type = "debuff",
				text = format(L.alert["%s: %s (1)"],L.alert["YOU"],SN[155620]),
				text2 = format(L.alert["#5#: %s (1)"],SN[155620]),
				text3 = format(L.alert["%s: %s (#11#)"],L.alert["YOU"],SN[155620]),
				text4 = format(L.alert["#5#: %s (#11#)"],SN[155620]),				
				time = 60,
				static = true,
				color1 = "RED",
				icon = ST[155620],
				desc = 155620,
				tag = "#5#",
			},				
		},
		events = {
			-- BurningRage
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {155620},
				execute = {
					{
						"message","mBurningRage",
					},		
					{
						"expect",{"&removeenrage&","==","true"},
						"alert","iBurningRage",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","BurningRageDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"BurningRageDebuff", text = 2},
					},						
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {155620},
				execute = {
					{
						"message","mBurningRage",
					},		
					{
						"expect",{"&removeenrage&","==","true"},
						"alert","iBurningRage",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert",{"BurningRageDebuff", text = 3},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"BurningRageDebuff", text = 4},
					},						
				},
			},	
			-- SwirlingWinds
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {167203},
				execute = {
					{
						"batchalert",{"SwirlingWindsBuff","wSwirlingWinds"},
					},							
				},
			},	
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {167203},
				execute = {
					{
						"quash","SwirlingWindsCD",
						"set",{firstBreath = "0"},
					},							
				},
			},	
			-----------------------
			{
				type = "event",
				event = "UNIT_SPELLCAST_SUCCEEDED",
				execute = {
					{
						"expect",{"#5#","==","154996"}, -- EngulfingFire
						"expect",{"#1#","==","boss1"},
						"invoke",{
							{
								"alert","wSwirlingWinds",
							},
							{
								"expect",{"<firstBreath>","==","0"},
								"set",{firstBreath = "1"},
								"alert","SwirlingWindsCD",
							},
						},
					},
				},
			},	
			-- MagmaSpit
			{
				type = "combatevent",
				eventtype = "SPELL_DAMAGE",
				spellid = {155051},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iMagmaSpit",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_MISSED",
				spellid = {155051},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iMagmaSpit",
					},
				},
			},				
		},
	}

	DXE:RegisterEncounter(data)
end