local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
do
	local data = {
		version = 3,
		key = "Zaela",
		zone = L.zone["Party Module for WoD"],
		category = L.zone["Party Module for WoD"],
		name = L.npc_PartyWoD["UBRS: Zaela"],
		triggers = {
			scan = {77120}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {	77120, 	},
			unittracing = {	"boss1",},
			defeat = 77120,
		},
		userdata = {

		},		
		messages = {
			mBlackIronCyclone = {
				varname = format(L.alert["%s %s %s"],SN[155721],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[155721],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 155721,
				icon = ST[155721],			
			},
		},
		onstart = {
			{
				"batchalert",{"ReboundingBladeCD","BlackIronCycloneCD"},
				"alert",{"DestructiveSmiteCD", time = 2},
			},
		},
		alerts = {
			DestructiveSmiteCD = {
				varname = format(L.alert["%s Cooldown"],SN[155673]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[155673]),
				time = 15.5,
				time2 = 10,
				color1 = "GLOBAL",
				icon = ST[155673],
				desc = 155673,
				exdps = true,
				exhealer = true,
				audiocd = true,
				audiotime = 10,					
			},
			ReboundingBladeCD = {
				varname = format(L.alert["%s Cooldown"],SN[155705]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[155705]),
				time = 10.5,
				color1 = "GLOBAL",
				icon = ST[155705],
				desc = 155705,
				enabled = false,
			},
			BlackIronCycloneCD = {
				varname = format(L.alert["%s Cooldown"],SN[155721]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[155721]),
				time = 19.5,
				color1 = "GLOBAL",
				icon = ST[155721],
				desc = 155721,
			},
			-- Warning
			wDestructiveSmite = {
				varname = format(L.alert["%s!"],SN[155673]),
				type = "simple",
				text = format(L.alert["%s!"],SN[155673]),
				time = 2,
				color1 = "TAN",
				icon = ST[155673],
				sound = "ALERT10",
				desc = 155673,
			},	
			wReboundingBlade = {
				varname = format(L.alert["%s!"],SN[155705]),
				type = "simple",
				text = format(L.alert["%s!"],SN[155705]),
				time = 2,
				color1 = "TAN",
				icon = ST[155705],
				sound = "ALERT13",
				desc = 155705,
				enabled = false,
			},
			wZaela = {
				varname = format(L.alert["%s!"],SN["ej10312"]),
				type = "simple",
				text = format(L.alert["%s!"],SN["ej10312"]),
				time = 2,
				color1 = "TAN",
				icon = EJST[10312],
				sound = "ALERT14",
				ability = 10312,
			},
			-- Inform
			iZaela = {
				varname = format(L.alert["%s %s"],SN["ej10312"],L.alert["SWITCH TARGET"]),
				type = "inform",
				text = format(L.alert["%s %s"],SN["ej10312"],L.alert["SWITCH TARGET"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT10",
				icon = EJST[10312],
				exhealer = true,
				exdps = true,
				ability = 10312,
			},
			-- Casts
			ZaelaReturns = {
				varname = format(L.alert["%s %s"],SN["ej10312"],L.alert["soon"]),
				type = "centerpopup",
				text = format(L.alert["%s %s"],SN["ej10312"],L.alert["soon"]),
				time = 26.5,
				color1 = "GLOBAL",
				icon = EJST[10312],
				ability = 10312,
			},				
		},
		events = {
			-- DestructiveSmite
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {155673},
				execute = {
					{
						"batchalert",{"DestructiveSmiteCD","wDestructiveSmite"},
					},				
				},
			},
			-- BlackIronCyclone
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {155721},
				execute = {
					{
						"message","mBlackIronCyclone",
						"alert","BlackIronCycloneCD",
					},				
				},
			},	
			---------------
			{
				type = "event",
				event = "UNIT_SPELLCAST_SUCCEEDED",
				execute = {
					{
						"expect",{"#5#","==","155705"}, -- ReboundingBlade
						"expect",{"#1#","==","boss1"},
						"batchalert",{"ReboundingBladeCD","wReboundingBlade"},
					},				
				},
			},	
			{
				type = "combatevent",
				eventtype = "UNIT_TARGETABLE_CHANGED",
				execute = {	
					{
						"expect",{"&unitexist|boss1&","==","1"},
						"batchalert",{"wZaela","iZaela"},
					},
					{
						"expect",{"&unitexist|boss1&","==","0"},
						"alert","ZaelaReturns",
					},					
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end