local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(621)
local instance = EJ_GetInstanceInfo(281) or ""
do
	local data = {
		version = 1,
		key = "Keristrasza",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {26723}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {26723},
			unittracing = {"boss1"},
			defeat = 26723,
		},
		userdata = {

		},		
		messages = {
			mChains = {
				varname = format(L.alert["%s %s %s"],SN[50997],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[50997],L.alert["on"]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 50997,
				icon = ST[50997],
			},	
		},
		onstart = {

		},
		alerts = {
			ChainsCD = {
				varname = format(L.alert["%s Cooldown"],SN[50997]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[50997]),
				time = 25,
				color1 = "GLOBAL",
				icon = ST[50997],
				desc = 50997,	
			},
			NovaCD = {
				varname = format(L.alert["%s Cooldown"],SN[48179]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[48179]),
				time = 25,
				color1 = "GLOBAL",
				icon = ST[48179],
				desc = 48179,	
			},			
			-- Warning
			wNova = {
				varname = format(L.alert["%s"],SN[48179]),
				type = "simple",
				text = format(L.alert["%s"],SN[48179]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[48179],
				sound = "ALERT13",
				desc = 48179,
				--flashscreen = true,
			},
			wEnrage = {
				varname = format(L.alert["%s"],SN[8599]),
				type = "simple",
				text = format(L.alert["%s"],SN[8599]),
				time = 2,
				color1 = "RED",
				icon = ST[8599],
				sound = "ALERT11",
				desc = 8599,
				--flashscreen = true,
			},			
			-- Debuff
			ChainsDebuff = {
				varname = format(L.alert["%s Debuff"],SN[50997]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[50997]),
				text2 = format(L.alert["#5#: %s"],SN[50997]),
				time = 10,
				color1 = "RED",
				desc = 50997,
				icon = ST[50997],
				tag = "#5#",
				exdps = true,				
			},
			NovaDebuff = {
				varname = format(L.alert["%s Debuff"],SN[48179]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[48179]),
				text2 = format(L.alert["#5#: %s"],SN[48179]),
				time = 10,
				color1 = "ORANGE",
				desc = 48179,
				icon = ST[48179],
				tag = "#5#",
				exdps = true,				
			},				
		},
		events = {
			-- Chains
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {50997},
				execute = {
					{
						"batchalert",{"ChainsCD","ChainsDebuff"},
						"message","mChains",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {50997},
				execute = {
					{
						"quash","ChainsDebuff",
					},		
				},
			},
			-- Nova
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {48179},
				execute = {
					{
						"batchalert",{"NovaCD","NovaDebuff","wNova"},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {48179},
				execute = {
					{
						"quash","NovaDebuff",
					},		
				},
			},			
			-- Enrage
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {8599},
				srcnpcid = 26723,
				execute = {
					{
						"alert","wEnrage",
					},
				},
			},
		},
	}

	DXE:RegisterEncounter(data)
end