local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(620)
local instance = EJ_GetInstanceInfo(281) or ""
do
	local data = {
		version = 1,
		key = "OrmorokTheTreeShaper.lua",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {26794}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {26794},
			unittracing = {"boss1"},
			defeat = 26794,
		},
		userdata = {

		},		
		onstart = {

		},
		messages = {
			mSpikes = {
				varname = format(L.alert["%s"],SN[47958]),
				type = "message",
				text = format(L.alert["%s"],SN[47958]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 47958,
				icon = ST[47958],
			},	
		},		
		alerts = {
			ReflectionCD = {
				varname = format(L.alert["%s Cooldown"],SN[47981]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[47981]),
				time = 30,
				color1 = "GLOBAL",
				icon = ST[47981],
				desc = 47981,	
			},		
			-- Warning
			wFrenzy = {
				varname = format(L.alert["%s"],SN[48017]),
				type = "simple",
				text = format(L.alert["%s"],SN[48017]),
				time = 2,
				color1 = "RED",
				icon = ST[48017],
				sound = "ALERT10",
				desc = 48017,
				--flashscreen = true,
			},
			wReflection = {
				varname = format(L.alert["%s"],SN[47981]),
				type = "simple",
				text = format(L.alert["%s"],SN[47981]),
				time = 2,
				color1 = "RED",
				icon = ST[47981],
				sound = "ALERT10",
				desc = 47981,
				--flashscreen = true,
			},
			wAdd = {
				varname = format(L.alert["%s"],SN[61564]),
				type = "simple",
				text = format(L.alert["%s"],SN[61564]),
				time = 2,
				color1 = "RED",
				icon = ST[61564],
				sound = "ALERT9",
				desc = 61564,
				--flashscreen = true,
			},			
			-- Debuff
			ReflectionDebuff = {
				varname = format(L.alert["%s Debuff"],SN[47981]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[47981]),
				text2 = format(L.alert["#5#: %s"],SN[47981]),
				time = 15,
				color1 = "RED",
				desc = 47981,
				icon = ST[47981],
				tag = "#5#",
				exdps = true,				
			},			
		},
		events = {
			-- Spikes
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {47958, 57082, 57083},
				execute = {
					{
						"message","mSpikes",
					},
				},
			},
			-- Frenzy
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {48017, 57086},
				execute = {
					{
						"alert","wFrenzy",
					},
				},
			},			
			-- Add
			{
				type = "combatevent",
				eventtype = "SPELL_SUMMON",
				spellid = {61564},
				execute = {
					{ 
						"alert","wAdd",
					},
				},
			},
			-- Reflection
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {47981},
				execute = {
					{
						"alert","ReflectionDebuff",
						"alert","wReflection",
						"alert","ReflectionCD",
					},		
				},
			},				
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {47981},
				execute = {
					{
						"quash","ReflectionDebuff",
					},		
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end